Overview

PrintBoss, PrintBoss Enterprise, PrintBoss Select, and PrintBoss Express are very similar in their purposes.

  • capture document runs printed from the accounting software
  • combine the runs with digital forms (PrintBoss Form files)
  • allow the accounting documents to be printed onto blank paper stock
  • eliminate the need for multiple part forms (the software creates a database from which the original and all copies are printed)
  • each copy can be printed with unique information: legends (i.e. Copy 1, Customer Copy, etc.), logos, signatures, and any other fields available in the accounting software that might pertain to a specific copy of a document

PrintBoss captures information from the Host Accounting Software ( HAS ) in one of two ways:

1) By printing from the accounting software to the PrintBoss Printer Driver.

2) By printing from the accounting software to a file that PrintBoss will automatically capture and send to a Windows printer.

If possible, printing to the PrintBoss printer is preferable to printing to a file.

There are a few differences between the three software editions that allow them to uniquely meet your needs.

PrintBoss Standard:

PrintBoss Standard edition is the full functioning program with great features such as Positive Pay, e-mailing and faxing. It has the capability of printing documents such as invoices, purchase orders, and deposit slips for some interfaces. PrintBoss Standard edition also provides the option to automatically select bank accounts, depending on the accounting software used.

PrintBoss Enterprise:

PrintBoss Enterprise is developed for a few specific accounting packages. It is available either as an upgrade to the standard PrintBoss program or as a stand alone purchase through Wellspring Software, Inc. The additional features available only in the Enterprise version will be noted throughout this help file. If you have or are using one of the following, then PrintBoss Enterprise is requisite:

  • a WAN install of an accounting package
  • Microsoft Dynamics AX (formerly known as Navision Axapta) accounting package
  • combining multiple-page emails or faxes into a single attachment or fax
  • changing the PDF file name attached to an e-mail different than the PrintBoss form name and user name
  • ignoring the session ID to a printer when using Terminal Server or Citrix .
  • adding variables to the destination file name for positive pay files, such as date, document number, etc.
  • adding a password to protect a PDF attachment

PrintBoss Select:

PrintBoss Select edition is designed to only print checks and work specifically with QuickBooks / Quicken. PrintBoss Select automatically chooses the bank account and form and prints top, middle, and bottom check styles for Voucher checks. PrintBoss Select also has Positive Pay and ACH capabilities.

PrintBoss Express:

PrintBoss Express only prints checks! It is designed for only a few of our accounting software interfaces (QuickBooks, Quicken, Peachtree, Microsoft Money, One Write Plus, and Simply Accounting). When printing, a bank list will appear asking for a bank selection. (Go to www.wellspringsoftware.com for more information on PrintBoss Express.)

NOTE: Our standard interfaces have already determined the best method for several accounting packages. There are system and printer requirements that are very important for the use of PrintBoss.

Master Application

PrintBoss opens on the Master Application window. This includes a menu at the top of the screen, license information on the upper right, and Capturing Status on the bottom half of the window. The Express and Enterprise editions will display the words Express or Enterprise Edition to the left of the license information.

Tool Bar

The tool bar below the menu bar can be enabled from the Configuration dialog.

1. Click on the Options menu and select Configuration.

2. Click on the Menus tab.

3. Select Enable Tool Bar and select all the items you want to view on the tool bar.

4. Click OK when you are finished.

Spinning Line

The spinning line above the Capturing Status section indicates PrintBoss is scanning for data files printed to PrintBoss. Double click on the line to view the location of the Transfer folder. The location of the Transfer folder is set on the PrintBoss Driver Settings window under Options.

Capturing Status

The status section is initially blank when you open PrintBoss and displays the data for the last captured batch after you print to PrintBoss. If these fields are blank or the Count field displays 0, PrintBoss did not receive data.


System Requirements

PrintBoss is compatible with W2003 Server , WXP, Vista, Windows7, Windows 8, Server 2008, Server 2012, and Server 2012R2 operating systems. It is also compatible with the 64-bit versions of these operating systems. As a general rule, 64 MB of RAM should be available for use with PrintBoss. PrintBoss can be installed onto a network. Please see the license agreement to determine the restrictions. Although PrintBoss is not guaranteed to work with Citrix or Terminal Services , we have many clients using Citrix or Terminal Services with no problems.

PrintBoss will work with any of the Hewlett Packard LaserJet printers that use PCL5e or PCL6 drivers, though other drivers work as well. The suggested models are LaserJet models beginning with HPLJ4 or newer. Print speed requirements and budget should help determine the best HPLJ model needed.

Before purchasing a printer, research to determine if your bank requires MICR ink. If the bank does require magnetic ink (for reading the bank code on checks), verify the brand of LaserJet considered has MICR toner available. MICR toner cartridges are not available for many printer models.

Any printer used with PrintBoss must be 100% HP compatible and use PCL5e or PCL6. PrintBoss uses the printer language of PCL5e. If there are driver options for the printer model, please use this choice.


Printer Requirements

Any printer used with PrintBoss must be 100% HP compatible and use PCL5e or PCL6. PrintBoss uses the printer language of PCL5e. If there are driver options for the printer model, please use this choice.

PrintBoss will work with any of the Hewlett Packard LaserJet printers that use PCL5e or PCL6 drivers, though other drivers work as well. The suggested models are LaserJet models beginning with HPLJ4 or newer. Print speed requirements and budget should help determine the best HPLJ model needed.

Before purchasing a printer, research to determine if your bank requires MICR ink. If the bank does require magnetic ink (for reading the bank code on checks), verify the brand of LaserJet considered has MICR toner available. MICR toner cartridges are not available for many printer models.

NOTE: Printers other than Laser Jets typically have smaller printable areas and may not be able to print the entire document. This is particularly important for printing checks since models other than lasers are often incapable of printing the MICR line. PrintBoss is not guaranteed to work with printers that are not Laser Jet printers.


Installation

PrintBoss can be installed locally on a workstation or it can be installed on a shared network drive where multiple workstations access the one application. We recommend that PrintBoss be installed on a network drive if there are multiple users so that bank information, forms, and other information can be shared. After installing PrintBoss to the network drive, each additional workstation only requires the Workstation Install steps of the software to complete the installation.

*For network installations, users must have full permissions to the PrintBoss directory and its subdirectories.

Local Installation

Network Installation

Workstation Installation

Terminal Server/Citrix Installations


Local Installation

Step 1: Start the PrintBoss Installation

1.) Log in as Administrator.

2.) Insert the PrintBoss CD-ROM in the CD-ROM Drive or download the most current version of the PrintBoss software from the Wellspring Software web site.

3.) Run X:\setup.exe (where X: is the CD-ROM drive) or double click on the Setup.exe file downloaded from the Wellspring Software web site.

4.) Select the Host Accounting System that will be used with PrintBoss. If the accounting package is not in the list, choose Custom.

5.) Select the directory where PrintBoss should be installed. PrintBoss will default to C:\PrntBoss. Choose a shared network drive if one is available.

6.) Click on Next at the bottom of the window.

Step 2: Registration of PrintBoss software

1.) Uncheck the Install in Demonstration Mode option.

2.) Fill in the fields with the appropriate information (see the BLUE card with your PrintBoss License Registration Code).

3.) Click on Next.

Step 3: Accept PrintBoss Software License Agreement

1.) Click Next to accept.

Step 4: Online Activation of Software

1.) Choose activation method. Online Activation is selected by default.

2.) Click on Next.

Step 5: Installation of components.

1.) PrintBoss will automatically select the needed components.

2.) Click on Next.

Step 6: PrintBoss Settings Saved In

If this is a new install, the default setting will read LOCAL and USER REGISTRY.

Step 7: View Notes

1.) Click on the View Notes button.

2.) Print these notes. Use these as a guide and follow the steps specific for the chosen accounting software.

Step 8: Special Install Steps

1.) If the Special Install Steps button is active, click on it.

2.) Follow the instructions per the NOTES specific for your accounting software printed in the previous step.

Step 9: Install the PrintBoss printer driver

1.) Make sure the Install PrintBoss Printer Driver on Finish check box is checked. PrintBoss will default to the correct printer driver.

2.) Click Finish.

Step 10: Review Installation Notes

PrintBoss will warn you if you did not click on View Notes and provide another opportunity to review and print these notes as well as Start Install steps if special steps are required for the Host Accounting Software.

Step 11: Setup PrintBoss for the Accounting Software

Follow the Installation Notes to setup PrintBoss specifically for the Host Accounting Software.

Step 12: Setup Accounting Software for PrintBoss

Follow the Installation Notes to setup the Host Accounting Software to interface with PrintBoss.


Network Installation

Step 1: Start the PrintBoss installation

1.) Log in as ADMINISTRATOR. *See W2003 Server Configurations before continuing with the installation if using the W2003 as a workstation or as a Terminal Server or Citrix install. .

2.) Insert the PrintBoss CD-ROM in the CD-ROM drive or download the most current version of the PrintBoss software from the Wellspring Software web site.

3.) Run X:\setup.exe (where X : is the CD-ROM drive) or double click on the Setup.exe file downloaded from the Wellspring Software web site.

4.) Select the Host Accounting System. If it is not the list, choose Custom.

5.) Select the directory where PrintBoss is to be installed. PrintBoss will default to C:\PrntBoss -- change this to: X:\PrntBoss (where X is the shared network drive). UNC addresses may also be used (\\server name\PrntBoss).

6.) Click on Next.

Step 2: Registration of PrintBoss software.

1.) Uncheck Install in Demonstration Mode.

2.) Fill in the fields with the appropriate information (see the BLUE card with the PrintBoss License Registration Code).

3.) Click on Next.

Step 3: Accept PrintBoss Software License Agreement

1.) Click on Next to accept.

Step 4: Online Activation of Software

1.) Choose Activation Method. Online Activation is selected by default.

2.) Click on Next .

Step 5: Installation of components

1.) PrintBoss will automatically select the components needed.

2.) Click Next.

Step 6: PrintBoss Settings Saved In

1.) If this is a new install, the default setting will say LOCAL and USER REGISTRY.

2.) For Terminal Services or Citrix, click here .

Step 7: View Notes

1.) Click on the View Notes button.

2.) PRINT OUT THESE NOTES. They will guide through steps specific for the accounting software.

Step 8: Special Install Steps

1.) If the Special Install Steps button is active, click on it.

2.) Follow the instructions per the NOTES specific for your accounting software printed in the previous step.

Step 9: Install the PrintBoss printer driver

1.) Make sure the Install PrintBoss Printer Driver on Finish check box is checked.

2.) PrintBoss will default to the correct printer driver. The PB50 printer driver is selected for W2003 servers and above and Citrix servers.

2.) Click Finish.

NOTE: If a person will NOT be printing to the PrintBoss printer driver on the server, this step can be skipped.

Step 10: Review Installation Notes

PrintBoss will warn you if you did not click on View Notes and provide another opportunity to review and print these notes as well as Start Install steps if special steps are required for the Host Accounting Software.

Step 11: Setup PrintBoss for the Accounting Software

Follow the Installation Notes to setup PrintBoss specifically for the Host Accounting Software.

Step 12: Setup Accounting Software for PrintBoss

Follow the Installation Notes to setup the Host Accounting Software to interface with PrintBoss.

Step 14: Go to Additional Workstations to perform the Workstation Installation


Workstation Installation

Step 1: Start the PrintBoss installation

1.) Log in as ADMINISTRATOR. *See W2003 Server Configurations before continuing with the installation if using the W2003 as a workstation or as a Terminal Server or Citrix install.

2.) Run X:\PrntBoss\setup.exe

3.) Select the Host Accounting Software that will be used with PrintBoss. If the Accounting Software is not in the list, choose Custom.

4.) Select the directory X:\PrntBoss (where PrintBoss is already installed).

5.) Choose the Workstation Setup option in the Install Type section.

6.) Click Next.

Step 2: Registration of PrintBoss software.

Skip this step. Already registered.

Step 3: Accept PrintBoss Software License Agreement

Skip this step. Already accepted.

Step 4: Online Activation of Software

Skip this step. Already activated.

Step 5: Installation of Components

Skip this step. Already installed.

Step 6: PrintBoss Settings Saved In

If this is a new install, the default setting will say LOCAL and USER REGISTRY. For Terminal Services or Citrix, click here .

Step 7: View Notes

Skip this step. Already installed.

Step 8: Special Install Steps

Skip this step. Already installed.

Step 9: Install the PrintBoss printer driver

1.) Verify the Install PrintBoss Printer Driver on Finish check box is selected.

2.) PrintBoss will default to the correct printer driver..

3.) Click Finish.

Step 10: Setup PrintBoss for the Accounting Software

Skip this step. Already installed.

Step 11: Setup Accounting Software for PrintBoss

Follow the Installation Notes to setup the Host Accounting Software to interface with PrintBoss.


W2003 Server Configurations

There is a local computer policy to allow/disallow installation of kernel-mode printer drivers on Windows XP & Server 2003 computers. XP by default allows them, 2003 by default disallows. The PrintBoss NT40 printer driver, however, is a kernel-mode driver. If the W2003 server is used in one of these two ways, then it is necessary to change a setting within the W2003 system to use the NT40 printer driver. Ignore these steps if you are using the PB50 printer driver.

A. A user is treating a W2003 server as a workstation and is running PrintBoss seated at the server.

B. The W2003 is configured as a Citrix/Terminal Server and has clients that will be running PrintBoss.

To set this policy to allow an installation of Kernel-Mode driver:

1) Click the Windows Start icon in the taskbar and choose Run .

2) Type "gpedit.msc", and then press ENTER. (This is the Group Policy Editor.)

3) Under Local Computer Policy, double-click Computer Configuration.

4) Double-click Administrative Templates.

5) Double-click Printers.

6) Right-click Disallow installation of printers using kernel mode drivers and select Properties.

7) Select the Disabled radio button to allow the PrintBoss NT40 printer driver to work.

8) Click on APPLY and then on OK.

9) Reboot the computer after changing this policy so it can take effect.


Host Accounting Software (HAS) Interface

Host Accounting Software (HAS )

Overview

PrintBoss is designed so that virtually any Windows program can send information through the PrintBoss printer driver . This allows the information printed by PrintBoss to include the addition of company specified data (e.g. Company Name and Address and a Bank Name and Address). PrintBoss can also add a special data object called MICR line characters.

The following topics will help set up PrintBoss according to the HAS:

Standard PrintBoss Interface

Printer Setup

Driver Settings

PB32Stub.exe

Configuration Settings

Private Work Files

Bank Account Information

MICR Location

PrintBoss Home Directory


Standard Form Files

In order to expedite the installation of PrintBoss, standard form files are provided for several specific accounting systems . These lists occasionally expand with new accounting interfaces. Each interface is described in the PrintBoss installation program under View Notes and files are stored in the following directory: PRNTBOSS\DOCS\*.RTF. The following is a list of the Windows based products for each of the three PrintBoss products:

PrintBoss Express: PrintBoss Standard: PrintBoss Enterprise:

QuickBooks by Intuit 21st Century Accounting "C21" 21st Century Accounting "C21"

Quicken by Intuit 21st Century US Payroll for Adagio 21st Century US Payroll for Adagio

Sage 50 - US (fka Peachtree) Adagio by Softrak Systems Adagio by Softrak Systems

Sage 50 - Canadian (fka Simply) Alere by TIW Technology Alere by TIW Technology

CenterPoint by Red Wing CenterPoint by Red Wing

DSS Payroll (aka Payroll Companion) DSS Payroll (aka Payroll Companion)

HAB, Inc. HAB, Inc.

PrintBoss Select: IDS (Integrated Data Services) IDS (Integrated Data Services)

QuickBooks by Intuit Mark Systems Mark Systems

Quicken by Intuit Master Tax Master Tax

Microsoft Dynamics AX (Axapta) Microsoft Dynamics AX (Axapta)

Microsoft Dynamics GP Microsoft Dynamics GP

(fka Great Plains Business Solutions) (fka Great Plains Business Solutions)

Microsoft Dynamics NAV (Navision) Microsoft Dynamics NAV (Navision)

(fka Attain) (fka Attain)

Microsoft Dynamics SL Microsoft Dynamics SL

(fka Solomon) (fka Solomon)

NetSuite NetSuite

Paymate by AK Microsystems Paymate by AK Microsystems

Payroll Pro by HR Technologies Payroll Pro by HR Technologies

QuickBooks by Intuit QuickBooks by Intuit

Quicken by Intuit Quicken by Intuit

Red Wing Accounting Red Wing Accounting

Sage 50 - US (fka Peachtree) Sage 50 - US (fka Peachtree)

Sage 50 - Canadian (fka Simply) Sage 50 - Canadian (fka Simply)

Sage 100 (fka MAS90 and 200) Sage 100 (fka MAS90 and 200)

Sage 100 Contractor (fka Master Builder) Sage 100 Contractor (fka Master Builder)

Sage 100 Fund Accounting Sage 100 Fund Accounting

Sage 300 ERP (fka Accpac) Sage 300 ERP (fka Accpac)

Sage 300 Construction and Real Estate Sage 300 Construction and Real Estate

(fka Timberline Office) (fka Timberline Office)

Sage 300 Trade Specialty Sage 300 Trade Specialty

(fka Timberline Enterprise) (fka Timberline Enterprise)

Sage 500 ERP (fka MAS 500) Sage 500 ERP (fka MAS 500)

Sage Abra Suite Sage Abra Suite

Sage BusinessVision Accounting Sage BusinessVision Accounting

Sage BusinessWorks Accounting Sage BusinessWorks Accounting

Sage DacEasy Sage DacEasy

Sage HRMS (fka Abra SQL HRMS) Sage HRMS (fka Abra SQL HRMS)

Sage Pro ERP (aka SBT Pro) Sage Pro ERP (aka SBT Pro)

Traverse Traverse

Turning Point Turning Point

Each standard interface has at least one check form made to fit the check stock that comes pre-bundled with the software. Some interfaces include additional documents. PrintBoss is capable of working with more than one Accounting Software system simultaneously. All of the PrintBoss standard check interfaces are designed to print the check at the bottom of letter sized stock.

Please visit our web site's SUPPORT DOCUMENTS page for the most current list of products.

PrintBoss allows users to create new Form Files and modify existing Form Files in both the Standard and Enterprise editions.


Printer Setup

Click on the File menu on the PrintBoss Master Application and choose Printer Setup. A typical Windows printer selection dialog opens. It is important to select the actual LaserJet printer driver PrintBoss will use to print checks and documents. This setting is user specific and can be different for each workstation. Users need rights to the Current User Registry to change this setting.

Repeat this step of selecting a printer on each workstation that will access PrintBoss for Network installations . Different workstations may simultaneously print to different printers as this setting is saved locally.

PrintBoss is very literal with printer names. If the printer name changes in any way, the PrintBoss program will consider the new name a new/different printer.

If using Terminal Services or Citrix , there is an option to ignore the session number. This is available only with PrintBoss Enterprise . This should be checked if you have multiple users and multiple printers. Contact Wellspring Software for more information.


Use Windows Default

Select this option to use your Windows Default Printer as the PrintBoss default printer.

This is the recommended choice for users on a terminal server who do not have the Enterprise edition of PrintBoss.


Specific Printer

Click on the drop down menu to select a laser printer as your default PrintBoss printer. This is user specific.


Printer Properties

This section displays the current selected printer and the printer ID in parentheses. It also displays:

  • Paper Size
  • Paper Source (tray ID)
  • Orientation
  • Print Quality
  • Dither Type
  • Driver Name (to use with #PrinterOverride command)


Settings for Terminal Servers/Citrix Servers

This section is only available for owners of the PrintBoss ENTERPRISE edition.

Save Printer Choice by user in PrintBoss Home Folder [instead of in TS Registry]

Select this option to save PrintBoss printer choices in a folder in the PrintBoss Home directory rather than the Terminal Server Registry. This is particularly helpful when using a server farm so the user's most recent selection is available regardless of the login server.

Save "Session" stripping instructions globally

Select this option to save the following session stripping instructions for all PrintBoss users.

Disregard "Session" expression in Terminal Server Mapped Printers

Often in a Terminal Server or Citrix session the printer names have an expression added to the end identifying the session. If a user selects a printer and then logs in under a different session, the official printer name changes. PrintBoss Enterprise allows truncation of the session indicators so that it can remove that portion from the printer name. This provides recognition of the printer throughout all sessions.

Use the drop down menu to choose the point the printer name string will be truncated or type your own solution.


Driver Settings

Click on Options on the PrintBoss Master Application and select PrintBoss Driver Settings. Verify the capture method is set according to the Installation Notes specific for the accounting software.

PrintBoss Directory

Displays the current PRNTBOSS folder location where the software is accessing all common files (i.e. forms, banks, dlls, etc.). This PrintBoss directory is referred to as the PrintBoss Home Directory.

Moving the Home Directory causes confusion with PrintBoss. If PrintBoss is installed on a local computer and then the PrntBoss folder is moved to a server, the shortcut and application will continue pointing to the local computer as the location for the Home Directory.

To change the Home Directory, choose OPTIONS / PRINTBOSS DRIVER SETTINGS and change the PrintBoss Directory accordingly. Restart PrintBoss for the changes to take effect. It is strongly suggested that the Home and EXE directories listed in the HELP / ABOUT window match. If PrintBoss is automatically loaded by a print job, the executable indicated in the Home directory will be used regardless of any shortcut settings.

PrintBoss cannot use two different Home directories at the same time.

Transfer File Settings

The Transfer Folder/File radio button should be selected unless directed otherwise by a Wellspring Software, Inc., support technician. The transfer file is a temporary file generated by the PrintBoss printer driver, renamed, and finally deleted. The user must have permissions to the Transfer Folder/File location to create, rename, and delete files. While the Folder name can be the same for all users, the actual file must be unique for each user or multiple users could overwrite each other's files. The Folder and File names defaults to C:\Transfer\{WinUserName} or {ComAppData\...Transfer}\{WinUserName}, depending on the operating system. Terminal Server or Citrix environment installations as well as Servier 2008 installationa are typically set to the latter.

Vista and Windows7 should select {ComAppData\...\Transfer} as the folder name instead of C:\Transfer.

Use Driver Port

This option should only be selected by a Wellspring Software, Inc., support technician.

Append to Transfer File

This box should be checked for accounting software that send each document as an individual print job. This allows PrintBoss to wait for additional documents to treat all of the documents as a single batch. Please see the Installation Notes specific to the accounting software to determine if this box should be checked. If checked, the wait increment must be defined on the Internal tab of the Configurations Dialog.

Test Path

This option confirms the location specified for the Transfer Folder/File exists.

Driver Log

This setting should be set to Never unless directed by a Wellspring Software, Inc., support technician for troubleshooting.

Load PB32.exe

This box should be checked to allow the PrintBoss program to load automatically. This box should NOT be checked for Terminal Server installations when the users only have access to Published Applications.

PB NT40 Drive Special Settings

This section is unavailable by default. This typically does not need to be edited. To access this section, first check the Allow Editing box . Traditionally, this is only changed in Citrix or Terminal Server environments.

The PB32Stub.exe is a small program that typically runs in the background allowing the PrintBoss program to automatically load when a print job is sent to the PrintBoss printer. The PB32Stub.exe should NOT run in a Citrix or Terminal Server environment with a Published Application. This stub only applies to the NT40 driver.

PB32stub.exe i s Running

Non-editable option indicates whether the PB32Stub.exe is currently active.

C:\Windows\System32\PB32stub.exe Exists

Non-editable option that indicates whether the PB32Stub.exe is currently available.

Load PB32stub.exe from Local Registry Run

This will load the PB32Stub.exe based on the Local Registry setting and typically loads PB32Stub.exe for all users.

Load PB32stub.exe from User Registry Run

This will load the PB32Stub.exe based on the User Registry setting and typically loads PB32Stub.exe only for the users who will run PrintBoss.

Set All Users to Load PB32Stub from User Registry

This option globally launches the PB32Stub.exe for all users based on the User Registry settings. This option is traditionally the choice for Citrix and Terminal Server installations.

PB50 Driver Special Setting s

This section is unavailable by default. To access this section, first check the Allow Editing box . The default setting is {ComAppData\...\Spool}. Change the location to {ComAppData\...\Transfer} if the user does not have sufficient rights to the Spool Directory.

50 Driver Spool Directory

Users must have at least Read/Write permissions to this directory. Usually the default setting is {ComAppData\...\Spool} (except for Win2000). A button labeled Test provides confirmation that the location exists. This location should not point to a directory not physically on the hard disk of the workstation. When the 50 Driver Spool Directory is changed, a reminder pops up after clicking OK stating the changes will not take effect until the workstation is rebooted or the Print Spooler service is restarted.

Configuration Settings Save Location

Typically this is set during the installation to Local and User Registry (Standard).

Capture Mode

Capture Disable: PrintBoss is deactivated if this is selected.

Flag Trigger: PrintBoss looks for PB#INFO in the data. The string is case sensitive and uses all capital letters with no spaces.

Always Trigger: PrintBoss will attempt to process anything sent to the PrintBoss printer driver. If this setting is selected, the Always Trigger settings in the Configuration Dialog takes affect.

Misc Settings

Suppress "No Flag in Document" warning: This will eliminate the error that warns when a document without the PrintBoss Trigger has been printed to the PrintBoss printer driver. The document will simply be ignored. Nothing will print. This feature applies to interfaces that use the PrintBoss Trigger or PB#INFO line to determine the form to use for printing.

Operate in ASP mode: This is only for Application Service Provider installations. ASP installation is NOT the same as Citrix or Terminal Server installation. If installing PrintBoss for an ASP, please contact Wellspring Software, Inc. , for licensing and details.

Printer List Settle Time: This allows the Windows Printers list to "settle" when in an environment where printers are shared. This feature is especially helpful in Citrix or Terminal Server environments. The default value is 200.

Print Job Delete Secs: This option should only be used when instructed by a Wellspring Software, Inc. support technician.

Render Method: The Render Method applies to the PrintBoss driver and only has an impact when the textcapt.hst file is created. This option is set to Default for most accounting applications. Original is sometimes used for Microsoft Great Plains Dynamics and Special is sometimes used for Adagio. This option should only be used when instructed by a Wellspring Software, Inc. support technician.

NOTE: Most of these settings are not included in the PrintBoss Express software.

STANDARD and ENTERPRISE PRINTBOSS DRIVER SETTING WINDOW:


PB32Stub.exe

Options/PrintBoss Driver Settings

The PB32Stub.exe is a small program that typically runs in the background allowing the PrintBoss program to automatically load when a print job is sent to the PrintBoss printer.

PB NT40 Drive Special Settings

This section is unavailable by default. It typically does not need to be edited. To access this section, first check the box Allow Editing. Traditionally this is only changed in Citrix or Terminal Server environments.

PB32Stub.exe is Running Non-editable option indicates if the PB32Stub.exe is currently active.

C:\windows\system32\PB32Stub.exe Exists Non-editable option that indicates whether the PB32Stub.exe is currently available.

Load PB32Stub.exe from Local Registry "Run" This option loads the PB32Stub.exe based on the Local Registry setting and typically loads PB32Stub.exe for all users.

Load PB32Stub.exe from User Registry "Run" This option will load the PB32Stub.exe based on the User Registry setting and typically loads PB32Stub.exe only for the users who will run PrintBoss.

Set All Users to load PB32Stub from User Registry This option globally launches the PB32Stub.exe for all users based on the User Registry settings. This is traditionally the choice for Citrix and Terminal Server installations.

See Driver Settings for more information.


Configuration Settings

Click on Options from the PrintBoss Master Application window and select Configuration.

  • Most of these settings will automatically be appropriate for the accounting system selected during the initial installation.
  • When multiple users are working with PrintBoss, the Private Work file should be set Globally to {WinUserName}. See Private Work files .
  • For specific setup instructions, please review the Installation Notes for your specific accounting software.
  • These settings are local to the workstation that runs PrintBoss.

Click on the following links for more information about the different configuration tabs:

Settings Tab

Internal Tab

Menu Tab

Legacy Tab (used only when specified by a Wellspring Software technician)


Private Work files

OPTIONS/CONFIGURATION/SETTINGS

Every time PrintBoss processes a document, the document is created in a work file. Each workstation must have a private work file to prevent conflicts when the PrintBoss application is installed on a network or shared drive.

Set this option to {WinUserName} for all workstation and server installations unless instructed otherwise by a Wellspring Software support technician. Check the Set Globally box to change this for all users when PrintBoss is installed on a server or shared drive. The folders generated by PrintBoss will automatically have the same name as the Windows system user name.

PrintBoss will create the new work file folder when the user has sufficient rights. This folder will be generated in the Work PrintBoss subdirectory.

See Work & Archive Files for additional information.


Settings Tab - MICR Offset Adjustment

This feature allows adjustment to the MICR placement. The setting can be adjusted both vertically and horizontally and is set globally for all forms. This setting is workstation specific and may need to be adjusted if a new printer or new printer driver is used with PrintBoss.

The location of the MICR line is calculated by PrintBoss based on the directives passed in the #MICR command. Typically, this placement is proper for a check at the bottom of an 11 inch page. Sometimes there is a small difference from printer to printer, so a separate adjustment can be made in the Configuration window of PrintBoss. Once an adjustments is made, it should not need to be adjusted again unless the printer, printer driver, or operating system is updated or changed.

Adjust the Left/Right (horizontal) and Top/Bottom (vertical) alignments independently of each other.

Manual Adjustment

If the laser printed character needs to move more to the right or down, increase the corresponding MICR offset. This value is in thousandths of an inch. The needed adjustment may vary from printer to printer. To shift the laser printed character left or up, decrease the MICR offset. Once the value reaches 0, decrease into negative numbers.

MICR Adjust Wizard

PrintBoss contains two wizard adjustment methods. Click on the MICR Adjust Wizard button to view these methods.

Method 1, Method uses double print, was new in version 5.31 and allows adjustment when there is no pre-printed alignment mark or gauge on the check. Once PrintBoss determines the actual printing offsets of the selected printer, it can accurately gauge the MICR based on page length. This is particularly helpful for Canadian currency checks.

Method 2, Method uses pre-printed Routing Mark, prints a test page on check stock to compare the MICR line with the pre-printed transit symbol on the Wellspring Software, Inc., check stock. Follow the prompts to adjust the placement until satisfactory.

Click on Finish to exit the Wizard. Upon completion, the MICR Offset Adjustment values will be modified accordingly.


Settings Tab - Non-MICR Offset Adjustment

This setting allows adjustment to the entire document excluding the MICR line. Both horizontal and vertical adjustments can be made. This setting is global for all forms and is workstation specific. Adjustments may be needed if a new printer or new printer driver is used with PrintBoss.

This setting is typically used if the entire document (except the MICR line) needs to be adjusted to center on the page. This is to account for different printer driver margins and is not intended for significant shifts in form placement.

If the forms need to move more to the right, or down, increase the corresponding Non-MICR offset. This value is in thousandths of an inch. Start with jumps of at least 50. Then make smaller adjustments as it gets close. This will vary from printer to printer. To shift the forms left or up, decrease the MICR offset. Once the value reaches 0, decrease into the negative numbers.

The appropriate Portrait or Landscape option should be selected to identify the orientation of the form before the Non-MICR Offset Adjustment is applied. The default orientations is Portrait.


Settings Tab - Archive Files Private Folder Name

Typically, archived documents (if activated) are simply moved to a single archive folder for all users. However, this setting is available when separate archive folders are desired.

When the Set Globally box is checked, this field will automatically be set to {WinUserName}. The folders generated by PrintBoss in the Archives subdirectory will automatically have the same name as the Windows system user name.

This field is NOT available in PrintBoss Express and PrintBoss Select.

Allow temporary folder change when browsing archive.

Initially, each user only has access to their own archive file based on the Windows system user name. However, in cases where a manager may want to review the archive files of other users, this option allows for the selection of another archive file folder without changing the folder name on the Configuration dialog and then navigating back to the archive file browse screen.


Settings Tab - Request List Private File

This enables users to have unique Request Lists . Typically, this value is left at <COMMON> for all users to share the same list. If individual lists are created, the files will be generated in the ReqLists subdirectory of the PrntBoss Home directory.

This field is NOT available in PrintBoss Express and PrintBoss Select.


Settings Tab - Always Capture Settings

Request List determines Form/Bank

Select this option according to the Installation Notes of the accounting system. This section will not be available when the accounting system uses the Flag Trigger option in the PrintBoss Driver Settings dialog. The Form and Bank options are not active when the Request List determines Form/Bank option is selected. Remove this check mark when instructed by the Installation Notes and select the appropriate Form and Bank.

PB#INFO Flag overrides above

This box should be checked when using accounting system utilizes either the Flag Trigger and Always Trigger methods.

Allow Fragmented PB#INFO Line

For use when the PB#INFO line or trigger gets fragmented. This should always be checked for Sage Accpac windows users.

These fields are NOT available in PrintBoss Express and PrintBoss Select..


Settings Tab - NT Capture Offsets

The default values will typically place the data within the form correctly. If the data from the accounting system is not lining up within the form correctly, the Use Default Offset box may be unchecked to change the values. These values are in pixels. Adjustment by increments of 1 will not be large enough to be noticed. This setting is workstation specific. Select the Use Default Offsets check box to reset these values to the default settings for this workstation. Clicking on the Defa. button when the Use Default Offsets option is not selected achieves the same thing.

On Windows 95 and Windows 98 workstations, these values should be set to 0, 0.


Settings Tab - Work Files Private Folder Name

Documents processed by PrintBoss are placed in a work file. Each workstation must have a private work file to prevent conflicts when the PrintBoss application is installed on a network or shared drive.

Set this option to {WinUserName} for all workstation and server installations unless instructed otherwise by a Wellspring Software support technician. Check the Set Globally box to change this for all users when PrintBoss is installed on a server or shared drive. The folders generated by PrintBoss will automatically have the same name as the Windows system user name

PrintBoss will create the new work file folder when the user has sufficient rights. This folder will be saved in the PrntBoss Work subdirectory.

Allow temporary folder change when browsing work file.

Initially, each user only has access to their own archive file based on the Windows system user name. However, in cases where a manager may want to review the archive files of other users, this option allows for the selection of another archive file folder without changing the folder name on the Configuration dialog and then navigating back to the archive file browse screen.


Settings Tab - Enable Printer Driver Processing

Settings Tab - Enable PrintBoss Windows Printer Driver Processing

This option should be checked for the PrintBoss printer interface method to be active. The only time this option should not be checked (other than at the direction of Wellspring Software technical support) is when a text file interface is the only method being used. All of the current standard interfaces included with PrintBoss use the printer interface method. Only custom interfaces use the text file method.


Internal Tab - Minimize PrintBoss on startup

Select this option to minimize PrintBoss after it opens automatically when printing.


Internal Tab - Work/Archive File Compression ALWAYS

Work/Archive File Compression ALWAYS (overrides each form's setting.)

Traditionally, compressing the Work/Archive Files has been set in the PrintBoss Form. Select this option to ALWAYS comnpress the Work/Archive Files regardless of the PrintBoss Form Setting.

NOTE: This feature is only visible when the 'Force form pre-read for each page' option is selected.


Internal Tab - Print Status Screen Position

This option allows the user to select the position of the Print Status window when it is not suppressed. The choices are: Top Right, Screen Center, or Bottom Right. The default value is Screen Center.


Internal Tab - Suppress Dialogs When Appropriate

The PrintBoss Print Copies Dialog flashes on the screen when documents are printed to PrintBoss. This checkbox allows the print dialog to remain hidden.

Options have been added to suppress Archive, E-mail, and Fax Service dialogs when printing automatically as well.


Internal Tab - Local Drive Letter for Signature Disks

By default, PrintBoss expects the signature disks to be in the "A" drive of the workstation. This option allows you to identify a different drive letter if necessary, especially since new computer do not typically include floppy drives.


Internal Tab - Save Printer Settings

This setting is typically checked. It allows the PrintBoss program to retain information about specific printers and trays. Printer Tray numbers and information will not load when this option is unchecked.


Internal Tab - Windows Print Job Limit

This setting allows PrintBoss to help ease the stress of a printer queue. With large batches of documents, this setting can be used to separate a single batch into smaller print jobs allowing for a pause between each job. The pause allows the first print job to begin processing before the second job is sent to the printer, thus minimizing the backlog in the printer memory.


Internal Tab - Delay Between Print Jobs

This value is in seconds. It is only available when the Windows Print Job Limit has been modified and specifies the pause between each print job PrintBoss sends to the printer.


Internal Tab - Print Jobs till Prompt to Continue

This setting is only available when a value is entered in the Windows Print Job Limit field. PrintBoss generates a prompt after the specified number of print jobs before more print jobs are sent to the printer. This is often used when large batches are printing and the user would like a prompt to add paper to a tray or to allow the documents to finish printing before more print jobs are sent to the printer queue.


Internal Tab - Print Jobs / Batch

Print Jobs received within these secs are treated as one batch.

PrintBoss can be set to wait to combine all pages into a single batch for accounting software applications that send each page as a separate print job. This will only take effect when the Append to Transfer File box is checked on the PrintBoss Driver Settings dialog.


Internal Tab - Stop Before Print Job Starts

Stop Before Print Job starts when invalid printer exists

PrintBoss will determine if a valid printer is selected before it starts the print job when this check box is selected.


Internal Tab - Force Form Pre-Read for Each Page

Force form pre-read for each page. (helps for multiple forms per batch)

This option should be checked for situations where there is more than one PrintBoss Form used within a single batch.


Internal Tab - TextCapt.Hst Last Used Count

This setting is typically set to 5 and allows for troubleshooting when necessary.


Internal Tab - Suppress Warning

Suppress warning that PrintBoss is the Windows Default Printer

The PrintBoss printer driver should not be the Window's default printer. If the PrintBoss printer is set as the Window's default printer, the PrintBoss program will generate a warning message. This option will prevent this message from appearing and should only be used in special circumstances.


Internal Tab - Method of Matching Bank Code

There are two different methods PrintBoss uses to match the Bank Code from the accounting software (when a Bank Code is used). The most common method is to expect an exact match. This requires a character-by-character match for the entire string. When Allow Partial Match is selected, PrintBoss exactly matches all characters up to the colon ( : ) in the bank code and then looks for a partial match of any characters following the colon.

See PrintBoss Banks .


Internal Tab - Bank Code Match

Allow for Selection when multiple Bank Codes match

Occasionally, there may be more than one account with a duplicate bank code. This option allows the user to select from the matching accounts. Even if you don't expect to have matching bank codes, this is a good option to select just to alert you in case a matching bank code has been inadvertently created. As an example, this is used by Microsoft Great Plains Business Solutions products when there is more than one payroll account for the same company.

Not Available in PrintBoss Express.


Internal Tab - Bank Code Length

Change BankCode Length

The current default for the bank code field is 50 characters. Some accounting packages allow long bank names or long company names, resulting in long Bank Codes. This feature allows the user to change the character length of the bank code field to allow automatic bank selection. The maximum number of characters that a user can set is 60.

If the user decides to reduce the character length, the characters and digits that made up the previous character length will be lost.


Internal Tab - Terminate PrintBoss After Batch Print

When launched by Acct. Host, Terminate PrintBoss After Batch Print

This allows PrintBoss to automatically close in cases when it has been automatically opened by a print job. This option will not close PrintBoss if the user manually opens the program.


Internal Tab - Default Printer Choice for New Users

Default printer choice for new users (or Terminal Server Clients) is "use Win Default"

Select this option to set the PrintBoss printer setup to use the Windows Default printer for all new users or for Terminal Server Clients. This option is especially helpful for Terminal Server Clients to avoid "printer does not exist" errors for printers with session IDs. The user can easily change the PrintBoss Printer Setup to a different printer once PrintBoss is open.


Internal Tab - ReqList Examines All Pages for Form ID

ReqList Examines all pages for form ID within a batch (not just first page)

This option should be selected for batches containing documents that require different forms. The "Request List determines Form/Bank" option must be selected on the Settings tab before this option is visible in the Internal tab.


Internal Tab - Allow Bank Accounts to be AP and Payroll

Most accounting software applications use the variables {ChkAcct}:{CompName} to allow PrintBoss to choose the correct bank account for each check in a batch. Some accounting software applications do not print the checking account ID for payroll checks and PrintBoss may substitute the word Payroll for the checking account ID. When the same bank account is used for both AP and Payroll, PrintBoss may generate a list of bank codes every time Payroll is printed after AP or vice versa. Often the Bank Code gets renamed each time. Select this option to use one bank account for both AP and Payroll. PrintBoss will match only the company name for the Payroll checks.

The Enable "Payroll" alias name must be selected on the Bank Record to use one bank record for both AP and Payroll. The alias is only available when Allow bank accounts to be AP and Payroll is selected on the Internal tab of the Configuration Dialog.

Not Available in PrintBoss Express.


Internal Tab - Auto Populate Bank List with Unused Banks

Internal Tab - Auto Populate Bank List with Unused Records

Select a value to automatically populate the Bank List in PrintBoss. The default is the number of bank records purchased. Ten bank records are provided with each PrintBoss license. This feature is often used with the unlimited bank module to limit the initial population of the bank list. The default for the unlimited bank module is 25.

NOTE: PrintBoss Select and PrintBoss Enterprise include the unlimited bank module.


Internal Tab - DocRecip Length

Use this option to extend the length of the DocRecip field in the Work File. The original default length was set to 40 characters. The current default is 60 characters. PrintBoss allows a maximum of 60 characters for the DocRecip field in the Work File.


Legacy Tab - Graphic Printing Module

This should be set to Standard .

NOTE: This feature is hidden and can be accessed by a Wellspring Software Technician.


Legacy Tab - Include Host Blank Pages

This should not be checked.

NOTE: This feature is hidden and can be accessed by a Wellspring Software Technician.


Legacy Tab - Show "Current Bank" on Master

This is typically not checked. The bank list will appear as a drop down menu under the list of forms when this box is not checked, . When it is checked, the bank list will appear as a drop down menu on the Master Application screen (main menu) of PrintBoss and will not appear under the list of Form Files.

NOTE: This feature is hidden and can be accessed by a Wellspring Software Technician.


Legacy Tab - "Stay on Top" Method for Document Printing Windows

This should typically remain at the Default (Bring to front) value. Change the setting if you prefer a different method. The other options are:

  • Suppress
  • Force to front


Legacy Tab - Workaround for Novell Bug in "Client32 for 2000/XP"

Workaround for Novell bug in "Client32 of 2000/XP" prior to version 4.83

Select this option when using Novell.

NOTE: This feature is hidden and can be accessed by a Wellspring Software Technician. A script can be e-mailed upon request.


Legacy Tab - Pitch Method Used in Printing When Pitch Is Specified

This remains Precise Pitch.

NOTE: This feature is hidden and can be accessed by a Wellspring Software Technician.


Legacy Tab - Suppress Form's Common Printing

Legacy Tab - Suppress Form's Common Printer

Suppress Form's Common Printer by projecting onto individual copies

In PrintBoss version 5.30.4, the printer selection on a Form was simplified by eliminating the form printer selection from the bottom of the Multi-Parts & Printers tab of the Form Editor. This action was redundant because the user can select a specific printer associated with the form copy.

The options on the Legacy Tab drop down menu allows the user to revert to the original drop down menu to select the form printer or suppress the form printer and only make the selection by copy.


Legacy Tab - Show "Scan Scope Status" button on Print Screen

Set this option to Displayed to display the Scan Scope Status button on the PrintBoss Print Copies Dialog. This button is used to scan the status of the documents defined in the Scope. For example, it might display 3/15 next to the Original copy, indicating 3 of the 15 documents have been processed.

Select Suppressed to hide this button on the PrintBoss Print Copies Dialog. The Default setting for new installs is to suppress this button.


Legacy Tab - Alternate Workfile Delete Method

This option should only be used when instructed by a Wellspring Software support technician.

The purpose is to delay PrintBoss from deleting the work file for a specified number of milliseconds at the start of the batch to wait for virus scanning or other software to release the file.


Internal Tab - Search Payee List using this method:

Select the method for matching an entry in the Payee List. The default is 'Standard Mode' and matches on Payee Name and ID. The other choices are:

  • Match on Payee (name)
  • Match on Payee ID


Bank Account Information

PrintBoss typically pulls the bank account information, including the MICR line data, from the PrintBoss Bank List -- not the accounting software database. (Please refer to the PrintBoss Installation Notes for the specific accounting software for informant on bank account setup.) It is important to edit the PrintBoss Bank List to add an entry for each account that is to be used with PrintBoss.

The bank records should include only the information that will be printed on the checks or used in other PrintBoss functions. Additional fields should be left bank.

See Related Topics:

PrintBoss Banks

Bank MICR

Adding Banks


PrintBoss Home Directory

When PrintBoss operates, it uses files (such as Form Files , Bank List , and Work Files ) from the PrintBoss installed directory or its descendants. This PrintBoss directory is referred to as the PrintBoss Home Directory. The location of this directory is locally recorded (stored in the PrintBoss section of the Win.ini file) for any station that runs PrintBoss. Confirm the location of the Home Directory by selecting About under the PrintBoss Help menu.

The location of the Home Directory can create some confusion. When starting the PrintBoss program from some a shortcut (as per the properties of the ICON that starts PrintBoss), it will still use the Home Directory originally recorded. This will typically occur if PrintBoss is installed locally and then all files are independently moved to a network location along with changing the icon properties. PrintBoss will still look to the local directory as its Home.

It is strongly suggested that the Home and EXE directories listed in the Help/About window match.

To change the Home Directory, click Options in PrintBoss and select PrintBoss Driver Settings. Change the PrintBoss Directory accordingly. Restart PrintBoss for the changes to take effect.


Configuration Settings - Settings Tab

Many of the settings on this dialog are crucial for interfacing PrintBoss with a network and/or terminal server environment and interfacing with the accounting software. Click on the fields in the image below to learn more about their function.


Configuration Settings - Internal Tab

There are several workstation specific options within this tab. Click on the fields in the image below to review more information about their functions.


Configuration Settings - Menus Tab

This tab will allow you to add or delete the tool icons and capturing status screen on the Master Application. It will also allow you to reset the window sizes to the default settings.

Enable Tool Bar

Select this option to display icons on the Master Application menu as shortcuts to selected Menus. Select check boxes for the icons desired.

Enable Master Menu Status Panel

When this box is checked, the lower half of the Master Application window will show the Capturing Status dialog. This information helps with troubleshooting. When this box is not checked, the lower half of the Master Application window will be suppressed. By default, the value is checked.

Reset Window Sizes

PrintBoss will remember the size and location of many of the windows in PrintBoss as a user naturally adjusts them. Clicking this will revert all windows back to their original default location and size.


Configuration Settings - Legacy Tab

The settings on this tab are being discontinued. They are included for special cases where legacy installs of PrintBoss have relied on these features. Click on the fields in the image below to review more information about their functions.


Terminal Server Concept

Overview

The Terminal Server is actually a server that is connected on a LAN (Local Area Network) along with other workstations. Instead of users accessing files directly from their local workstation, users typically login to the Terminal Server to access files and applications. Multiple users can connect concurrently and each user runs in a unique session on the Terminal Server. Only the I/O (mostly keyboard, video, and mapped printers) is transmitted back and forth to the client work stations, simulating the user sitting at the Terminal Server. As such, , the PrintBoss printer driver must be installed onto the Terminal Server. The PrintBoss "home folder" can be installed on the LAN server or, in unusual cases, on the Terminal Server if ONLY Terminal Server clients will be using PrintBoss. Since the PrintBoss Home folder is normally on the LAN server, only a workstation install is necessary on the Terminal Server.

The installation of PrintBoss is actually not much different than installing it on any LAN workstation. The Setup.exe install program is run from the existing PrintBoss home folder on the LAN. It is important to run it as the Terminal Server Administrator. If this is the first install on the LAN , choose a destination folder that will be accessible for all PrintBoss users, both LAN workstations and Terminal Server clients.

Within the accounting application, documents intended to be printed by PrintBoss are printed to the PrintBoss 50 printer driver. The printer driver communicates with the PrintBoss application using a transfer file and will ultimately send the data to the printer designated by each user from the PrintBoss application. Note that PrintBoss printer selections are saved by user on a Terminal Server. However, the destination printer name may change with each new session, causing PrintBoss to not recognize the saved printer. The Enterprise edition of PrintBoss provides options to overcome the name changes that occur with each session.

The PrintBoss work file makes use of the Windows User name to create unique file names. For this reason, conflicts will occur within PrintBoss when multiple operators log on to the Terminal Server using the same User Name. PrintBoss cannot be used with multiple operators using the same Windows User Name at the same time.


Terminal Server Warning

Warning

On a client PC, you may setup Terminal Server to operate in 2 different ways. This setup has significant impact on the settings in PrintBoss and how it is used.

Desktop Terminal Server Session

Published Application


Terminal Server: Desktop Terminal Server Session

Desktop Terminal Server Session

This method defines an Icon and provides a login to start the Terminal Server session without identifying a specific application. When the session starts, the operator will see a Windows Desktop om the Terminal Server as if sitting at the Terminal Server. The desktop would include the Windows Start button, the programs tray, and icons on the desktop. If the operator starts an accounting application and that application initiates a call to PrintBoss, it will automatically load PrintBoss and run the batch of documents. This behaves just like it would if it were a standard install of PrintBoss.


Terminal Server: Published Application

Published Application

This second method provides icons to specific applications once the session is started. Users only have access to the supplied icons and there is no desktop. This is often referred to as a Published Application and is used for increased security. This environment creates a problem for PrintBoss. Normally when a batch is printed to the PrintBoss printer driver, the driver loads the PrintBoss program (if it isn't already running). Prior to Server 2008, the session does not allow other applications to start. As a result, you will need to start PrintBoss manually as a Published Application.

The work around for this is to set PrintBoss to NOT automatically load itself. To do this, open the PrintBoss Master Application (pb32.exe). Click on the Options menu and select PrintBoss Driver Settings. Underneath the Transfer File Settings area there is a checkbox for Load PB32.exe. REMOVE this check mark. When a batch of documents needs to be sent to PrintBoss, PrintBoss must be started manually as a separate published application.

Server 2008 and above will launch the PrintBoss Published Application automatically.


Terminal Server: PrintBoss Installation Settings

PrintBoss Settings

Most settings are the same as the standard settings in PrintBoss.

NOTE: Log into the Terminal Server as ADMINSTRATOR when installing PrintBoss. After completing the setup, the individual users should be able to log in with all settings complete. All PrintBoss users must have FULL PERMISSIONS to the PRNTBOSS folder, as well as the Transfer and Spool folders.

OPTIONS/PRINTBOSS DRIVER SETTINGS

PrintBoss Directory

This should be the location of the PrintBoss directory on the LAN server. Users will need FULL ACCESS to this directory.

Transfer Folder / File

The recommended Transfer Folder location is {ComAppData\...\Transfer}, with the File name set to {WinUserName}. Click on the Test Path button to determine the location of {ComAppData}. The location varies by operating system. The Transfer folder MUST be setup so ALL users have Full Control. It MUST also be located on the local hard drive of the Terminal Server. The Transfer File MUST be {WinUserName} (or some other dynamic derivative) on a Terminal Server, otherwise Print Jobs will get mixed and documents could be lost.

Append to Transfer File

Checked only if required per the instructions provided in the View Notes for the accounting software..

Load PB32.exe

This feature should be checked for Desktop Terminal Server Session and Published Application installs on Server 2008 and above. It should NOT be checked for Published Application installs on Server 2003.

PB50 Driver Special Settings

The default is {ComAppData\.. \PrintBoss Spool}. Users need Full Control to this directory. The location of the path can be confirmed by clicking the Test button. If this is changed, a restart of the print spooler (or a restart of the server) is necessary. Select Allow Editing to make changes.

Configuration Settings Save Location

The default is Local_User Registry.

Capture Mode

Choose either Flag Trigger Required or Always Capture depending on the View Notes instructions for the accounting software or see Driver Settings .

OPTIONS / CONFIGURATION

Work Files Private Folder Name

Select {WinUserName) and check the Set Globally box towards the upper right side of the window. This will set the Work Files and Archive Files Private Folder Names to {WinUserName} for all users.

Enable PrintBoss Windows Printer Driver Processing

Check this box.

Always Capture Settings

Set according to the View Notes for the accounting software.

"PB#INFO" flag overrides above

Check this box.


Terminal Server: Manual PrintBoss Printer Driver Installation

Normally, the PrintBoss printer driver is installed automatically by the install program. If it needs to be installed manually, follow these steps:

1) Verify the user has full rights to the Terminal Server (usually, logging in as administrator is the best)

2) Open the Terminal Server printers group (Start/Settings/Printers) and click Add a Printer

3) Select Add a Local Printer and uncheck Detect Plug and Play in the Add Printer wizard if it is present

4) Use an existing port and select nul:. If nul: is not available, select Create a new port , select Local Port, and enter nul: (fourth character is a colon) for the port name. Then click OK.

5) Click Next

6) Click on Have Disk when the Manufacturer window appears

7) Click the Browse or Have Disk button and locate the PrintBoss folder on the LAN. An NT50 folder should be inside the PRNTBOSS folder. Highlight the .INF file and click Open

8) Click OK and then Next

9) Select Replace the current driver if asked to keep or replace the existing driver. It is also important to reboot the Terminal Server or restart the Print Spooler before actually using this printer or if replacing prior files. This ensures the new files will be used

10) Do NOT change the Printer Name

11) Do NOT share the PrintBoss Printer Driver

12) Do NOT select the PrintBoss Printer Driver to be the Windows Default Printer

13) Do NOT print a test page from the PrintBoss Printer Driver

14) Click Finish


PrintBoss Banks

Overview

PrintBoss maintains a database of bank accounts that is used to print checks. Information is stored for each account in this Bank List. This information is used to print the checks as this data is not usually printed from the accounting software database. The information stored includes the Bank Name, Bank Address, Bank MICR information, Company Information for the account, logo, signatures, and more. When a check is printed through PrintBoss, there is normally some method for the accounting software data to tell PrintBoss which account to use from the list. Any field in the bank record can be used as source data or as a condition for commands. In particular, the MICR line is used to print the MICR across the bottom of the check.

There are four primary tabs that can be used to store bank account information in addition to security and ACH:

Primary Tab

MICR Tab

Miscellaneous Tab

Signature_Logos Tab

Security Tab

ACH Definition Tab

PrintBoss ships with the ability to create up to 10 accounts. More accounts can be added indefinitely by purchasing and installing Bank Modules. Contact Wellspring Software to purchase additional modules. Each module contains 5 Bank Keys (accounts).

See related Topics:

Create a Bank Account

Modify a Bank Account

Copy Bank Information

Adding Banks

Bank Code


Create a Bank Account

To Create a Bank account in the PrintBoss Bank List:

1.) Click Edit from the PrintBoss Master Application Window and select Bank List. A list of bank accounts will appear.

2.) Select the first available account.

3.) Click the Edit Bank button. This will open a dialog box with six tabs to edit information.

Primary Tab

MICR Tab

Miscellaneous Tab

Signature_Logos Tab

Security Tab

ACH Definition Tab

4.) Fill in the fields that are to be used for printing the check. If a field will not be used, leave it blank.

5.) Click OK to save the information.

Sample data is presented for many of the fields.


Bank Account - Primary Tab

The Primary tab contains the company and bank information to be printed on the check. The next check number field is not usually relevant. Please check the Installation Notes specific to the accounting software to determine if a field should be used. Click on the fields in the image below to learn more.

See Also: Copy Bank Information


Bank Account - MICR Tab

This tab stores the MICR information for each Bank record. There are specific fields to enter the Account Number, Routing Number, and Check Number.

Obviously, it is important that the MICR Line is accurate. It is recommended to enter the Account and Routing number in the appropriate fields and let PrintBoss place them in the appropriate order. The check number is within the MICR line. Normally, the internal variable {CChkNo} is used to capture the Check Number. If the accounting software does not pass the check number (Quicken, QuickBooks, etc), then the check number in the PrintBoss bank record should be used. The associated variable is {BChkNo}. It is helpful when using the {BChkNo} variable to select Auto Confirm from the Confirm Check Number at start of batch drop down menu on the Primary Tab . This helps ensure the check numbering in the accounting software stays in synchronization with the PrintBoss bank account record.

When extra or special characters are needed in the MICR line (i.e. Modulus 9 calculation), select the Custom radio button and the Custom Format field will allow manual entry . Use the variable mentioned in the accounting software Installation Notes for the correct Check Number field. Type an asterisk (*) after the desired field (usually the check number) to add the Modulus 9 calculation.

See Also: Copy Bank Information

Click on the fields below to learn more.


Bank Account - Miscellaneous Tab

This tab is used for miscellaneous variables that can be customized for specific needs. Miscellaneous Information and Miscellaneous Flags are independent items.

The Values column under Miscellaneous Information can include a string or a numeric value. The fields in the Description columns are all editable.

The Miscellaneous Flags return a value of True when the Values column is checked and any added conditions are met. Flags 2-5 have description fields that may be edited.

Special Items

Check the Canadian Style Date/Amount box if this bank account requires Canadian Formatting (often referred to as the CPA06 style). This activates the conditional formatting in the PrintBoss standard forms. For additional information regarding Canadian Formatting, please see the Wellspring Software web site SUPPORT DOCUMENTS page for Canadian Customers.

See Also: Copy Bank Information


Bank Account - Signatures & Logos Tab

This tab allows account-specific signatures and logos to be used if desired. These files need to be referenced in the Form file as a variable in order to be used.

Use the appropriate fields to assign properties when unique placement, resizing, or conditional use based on an amount are required. Entering values in these fields have no affect on the form. Commands in a form must explicitly reference these fields in order to use the information. When your cursor hovers over a field, a popup hint will show the variable name that can be used in a form to reference this field.

The alignment options for the Logo Properties is a new feature beginning in PrintBoss version 5.73.6. PrintBoss Forms delivered in version 6.0 and above are programmed to automatically take advantage of these logo options.

See Also: PrintBoss Form Files

Copy Bank Information


Bank Account - ACH Definition Tab

The ACH Definition tab may be used to enter data to be used in creating an ACH file for this bank record according to the NACHA Operating Rules and Guidelines. Refer to your bank with questions about what to enter on this tab.

Click on the fields below to learn more. The ACH feature is NOT available in PrintBoss Express.


Bank Account - Security Tab

This tab allows the Supervisor to determine who has access to the selected bank record. This tab is available in the Bank Edit window when bank security is enabled under Option / Security. The Supervisor must log in as the Administrator with the Master Password to make changes.

1. Click on the File menu in Print Boss and choose User Log-In.

2. Enter the administrative Operator Name and Password.

3. Click OK.

4. Click on the Edit menu and choose Bank List.

5. Select the desired bank record and click the Edit Bank button.

6. Select the Security tab.

7. Choose the Bank Account Access type.

  • All Users will allow all users to access the selected bank record. This is the default value.
  • Users Listed Here will allow the supervisor to select the users who should have access to the selected bank record.

8. Click on the Users Listed Here radio button to select users who should have rights to this bank record.

9. PrintBoss Users defined in Options/Security will appear under the PrintBoss Users defined in Security column. Select a user and click the Add Selected PB Users button to provide them access to this bank record. The PB Users name will be moved to the Users with Rights to this bank account column.

10. Add users not defined in Options/Security by clicking on the Add Windows User button and entering the WinUserName for the person. Click OK to add the name to the Users with Rights to this bank account column.

11. Click OK when you are finished.

Users can be removed from the Users with Rights column by selecting the name and clicking the Remove Selected Users button.


Modify Bank Account

Click on the Edit menu on the PrintBoss Master Application and select Bank List to modify information associated with a bank account. Highlight the bank account that needs editing and click the Edit Bank button.

The PrintBoss Bank Edit dialog will open, defaulting to the Primary tab . All of the information can now be edited. Click OK to save your changes. Click Cancel to exit without saving changes.


Adding Banks

PrintBoss initially is able to maintain up to 10 bank accounts. Additional bank accounts can be added using a Bank Module, often called Bank Keys. Each bank module or key adds 5 additional bank accounts. Contact Wellspring Software to purchase a Bank Module.

Installing Bank Keys

1. Click the Utilities menu on the PrintBoss Main Application and choose Install Modules.

2. Select the Bank List Modules tab.

3. Click on the Install Bank Modules button.

4. Enter the Bank Serial Number, Bank Installation Code, and Bank Module Count received by email.

5. Click OK. The update should only take a few moments. The updated number of accessible accounts should appear on the Bank List Modules tab.

6. Click the Done button when you are finished.

This installation is now permanent for this PrintBoss serial number. Bank Modules can only be used with a single PrintBoss serial number. Save the Bank Module email information for backup purposes.


Primary Tab - Bank Code

This field will be used to find the desired bank account. Either the accounting software or the Request List references the bank to be used by this code. By default, PrintBoss requires an exact match of this code when the code is passed from the accounting software, though it is not case sensitive.

There is an option in PrintBoss to allow Partial Matches. This is not recommended, but is available for special cases and usually applies to legacy PrintBoss installations. Click on the OPTIONS menu on the PrintBoss Master Application and select CONFIGURATION to activate this setting on the Internal tab. Click on the Method of matching of Bank Code option and select Allow Partial Match of Bank Code that follows colon:. Once this is selected, the code must match all characters up to the colon exactly, though it is not case sensitive. If there is no colon, all characters must match exactly. Following the colon, there is a character-by-character match until all characters in the Bank Code are used. For example:

Bank Code in PrintBoss Bank Code from Acctg Software Match

Main Checking Main Checking Yes

Main Checking Main Checking:ABC Yes

Main Checking Main Checking:XYZ Yes

Main Checking:A Main Checking No

Main Checking:A Main Checking:ABC Yes

Main Checking:A Main Checking:XYZ No

Notice the first three examples are all a match for PrintBoss. Select Allow for Selection when multiple Bank Codes match to ensure an exact match when bank codes are very similar.

If there are bank codes that match exactly after the 50th character, the Bank Code field can be modified to allow additional characters. Allowing additional characters in the bank code will provide a greater chance each bank code will be unique. Click the Change BankCode Len button to change the maximum length of the bank code. The Bank Code Length Modification window will open and allow you to enter a new Bank Code field width. The field width limit is a 60 characters.

NOTE: Two separate windows will open warning the change is irreversible once you make a change and click OK. This can be a problem if the code limit was set to 60 and someone changes it back to 30. All characters after the 30th character will be lost in this case and can no longer be used to determine an exact match of the bank code.


Primary Tab - Bank Information Normally Printed on Check

Enter the information desired to print on the check. This does not need to match the information in the HAS database. Leave a field blank if you do not want to use it. There are some interfaces that do not use the bank information from this bank list. See the Installation Notes that were printed during installation or the Comments section of the form file editor for more detail.


Primary Tab - Company Information Normally Printed on Check

Enter the information desired to print on the check. This does not need to match the information in the accounting software database. Leave a field blank if you do not want to use it. There are some interfaces that do not use the bank information from this bank list. See the Installation Notes that were printed during installation or the Comments section of the form file editor for more detail.


Primary Tab - Bank Prompt

The Bank Prompt is for User recognition of the account. This field is often used to give the account a nickname. It should not be left blank. It should at least be filled with the same value as the Bank Code field.


Primary Tab - Next Check Number

This field is only relevant for accounting software that does not pass a check number to PrintBoss (such as QuickBooks). It is almost never used except for QuickBooks/Quicken. PrintBoss will increment this number by 1 for each document that is processed by PrintBoss with this bank account, even if this field is not used.

Review the Installation Notes for the host accounting software for more information.


Primary Tab - Confirm Next Check # at Start of Batch

Primary Tab - Confirm Check # at Start of Batch

Typically, this is set to Automatically Confirm for accounting software systems that do not print check numbers and use the Next Check Number field in PrintBoss. When the PrintBoss Check Number field on the MICR tab is set to {BChkNo} and the Confirm Check # field is set to Auto or Confirm, PrintBoss will prompt the user to verify the Next Check Number for this bank account. The check number will be updated in the PrintBoss bank record when the Next Check Number is edited. Editing this field will not update the accounting software.

The Next Check Number field is IRRELEVANT for accounting software systems that do not use PrintBoss to generate the check number. Setting PrintBoss to Confirm or changing the number in the PrintBoss Bank list will NOT impact the actual check number used on the document. The number passed from the accounting software will be used regardless.

Review the Installation Notes for the host accounting software for more information!


Primary Tab - Include Bank on Popup Bank List

Include bank on Popup Bank Request List

When an interface uses a Request List to prompt the user to select a bank, this option can restrict an account from appearing in the list. Often, this option is used when adding a bank account prior to the actual start date for use. This option does not restrict an account from appearing in a list when a bank should automatically be selected but has to prompt the user for a match.

For more information, see PrintBoss Request List .


Primary Tab - Fractional Code

The fractional code is the group of bank numbers that is often printed in a small font near the bank information or near the check number. Not all banks require this information. Often, this information is represented as a number over a second number. PrintBoss places the first number next to the second separated by a slash " / " instead. This method is perfectly acceptable to the American Banking Association and Canadian Payment Association.


Primary Tab - Password

Password Required at start of batch

A password may be added to a bank account either for security purposes or as an additional confirmation that the correct account has been selected. There are 3 options of when to require the password (all unchecked means no password required).

when picking Popup Bank Request List

This requires the password to be entered when a bank is selected from the Request List .

during Un-Matched Bank Selection

This requires the password to be entered when PrintBoss is prompting the user to select a match when no match is found when in auto-pick mode.

every time bank is auto-picked

This requires the password to be entered any time a bank account is automatically selected by PrintBoss. This option is primarily used for security purposes.

Password

The password field is alpha-numeric and will accept up to 20 characters. This field is not encrypted.


Primary Tab - Always Confirm Auto Bank Selection

Primary Tab - Always Confirm Auto Selection

This check box requires the user to always confirm the account when it is automatically selected. This feature is typically used when two bank accounts have identical Bank Codes. Because the logic requires the bank selection to allow for duplicate Bank Codes, this setting is grayed out unless the Allow for Selection when multiple Bank Codes match field is enabled: Options/Configuration/Internal/<at the bottom of the page>. Of course, once both bank accounts exist and a request is made for the shared BankCode, a popup occurs allowing the operator to make a selection. However, the confirm selection prompt will still popup even when only one of the accounts has be identified as a match. This allows the operator to select the single account showing or cancel and identify another account to share the bank code now and in the future.


Primary Tab - Alias

When more than one accounting software system is used with PrintBoss and they both use the same bank account, they may need different Bank Codes. Instead of entering all of the information twice, you may use the ALIAS option. This allows two different Bank Codes to be used with the same bank account. This option will only work if both accounting packages use the same variable for the check number. (See the Installation Notes printed during the PrintBoss installation for each accounting software system.) If the check number variable must be different, two separate bank list entries must be created within the PrintBoss bank list.

An Alias still uses one of the entries within the PrintBoss Bank list. This will be important when considering the purchase of Bank Modules .


MICR Tab - Routing Number

Enter the correct routing number for the bank account. Do not use any substitute characters.


MICR Tab - Account Number

Enter the account number. Use a period to designate a space. It is very common to have a leading space (period). Use a dash if the dash symbol appears in the account number.


Copy Bank Information

Bank accounts often have similar information. It is easier to copy certain fields from one PrintBoss bank record to the next instead of entering the information manually.

  • Click the Edit menu on PrintBoss Master Application and select Bank List.
  • Select the account that contains the information you want to duplicate and click the Edit Bank button.
  • Click the Copy button at the bottom of the window. All fields from the current bank (including all tabs) will be stored on the clip board.
  • The following fields will not be selected by the Copy button:
  • Confirm Check # at start of batch option
  • Include bank on Popup Bank Request List option
  • Password
  • Check Number
  • Check Format Type
  • Custom Format
  • Security
  • Click OK or Cancel.
  • Select the bank account that will receive the copied information and click the Edit Bank button.
  • Only tagged fields (highlighted with yellow) will be filled from the clip board. It is common to set the tags on all fields and then edit the fields that should be unique for the new bank record.
  • Click the Set Tags button to tag all fields.
  • Press and hold the Ctrl key and click a field to remove the tag (yellow). Repeat to re-select the field if you change your mind. The Ctrl + click will toggle back and forth
  • Click the Paste button to fill all tagged fields.
  • Click the Clear Tags button at the bottom of the window to remove all tags (yellow).
  • Click on OK to return to the list of bank accounts. The fields that were selected from the first account are copied into this account.

If the same information should be pasted into another account, select the next account, click the Edit Bank button, and Paste the information from the clip board. The same fields are copied into this account. Repeat for as many accounts as necessary.


MICR Substitute Characters

There are four characters that may appear on the MICR line of a check that cannot be reproduced with any computer keyboard key. Therefore, we have assigned replacement characters for the MICR line characters listed in the following table:

Symbol Description Represented by:

Amount $

On Us /

Dash -

Transit [


MICR Tab - Check Number

One portion of the MICR line is the Check Number. Since this changes from check to check, a variable needs to be entered instead of entering a specific check number. The available variables are:

{BChkNo} Check number pulled from the bank record

{CChkNo} Check number passed from the accounting software

{DocNo} Check number passed from the accounting software

(Often {DocNo} and {CChkNo} are interchangeable

BBBBBB Check number pulled from bank record with the number of digits specified by the number of letters. Left filled with zeros.

CCCCCC Check number passed from the accounting software with the number of digits specified by the letters. Left filled with zeros.

Select the appropriate variable from the drop drown menu. See the Installation Notes for the specific accounting system for more information.

To edit the check number variable, click on the Edit menu in PrintBoss and choose Bank List. Select the bank account you want to use and click the Edit Bank button. Select the MICR Tab to view the Check Number field.


MICR Tab - Check Format Type

The check style only determines the order of the components for the MICR line on the check. This does not impact the actual style of the check form. Select the appropriate style for the check stock that is going to be used.

Standard 8.5" Business Check

Standard interfaces use this style. Usually this is for a check between 7" and 8.5" wide.

Small 6" Wallet Size Type 1

This is for a wallet-sized check with the check number on the far right of the MICR line.

Small 6" Wallet Size Type 2

This is for a wallet-sized check with the check number in the middle of the MICR line.

Deposit Slip

This is for printing deposit slips that do not have a document number. Only the bank routing number and account number will appear.

Custom (enter MICR line directly)

The MICR line may be edited directly instead of editing the individual components. This allows for special formatting required by your bank. This option opens the Custom Format field at the bottom of the window. Adjustments to the MICR characters will display on the Sample MICR line.


MICR Tab - Custom Format

This area displays how the MICR line will appear when printed. The field updates to reflect changes made in the individual components on the MICR Tab in the Bank Edit window. On rare occasions, it is better to modify the line directly rather than use the individual components. To do so requires selecting the Custom option under the Check Format Type section.

Each character (including blank spaces) must be entered exactly as they appear on an existing check. A common MICR string is similar to the following example:

/{BChkNo}/ [123456789[ 123-1234/

Character 45

The current Canadian Payments Association regulations suggest using a Character 45 in the MICR line of accounts printing checks drawn on US Dollars. You can enter the required numbers, as indicated by your bank, using the Custom Format field or by selecting the Include US Funds flag (45) on MICR line option..

NOTE: It is recommended to enter MICR information through the modules if no special characters are required in the MICR line.

See Also for Module Entry: Routing Number

Account Number

Check Number

Check Format Type


MICR Tab - Include US Funds Flag (45) on MICR Line

Select this option to include the US Funds Flag (45) in the MICR Line.


ACH Definition Tab - Immediate Destination

Contains a space followed by the 9 digit routing number comprised of the four digit Federal Reserve Routing Symbol and the four digit ABA Institution Identifier that identifies the ACH Operator that will receive the file

The space is entered in the ACH file. No space is necessary in this field.


ACH Definition Tab - Immediate Origin

Contains a space followed by the 9 digit routing number comprised of the four-digit Federal Reserve Routing Symbol and the four-digit ABA Institution Identifier that identifies the ACH Operator that will send the file.

The space is entered in the ACH file. No space is necessary in this field.


ACH Definition Tab - Immeditate Destination Name

ACH Definition Tab - Immediate Destination Name

This field is optional and may contain the name of the ACH Operator, bank, or receiving point that will receive the ACH file. The field length is 23 characters.


ACH Definition Tab - Immedate Origin Name

ACH Definition Tab - Immediate Origin Name

This field is optional and may contain the name of the ACH Operator, bank, or sending point that is sending the file. The field length is 23 characters.


ACH Definition Tab - File Mode ID

Increment for multiple files in one day.

Upper case letter A-Z and/or numeric 0-9 character is used in the ACH File Header Record to distinguish multiple files created on the same date and between the same

participants. The increment begins with A for multiple files created in a day. The field length is 1 character.


ACH Definition Tab - Pre-Note Override

Select this option to globally override the individual Pre-Note settings in the Payee List. This should only be used once -- the first time an ACH batch is processed for the bank. The Payee List is used for individual Pre-Notes when a new employee or vendor are added.


ACH Definition Tab - Service Class Codes

This field identifies the general classification of dollar entries to be exchanged in the ACH file. The code is limited to 3 characters, though the drop down menu displays a description of the available codes. The choices are:

200 - Mixed

220 - Credits Only

225 - Debits Only

280 - Automated


ACH Definition Tab - Company Name

Enter the Company or Payer Name in this field. The maximum number of characters is 16.


ACH Definition Tab - Company Discretionary Data

This is an optional field to allow the Company to include codes of significance only to them to enable specialized handling of all entries in the batch.. There is no standard interpretation for the value(s) in this field. The maximum number of characters is 20.


ACH Definition Tab - Company Identification

Enter the alphanumeric code used to identify the Originator, usually supplied by your financial institution. The maximum number of characters is 10.


ACH Definition Tab - Standard Entry Class

This field holds various predefined character abbreviations representing standard descriptions. PrintBoss uses the following:

CCD - Corporate to Corporate EFT Credit or Debit

PPD - Prearranged Payment & Deposit (Consumer)


ACH Definition Tab - Company Entry Description

Enter a description for the purpose of the transaction. The maximum number of characters is 10. Ex: Payroll, Water Bill, etc.


ACH Definition Tab - Originating DFI Identification

Enter the Bank routing number plus ABA number with no leading space. The maximum number of characters is 8.


ACH Definition Tab - More Info

Select this button to view names and descriptions of fields to be assigned in the PrintBoss form. Three of the fields are required. The others are optional.

The three required fields are:

ACHRecvBankID: Receiving DFI Identification + Check Digit

ACHRecvBankAcct: DFI Account Number

ACHRecvName: Receiving Company Name or Individual Name

Also note the "Standard Entry Class Code" in the ACH Header script should be set by editing the Form's Positive Pay scripts.


ACH Definition Tab - Payee List

The Payee List may be used to store ACH information specific to the Payee instead of printing the data from the accounting software to PrintBoss. The Payee List will match the Payee or DocRecip name on the document printed to PrintBoss from the accounting software when this section is Active.

Payee List

An existing Payee List can be selected and Edited when the this section is Active. New lists are created by selecting Edit / Payee Lists from the PrintBoss Master Application window. A Payee List should be assigned to only one bank record.

No Match of Payee Method

Select an action when there is no match on the Payee List for a Payee or DocRecip Name printed to PrintBoss for this bank record. The choices are:

  • Create Empty Record in List (using Payee name)
  • Ignore Payee
  • Alert with option to Add/Ignore


ACH Definition Tab - Balanced File

Select this column by checking the Balanced File Activation box when the bank requires a balancing entry for the credits or debits listed in the Detail section of the ACH file. The associated fields appear on the Balance Record tab of the Positive Pay / ACH File Editor for the ACH file. The variable for the Balanced File Activation is {bACHBalFile}; the associated value is either Y (activated) or N (not activated).

There are three fields in this section:

Routing Number {bACHBalRout} - Receiving DFI Bank Routing Number for balancing entry, enter up to 8 characters

Account Number {bACHBalAcct}- Receiving DFI (Bank) Account Number for balancing entry, enter up to 17 characters

Account Name {bACHBalName} - Receiving Company Name for balancing entry, enter up to 22 characters


MICR Modular Entry

Instead of directly entering all data into the MICR line, each component may be entered separately. One advantage to this is that PrintBoss will automatically suggest proper placement of special characters based on ABA and CPA standards. These may still be adjusted, but it provides a starting point.

In PrintBoss, click on the Edit menu and select Bank List. Highlight a bank and click the Edit Bank button. Select the MICR tab. There are 5 different sections on this tab. Only the first 4 provide modular entry. Use the links below to learn more about these sections.

Routing Number

Account Number

Check Number

Check Format Type


MICR Location

The MICR line is used by banks to read account information. This line is printed in a special font with a particular placement at the bottom of each check. Placement of this line is very important for the banks to read the line properly with either optical or magnetic scanning equipment.

A Sample MICR line:

See Related Topics:

Bank MICR

Adjustment of MICR Placement


Adjustment of MICR Placement

The location of the MICR line is calculated by PrintBoss based on the directives passed in the #MICR command . Typically, this placement is proper for a check at the bottom of an 11" page. Sometimes there is a small difference from printer to printer, so a separate adjustment can be made in the Configuration of PrintBoss. Once this is made, it should not need to be changed unless the physical printer is changed.

MICR placement adjustments are made in PrintBoss. Click the Options menu in PrintBoss and choose Configuration. Select the Settings tab .

There are two methods for making adjustments:

Manual

Using the MICR Adjust Wizard

One common issue is the MICR line getting "cut in half". For more information, see MICR Line "Cut in Half".

MICR adjustment settings are saved locally on the workstation. Each workstation can make necessary adjustments without impacting other workstations even when running PrintBoss from a shared drive.

As each piece of paper runs through the printer with slight variations, no two pages will print exactly the same. For this reason, a range of placement is acceptable according to the American Banking Association and the Canadian Payments Association. This "range" is indicated by the box around the transit symbol. As long as the MICR transit is within this box the placement should be acceptable.


Manual Adjustment of MICR Line

Options/Configuration/Settings Tab

The MICR line can be manually adjusted by entering new settings into the two MICR Offset Adjustment fields: Left / Right and Top / Bottom. These fields contain zeros as the default settings. Any number that is entered is measured in thousandths of an inch. This increment is very small and is not usually noticeable with a change of 1 or 2. Start the adjustment with larger numbers such as increments of 50 to be able to see the initial adjustment, then fine tune with smaller adjustments. Use negative numbers from zero to move up or to the left. Both the UP and DOWN arrows and direct data entry can be used to make adjustments.

Adjust the horizontal and vertical alignments independently of each other.

Test your adjustments by printing a laser copy and overlaying the Transit Character from the printout on top of the Transit Character that is faintly preprinted on the US check stock. If the laser-printed character needs to move, adjust the corresponding MICR offset.

MICR adjustment settings are saved locally on the workstation. Each workstation can make necessary adjustments without impacting other workstations even when running PrintBoss from a shared drive.

As each piece of paper runs through the printer with slight variations, no two pages will print exactly the same. For this reason, a range of placement is acceptable according to the American Banking Association and the Canadian Payments Association. This "range" is indicated by the box around the transit symbol. As long as the MICR transit is within this box the placement should be acceptable.


Using the MICR Adjust Wizard

Options/Configuration/Settings Tab

Click on the MICR Adjust Wizard for step by step adjustments. Each step is grayed out until the Next button is clicked. When the next step appears, the previous step will gray out. When finished with the Wizard, click on OK on the Configuration Setting tab to save the changes.

The PrintBoss MICR Adjust Wizard determines the actual printing offsets of the selected printer and accurately gages the MICR location based on page length.

Click on the Method uses double print tab to start:

Step 1: Insert a blank page in your printer and click the Print Main Align Form button. Horizontal and Vertical Offset Indices will print on the page.

Step 2: Rotate the page top to bottom and insert into printer tray. (The bottom of the page should be nearest you and the print side is visible.) Click the Print Index Marks button. Lines will print across the Offset Indices.

Note: The position of the page in the printer may vary depending on the printer. Position the paper so the Index Lines print across the Offset Indices.

Step 3: Enter the Horizontal and Vertical Offset Index values in the appropriate fields. Accuracy is important. The adjustment values are automatically calculated based on the values entered. The proposed offset values will appear beneath each field after a value is entered. Click Finish to accept the proposed offset values.

MICR adjustment settings are saved locally on the workstation. Each workstation can make necessary adjustments without impacting other workstations even when running PrintBoss from a shared drive.

As each piece of paper runs through the printer with slight variations, no two pages will print exactly the same. For this reason, a range of placement is acceptable according to the American Banking Association and the Canadian Payments Association. This "range" is indicated in bank specifications.


MICR Line "Cut in Half"

If the bottom edge of the MICR line is cut off, then the MICR line is too low for the printer hardware. Adjust the MICR line by moving it up until the entire line is visible. If this puts the MICR line outside of the box around the pre-printed transit symbol on the check stock, the LaserJet printer driver will need to be adjusted.

  • For W95 or W98 machine, Click on your Start button and select Settings/Printers. Right click on the LaserJet printer icon that is used with PrintBoss and choose Properties. Often there is a button on the Paper tab called Unprintable Area. Set the margins to a smaller value. This will allow the lower edge of the MICR to appear. If the printer driver does not have an unprintable area option, you may want to see if there are other driver options for the printer or download the latest printer driver for that printer.

  • For WNT, W2000, WXP, or Vista environments, a new printer driver MUST be downloaded to allow for a smaller unprintable area.

The MICR Line will also be cut in half when an ink jet printer is used instead of a LaserJet printer. Ink jet have a smaller printable area on the bottom of the page. One solution is to turn the check stock around in the printer and set the PrintBoss Form to flip Top to Bottom when printing. This allows the smaller top margin to print the MICR Line first. Of course, the top edge of the advice will be cut off instead.

1. Click on the Edit menu on the PrintBoss Master Application.

2. Select Form Files.

3. Select the correct form from the list and click on the Editor button.

4. Click on the Special Controls tab.

5. Click on the check box next to the Flip Top to Bottom when printing option.

6. Click OK to save this change.


Variables

Variables reference data that can change from one document or batch of documents to the next. The PrintBoss Form includes the variable and, at the time the document is generated, the appropriate information will replace the variable. A common variable is the document number.

Each field in the PrintBoss bank record can be referenced in the PrintBoss Form as a variable. Unless the PrintBoss Form references a variable, the data in that field will not be used. All fields are not required.

The Variable Field Names are available for each bank account when editing the Forms. The variable names are not case sensitive.

Rarely will all of these fields be used. Entering them into the bank record does not mean they will appear on the document. The Variable Name must be referenced in a command in the PrintBoss Form for it to be used. Typically, this is achieved by using a #Text command . (See PrintBoss Forms ).

One of the important fields is the BANKCODE . If you are using accounting software that passes a bank code (Accpac, Dynamics, etc.), enter the exact code used for this bank in the accounting software. This is how the accounts will synchronize. Do Not leave the BankCode field empty.

NOTE: If printing checks from accounting software that passes a bank code and no entry in the PrintBoss list matches the code from the accounting software, PrintBoss will prompt the user to select an account from the list. A check box in the lower right area of the prompt will indicate PrintBoss should update this account to match the bank code sent from the accounting software. By default, this box is checked. Uncheck this box is the Bank Code should not be changed.


Field Names

The following Field Names are available for each bank account when editing forms. Variable name should always be enclosed in brackets { } when using a #Text command.

PRIMARY TAB

Field Name Var. Name Additional Descriptions

Bank Code {BCode} Code used to define record

Bank Prompt {BPrompt} Name given for user recognition

Bank Name {BName} Name of bank

Bank Address 1 {BAds1} Address Line 1 of bank

Bank Address 2 {BAds2} Address Line 2 of bank

Bank Address 3 {BAds3} Address Line 3 of bank

Company Name {BCName} Company Name as it is to appear on the checks

Company Name 2 {BCName2} Company Name 2 as it is to appear on the checks

Company Address 1 {BCAds1} Company Address Line 1

Company Address 2 {BCAds2} Company Address Line 2

Company Address 3 {BCAds3} Company Address Line 3

Company Address 4 {BCAds4} Company Address Line 4

Fractional Code {BFrac} Fractional Code

Next Check No. {BChkNo} Next Check No. Counter (only used if Check # is not sent from HAS)

MICR TAB

Field Name Var. Name Additional Descriptions

Routing Number BMicrRoutNo Routing number for bank

Account Number BMicrAcctNo Account number for bank

Check Number DocNo DocNo can be used for both CChkNo and BChkNo

MICR Line BMICR MICR line for bank

MISCELLANEOUS TAB

Field Name Var. Name Additional Descriptions

Misc 1 BMisc1 Miscellaneous Field 1

Misc 2 BMisc2 Miscellaneous Field 2

Misc 3 BMisc3 Miscellaneous Field 3

Misc 4 BMisc4 Miscellaneous Field 4

Misc 5 BMisc5 Miscellaneous Field 5

Misc Flag 1 BFlag1 Use for a 2nd signature line

Misc Flag 2 BFlag2 Miscellaneous Flag 2

Misc Flag 3 BFlag3 Miscellaneous Flag 3

Misc Flag 4 BFlag4 Miscellaneous Flag 4

Misc Flag 5 BFlag5 Miscellaneous Flag 5

Canadian Style bCDN_CkStyle Canadian Style Date/Amount

SIGNATURE_LOGOS TAB

Field Name Var. Name Additional Descriptions

Logo File {BLogoFile} Logo File Name if printing

Logo X {BLogoX} X Coordinate for logo

Logo Y {BLogoY} Y Coordinate for logo

Logo Options {BLogoOp} (See #PCX , #PIC , #SIG , #BMP )

Logo Height {BLogoHt} Logo height size

Logo Width {BLogoWd} Logo width size

Logo High {BLogoHi} Logo high amount range

Logo Low {BLogoLo} Logo low amount range

Logo Percent {BLogoSize} Logo size adjust by percent

Signature File {BSigFile} Signature File Name if printing

Signature X {BSigX} X Coordinate for signature

Signature Y {BSigY} Y Coordinate for signature

Signature Options {BSigOp} (See #PCX , #PIC , #SIG , #BMP )

Signature Height {BSigHt} Signature height size

Signature Width {BSigWd} Signature width size

Signature High {BSigHi} Signature high amount range

Signature Low {BSigLo} Signature low amount range

Signature Percent {BSigSize} Signature size adjust by percent

Signature 2 File {BSig2File} Signature 2 File Name if printing

Signature 2 X {BSig2X} X Coordinate for signature 2

Signature 2 Y {BSig2Y} Y Coordinate for signature 2

Signature 2 Options {BSig2Op} (See #PCX , #PIC , #SIG , #BMP )

Signature 2 Height {BSig2Ht} Signature 2 height size

Signature 2 Width {BSig2Wd} Signature 2 width size

Signature 2 High {BSig2Hi} Signature 2 high amount range

Signature 2 Low {BSig2Lo} Signature 2 low amount range

Signature 2 Percent {BSig2Size} Signature 2 size adjust by percent

ACH DEFINITION TAB

Immediate Destination {bACHImdDstNo} Bank's Routing Number (may be different than your branch)

Immediate Origin {bACHImdOrgNo} Bank's Routing Number (your branch) or Company's Tax ID number

Immediate Destination Name {bACHImdDstName} Bank's Name

Immediate Origin Name {bACHImdOrgName} Company Name

File ID Modifier {bACHFileIDMode} Increments beginning with 'A' to identify multiple files in 1 day

Service Class Code {bACHSvcClassCode} Indentifies type of ACH File (Credits/Debits)

Company Name {bACHCompName} Company Name, limit of 16 characters

Company Discretionary Date {bACHCompDisc} Optional field for Company's use; limit of 20 characters

Company Identification {bACHCompID} Alphanumeric code used to identify the Originator, ofter 1 + Tax ID

Stanard Entry Class {bACHStdEntryClsCod} CCD (Corporate Credit or Debit) or PPD (Prearranged or scheduled Credit or Debit

Company Entry Description {bACHCompEntry} Optional field of 10 characters to provide a desciption for this batch of transactions

Originating DFI Iden {bACHOrgDFIID} Bank routing number number and ABA number with no spaces

Balanced File {bACHBalFile} Check this box when bank requires a balanced record

Routing Num. {bACHBalRout} Receiving DFI Bank Routing Number for balancing entry

Account Num. {bACHBalAcct} DFI (Bank) Account Number for balancing entry

Account Name {bACHBalName} Receiving Company Name for balancing entry


PrintBoss Form Files

Overview

When PrintBoss captures a file or a print job from accounting software, the PrintBoss Form File (.PBF) is the conductor that controls if and how all the data will be used. This includes:

  • The background graphics and text of the form
  • Placement of data from the PrintBoss Bank Record
  • Selection and placement of graphic/signature files
  • Use and/or reformatting of the data passed by the accounting software
  • Conditional items
  • Copies management

The following links are topics concerning Form Files:

Standard Form Files

Create a New Form File

Modify an Existing Form

Modify from the Document View

Modify from the Form Editor

The following are links to Commands:

Form File Commands

Conditional Commands


Create A New Form File

In order to create a new form file, the user must open the PrintBoss software and follow these steps:

1) Click on the Edit menu and select Form Files. A Form Select window opens.

2) Click on the Create button from the list on the right side of the window.

3) Enter a unique File Name of 8 character or less.

4) Click OK.

A new form will be created and appear in the Form Select list with all of the appropriate PrintBoss structures, minus the design scripts (the form will be blank). Now Edit the form.

A form should be created to work with specific data layout received from the accounting software. Please see the Installation Notes specific for the accounting software or Custom Interfaces .

PRINTBOSS EXPRESS USERS:

PrintBoss Express is programmed to use the standard PrintBoss form files installed during the run of Setup.exe (i.e. QB_Chk4.pbf).

PRINTBOSS SELECT USERS:

PrintBoss Select is programmed to use the standard PrintBoss form files installed during the run of Setup.exe for QuickBooks only.


Modify an Existing Form

It is usually advisable to start with an existing form similar to your needs and, after copying to a new name, modify the new form.

1) Open PrintBoss.

2) Click the Edit menu and select Form Files.

3) Highlight the form you want to copy and click the Copy To button.

4) Enter a new name of 8 character or less.

5) Click OK when you are finished.

After creating a new form or a copied form, the user can edit the form using two different methods:

Document View

Form Editor

NOTE: Be alert to properties of the original form that may impact the final results of the modified form such as #RegionMove commands and font overrides that may not be apparent when viewing a form.

PRINTBOSS EXPRESS AND PRINTBOSS SELECT USERS:

PrintBoss Express and Printboss Select are programmed to use the standard PrintBoss form files installed during the run of Setup.exe (i.e. QB_Chk4.pbf).


Modify From the Form View

This is the most convenient method, though certain elements are not accessible through the View.

1) Open PrintBoss.

2) Click on the Edit menu and select Form Files.

3) Highlight the form to edit and click the View button. This will open a view of the form. Clarity will depend on the monitor's size and resolution.

Along the top of the view (from left to right) you will see:

  • A drop down menu that allows adjustment of the size of the document view (similar to zoom).
  • The copy number that is being viewed (copy 0 = original). Adjust the copy view with the arrows.
  • The coordinates of the cursor location in inches. The first coordinate (X) is from the left edge of the page and the second coordinate (Y) is from the top edge of the page.
  • If the form has duplex printing turned on, a button will appear indicating if this view is the Front or Back of the document. Click on the button to toggle between sides.
  • An amount field for testing. By default, the value is zero. Enter an amount if testing objects using the AmntRange condition .
  • If the form has Fax or E-mailing as a printing selection, Fax or E-mail buttons will appear to the left of the Close button. Click on the button to Fax or E-mail the form.

Across the top and down the left edge is a ruler to indicate coordinates on the page (shown in the coordinates field at the top of the page). As the cursor moves over the document, slight line indicators will mark the matching coordinates.

Around the edge of the document, a light blue border indicates the margins or "unprintable" area of the page. This will adjust according to the LaserJet printer selected within the PrintBoss program or the orientation of the form.

Right click anywhere in the view to see a list of choices for viewing, adding, editing, and deleting objects.

Double click on any object to view the Properties dialog for the object. The properties dialogs provide a number of editable fields to adjust the objects.

NOTE: All items inserted from the View will be placed into the Footer Objects tab of the form (even if placed on the Back of the form). You may adjust the location of these objects when necessary in the Form Editor .

See Also: Form View Editing

Conditional Commands


Form View Editing

1) Open PrintBoss.

2) Click on the Edit menu and choose Form Files.

3) Select your form from the list and click the View button.

Right click anywhere in the form for the following options. The first three assume an object is already selected:

Edit Current Object

An object should be selected (turquoise highlight) before choosing this option. This option opens the dialog box for the currently selected item.

Delete Current Object

This option deletes the currently selected (highlighted) object from all copies / accounts that use this form. A prompt will confirm this selection or allow the user to cancel.

Comment Current Object

This option comments the current object without actually deleting it. The object will no longer be active. The command will still appear in the editor of the form, yet it will have a pipe symbol ( | ) in front so it is not actively used. A prompt will confirm this selection or allow the user to cancel. Once an object is commented, it cannot be selected or edited from the View window.

Insert Object

This option allows an option to be added by opening the appropriate dialog. Your choices are;

Barcode Block Canadian Date

Graphic Grid - Relative Grid - Horizontal

Grid - Vertical Line Rectangle

Secure Seal Signature Text

Text - Multi-Line / Vertical Text - Secure

Show Form Objects

This option shows the elements from the PrintBoss Form File in addition to the captured text from the accounting software.

Show Blanked Captured Text

This option reveals data from the original accounting software layout that has been removed with a PrintBoss command such as #Assign, #RegionMove, or #BlockMove. This is only useful when editing from a work file or archive file.

Show Info Panel

This option shows the coordinates and order of elements of the data from the accounting software in its original configuration. The properties are displayed in the lower left. This is only useful when editing a form from the work file or archive file.

View Raw Capture

This option strips out all of the PrintBoss form elements and reveals only the data from the accounting software in its original format. This option is only useful when editing a form from the work file or archive file.

View Request List Capture Groups

This option opens the dialog box listing all of the Request List entries. This allows editing and or creating the request list entries while viewing raw data, coordinates, and values from a work file. This is especially helpful when creating conditions to auto pick a bank account from the Request List for the selected form.

Display Assignments

This option opens a separate display box which lists all available variable assignments for the form (i.e. DocDate, DocAmnt, DocRecip, etc., as well as custom assignments created by the user).

Exit

Exit the View of this form. If changes were made, a dialog will prompt the user to save or abandon changes prior to exiting.

Exit then Edit Form

This option exists the View of the form and automatically opens for Editor for the form. If changes have been made in the View of the form, the user is prompted to save or abandon changes prior to opening the editor. This is helpful to quickly move from viewing a work file to working in the Form Editor .


Modify from the Form Editor

The Form Editor should be used for complete control over all the form properties.

1) Open PrintBoss.

2) Click on the Edit menu and choose Form File.

3) Highlight your form and click on the Editor button.

The Editing Form window initially displays eight or nine edit tabs:

Settings

Special Controls

Block Mirrors

Multi-Parts & Printers

Comments

Design Time Objects (This tab is not visible in new forms)

RunTime Objects

Footer Objects

Misc

If the duplex printing option is selected on the Special Controls tab, the Page Back Objects tab will be visible when you click on any tab header to refresh the window.

If one of the copies generated is set to create a PDF file in the Multi-Parts & Printers tab, the PDF tab will be visible when you click on any tab header to refresh the window. The PDF tab provides setup options for PDF files.


Form Editor - Settings Tab

Settings

General settings for the form include the form size and orientation, the number of copies (0 = just the original), whether the form will require a keystroke acknowledgment to start printing, or whether printing will initiate through PrintBoss immediately. If there are copies to the form, the order that they print is determined here as well. Click on areas of the image below to learn more about the Editing Form Settings tab.

NOTE: PrintBoss Express does not have the Archiving setting available. It is programmed to Overwrite Work files at Start of Batch.


Form Settings Tab - Auto-Archiving Completed Records

Every time PrintBoss processes a batch of documents, the records are sent to a work file and all copies of the form that are set to immediate print are printed. This setting controls what happens to the work file both before the batch begins and after the batch is processed. The default is set to Overwrite Work File at Start of Batch.

It is also important to have a Work File Private Folder set for each user using PrintBoss.

None (Manual)

Every time a batch of documents are printed using this form with the None setting, it will append to the work file and continue to grow indefinitely. It is necessary to maintain the work file by deleting, archiving, or renaming the files for future reference if drive space becomes an issue. If the files are deleted, there is NO way to retrieve the information unless the folder is backed up.

Archive Completed Records

After PrintBoss successfully prints all copies of a document, the files will be transferred from the work file to an archive file of the same name (without a prompt) when all copies of each record have been successfully processed. This will either leave the work file blank or populated with documents that did not have all copies process successfully . PrintBoss appends the archive files to the last batch that was archived. Since the files are appending, it is necessary to maintain the archive files either by deleting , copying, or renaming files for future use. If the files are deleted, there is NO way to retrieve the information. As an alternative, an Archive File Name Suffix can be added on the Form's Special Controls tab to automatically create a new archive file by year.

Archive Completed Records w/Prompt

Same as above with a prompt provided at the time the transfer occurs.

Delete Completed Records

After PrintBoss successfully prints all copies of the document, all records are deleted without a prompt. Once the record is deleted, there is NO way to retrieve the record.

Delete Completed Records w/Prompt

Same as above with a prompt provided at the time the deletion is attempted .

Overwrite Work File at Start of Batch

Each time a new batch of data is sent to PrintBoss, the new batch overwrites the previous work file. All documents in the current work file, regardless of the printed status (including unprinted copies), are overwritten. The resulting work file always has the last batch of documents sent to PrintBoss. This is the default method.

NOTE: PrintBoss Express and PrintBoss Select do not have this setting. It ONLY Overwrites Work files at Start of Batch.

Archive Records After __ Days

Documents in the work file are transferred to an archive file of the same name (without a prompt) after the specified number of Days. A Days till Archiving field appears when the this option is selected. The value in the Days till Archiving field determines when the documents in the work file are transferred to the archive file. An Archive File Name Suffix can be added on the Form's Special Controls tab to automatically create a new archive file by year.

Archive Records After __ Days w/Prompt

Same as above with a prompt given at the time the transfer occurs.

Delete Records After __ Days

Documents in the work file are deleted (without a prompt) after the specified number of Days. A Days till Deleting field appears when the this option is selected. The value in the Days till Deleting field determines when the documents in the work file are deleted. These documents are NOT moved to the archive file.

Delete Records After __ Days w/Prompt

Same as above with a prompt given at the time the deletion is attempted .

Archive Work File at Start of Batch

Each time a new batch of documents are sent to PrintBoss, the existing batch is archived before the new batch is written to the work file. All documents in the current work file, regardless of the printed status (even unprinted copies), are archived. The resulting work file always contains the last batch of documents sent to PrintBoss.


Form Settings Tab - Form Width, Length, Paper Size

Form Settings Tab - Form Width, Length, Orientation

Form Width, Length

This is the measurement, in inches, of the size of the form. Standard form dimensions are 8.500 x 11.000.

Paper Size/Orientation

This field displays the standard orientation for the selected form. Use the drop down menu to change the orientation for the specified width and length.

The choices are:

Letter Portrait 8.5 x 11

Letter Landscape 11 x 8.5

Legal Portrait 8.5 x 14

Legal Landscape 14 x 8.5

A4 Portrait 8.3 x 11.7

A4 Landscape 11.7 x 8.3

Custom sizes can be entered as well.


Form Settings Tab - Copies

Copies

A form will often have a predefined number of copies (either 0 for checks or 2 for invoices). This is the number of actual COPIES that are generated; 0 copies = 1 original and no copies, 1 copy = 1 original AND 1 copy (2 pages). Up to 7 copies may be generated in addition to the original.

Documents vs. Copy Type

If at least 1 copy is being generated, the order of the copies needs to be designated. Documents prints the original and all copies for the first document prior to the second document, etc. Copy Type processes the original for all documents first and then Copy 1 for all documents, etc., for as many copies as are designated in the form .

By default, Copies is set to Documents.

Special Handling

When Copies is set to Copy Type, additional options are available under Special Handling. The options are as follows:

  • No Special Handling - Nothing else is added to the print job.
  • Pause Printing between Copy Types - This option forces the printer to pause between the copy types. One use for this option is to allow the user to change the paper in the printer before prompting PrintBoss to proceed. This is typically used when only one paper tray is available and checks are printed on check stock while copies are printed on blank paper. Another common use is with Invoice type documents where each page needs to be printed on a different color of paper and the paper needs to be changed in the tray after each copy.
  • Sends as a single print job - This option sends all copies as a single print job and is normally used with a stapling option on a printer.


Form Settings Tab - Forms Per Page

Forms Per Page

This option indicates the number of forms that print on a single piece of paper. Standard form files have 1 form per page. Wallet check forms have 3 forms per page. The default value is 1. A value of zero is not valid and will generate an error message.

Ask 1st Page

This option is only available if there is more than one form per page. When checked, this option prompts the user to indicate the number of forms to print on the first page of a batch.

Example: A user is printing wallet checks (3 checks per page). If the user printed 7 checks in the last batch, the 7th check would have used the first check on the third sheet. Instead of wasting the last two blank checks, the user can use those two checks by entering two as the number of forms to print on the first page. The rest of the batch would continue printing 3 checks per page.


Form Settings Tab - File Compression and Index

Form Settings Tab - Work/Archive File Compression and Index

Work/Archive File Compression

This feature allows for slight compression of the work or archive file to save space.

Work Files Indexed at Creation

Indexing the work file automatically prepares it to be sorted in an order other than generation (Natural Order). The choices are available under Default Print Order when this option is checked.

Archive Files Indexed at Creation

Indexing the archive file automatically prepares it to be sorted in an order other than generation (Natural Order).

Default Print Order

This option designates the order documents should be printed when Indexed at creation is selected. The default value, or Natural Order, is the order generated by the accounting software. The other options are:

  • Recipient
  • Amount
  • Doc(ument) Number (or DocNo)
  • Misc Field
  • Bank (or BankCode)
  • Misc2 Field

These fields correspond to the columns in the work and archive files.


Form Special Controls Tab - PrintBoss Version Requirements

Minimum PrintBoss Version

When a new form is created, it may contain commands or features requiring a certain version of PrintBoss. The Minimum PrintBoss Version Required field indicates the version number required to use the selected form and restricts the form from being used by older (smaller number) versions. When an older version of PrintBoss attempts to use a form created in a newer version, an error message will pop-up and warn that the PrintBoss version should be updated to allow full functionality of the form.

Requires input from PB50 printer driver

Features on some forms may require the use of the PB50 printer driver to work correctly instead of the NT40 printer driver. This option will be checked when the PB50 printer driver is required for full functionality of the form.


Form Special Controls Tab - Wellspring Stock No.

This field informs the user of the Wellspring Software paper stock item number to use with this form. For convenience purposes, there is a link to the Wellspring Software web site to order additional stock when needed.


Form Special Controls Tab - Zero Fill Check Number

Form Special Controls Tab - Left Zero Fill Check Number

This represents the number of required characters to print in the check number. PrintBoss will left fill the check number with zeros if the actual check number does not contain all the required characters.

For example: Entering a 6 in this field will result in 000456 as the printed number if the actual check number is 456.

This field does not left fill the check number in the MICR Line . See MICR Check Number Variables for more information.


Form Special Controls Tab - Documents Per Input Page

Documents Per Input Page

This represents the number of documents passed by the Accounting Software to process per page. Often this is used with wallet style checks.

Input Document Height

Insert the input document height when more than one document per page is passed from the accounting software. This field is not available when only 1 document per page is passed.

These fields are only used under the instruction of a Wellspring Software technician.


Form Special Controls Tab - Security Stamp String

A security stamp consists of a string of data that prints every time the form is used. Most often this is used for check printing. The string may consist of the following variables:

Operator - displays the Windows User Name or the PrintBoss Login name if used.

Operator Disk - floppy used for Advance Security in legacy PrintBoss systems.

Current Date

Current Time

Document Recipient

Document Amount

There are several combinations predefined for convenience. In order to print the security stamp, a text command using the variable {SecurityStamp} must be inserted into the Footer Objects tab of the form.

Example:


Form Special Controls Tab - Work/Archive File Name Suffix

The Work File Name Suffix field is available ONLY in PrintBoss Enterprise. The Archive File Name Suffix field is available in the Standard and Enterprise editions of PrintBoss.

The work file name is based on the form name that is used during printing. However, if a user needs the work file name based on a variable such as the bank name, company name, or date, a suffix can be added to the work file name. For example: a form named CA_AP1 with the variable {BName} entered into the Work File Name Suffix field becomes the work file CA_AP1BofA. The dynamic variable {YYYY_MM} will enter the current year and month at the end of the work file name.

Similarly, the archive file name is based on the work file name. It is often helpful to save the archive files by date. Therefore, we recommend an MMYY or YY suffix be added to the archive file name to indicate a date range.


Form Special Controls Tab - Access

The Access button provides security to Object tabs in the form Editor, including RunTime Objects and Footer Objects. It does not apply to standard tabs. These tabs will not display on the Editing Form window when security is withheld. If security must be set for an Object tab, please call Wellspring Software for the password to obtain access.


Form Special Controls Tab - Standard Shade

The default setting is set to standard. This field controls the darkness or intensity of the shaded areas. Occasionally, the document's shaded areas will be faint. Selecting a setting of darker of darkest will increase the intensity of the shaded areas, providing a cleaner look to the document.


Form Special Controls Tab - Log File

A log file is a text file that records each printing/processing of a document page when this options is active. Each line will include the date, time, and operator of the printed form.

Log File Name

This is the name of the file created when the logging option is activated. The log file name is generally the name of the form file (i.e. CA_AP2). This can be changed to any 8 character name. The file is saved to the root of the PRNTBOSS folder.

Log File Mode

By default, the form is set to No Logging. Click on the down arrow and select Text Log if a log file is needed.


Form Special Controls Tab - Back Page

Enable Printing on Back of Page (Requires Duplexing Printer)

A Page Back Objects tab will appear in the Editing Form window when this option is checked. Click on one of the tab names in the Editing Forms window to refresh the screen and show the Page Back Objects tab. Commands entered on this tab will print on the reverse side of the form.

This setting requires a duplex printer. If this feature is active while using a printer that does not have duplex capabilities activated, the back page will print as a separate page.


Form Special Controls Tab - Pre-process Assignments

Pre-process Assignments

Click on the drop down menu and select Special to cause PrintBoss to read the assignments in the RunTime, Footer, and Proprietary Objects tabs before beginning to process the document. The Yes option is a legacy choice that was used prior to Special.

Special must be selected when #PaperBin, #SkipPage, or #ProcessPage commands are used in the form. Activation of the Pre-process Assignments feature may slow the printing process slightly.

Use this feature under the advice of a Wellspring Software technician or when predefined in the form.

Scan form for {BankChkNumInc}

This feature is available when Pre-process Assignments is set to Yes or Special and is most often used in wallet check formats. Select this field to include the {BankChkNumInc} variable in the pre-processing of assignments.


Form Special Controls Tab - Suppress Confirmation of Check Num.

Select this option to suppress confirmation of the check number for this form when the Bank List is set to confirm the check number. This is especially helpful when using two different accounting software packages - one that passes the check number and one that does not pass the check number.


Form Special Controls Tab - Flip Top to Bottom when Printing

PrintBoss prints documents from top to bottom. This option will print the document from bottom to top so the bottom edge of the document prints first. This is often used when the bottom margin is too large for correct placement of the MICR line. Rotate paper stock 180 degrees before printing when using this feature.


Form Multi-Parts & Printers Tab - Print Time

This column allows the user to change the print time from Immediate to Batch or Never. If a copy is set to Batch, the user can only print the copy from the work file . See Printing Work Files. Copies set to Never will never print unless this setting is changed to Immediate or Batch. Never will count the copy as completed so the document can be archived


Form Multi-Parts & Printers Tab - Source Tray

The Source Tray determines the paper tray used to print this form. The tray options are defined by the current printer chosen either through the File/Printer Setup from the PrintBoss Master Application window or from the Destination Printer/Device column in the Multi-Parts & Printers tab. Tray names are sent by the printer driver and do not always correspond to the tray names on the hardware! Test each tray to verify the appropriate tray.

NOTE: Selection of a "manual" tray will require a physical prompt on the printer hardware for each document. Find a tray selection that pulls from the correct tray without the prompt. This can still be the flip down tray.

Embedded in Form

This option replaces the Positive Pay tab that previously appeared at the top of the Editing Form window. Click on the page icon to the left of this source tray to open the Positive Pay / ACH File Editor. Names of existing Positive Pay/ACH Files will also appear in the Source Tray drop down menu and can be selected without using the Embedded in Form option.


Form Multi-Parts & Printers Tab - Dest Printer/Device

Form Multi-Parts & Printers Tab - Destination Printer/Device

This column defines the printer or destination for this copy of this form and impacts the Source Tray choices. It will also override the printer selected from File/Printer Setup in the PrintBoss Master Application.

There are several choices on this list in addition to the printers from the Windows Printers list. You can select other PrintBoss functions such as E-mail, Positive Pay, PDF, and Fax Service.

<Default PrintBoss Printer>

<Manual Select>

<Positive Pay File>

<Fax Service>

<PDF File>

<PrintBoss Fax>

<E-mail>

Manual Select prompts the user to choose a printer from the Windows printers list. This is helpful to use with terminal servers in some environments.

A new appropriately named tab will appear in the form editor when PDF is selected. Click on the name of any tab to refresh the form editor and view the new tab. Click on the page symbol to the left of the Source Tray to open the Positive Pay / ACH Editor when a copy is set to <Positive Pay File>.

See these links for more information:

Positive Pay*

PDF**

PrintBoss Faxing***

E-mailing***

* Not available in PrintBoss Express.

** Not available in PrintBoss Select.

*** Not available in PrintBoss Express and PrintBoss Select.


Form Positive Pay / ACH Editor - Destination File Properties

File Name

Enter a path and file name to save the Positive Pay or ACH file. Either a mapped drive or a UNC path may be used. When a positive pay file or ACH file is processed, PrintBoss will save it into the directory specified in this field.

The PrintBoss Enterprise edition takes it a step further, enabling dynamic file names at the time of printing. A macro character may be embedded into the file name and enclosed in french braces {}. There can be multiple characters within a single french brace pair.

Example:

C:\PosPay\Bank1.txt (Standard PrintBoss example)

C:\PosPay\{VendorID}\{YYYYMMDD-hhmmss}.csv (PrintBoss Enterprise example)

C:\ACH\{YYYYMMDD} {###}.ach

Positive Pay files can be saved as Text (txt) of CSV files.

ACH files must use the ACH (ach) file extension.

Confirm Path / Filename at runtime

PrintBoss will prompt the user for the path and file name when this box is checked. It is recommended that this is checked when variables are not used in the file name.

New File Name Generation

Click on the drop down menu to choose when PrintBoss will create a new Positive Pay or ACH file. The choices are: Start of Batch, Each new page, or Each new DocNo. Typically this setting is set to Start of Batch.

File Type

There are 3 File Types as follows:

  • The default of Standard should always be used when creating Positive Pay files. Positive Pay creates either a txt of a csv file.
  • Select the ACH file type to create a NACHA file.
  • QB PS16 Query is only used with PS000016 files when setup by a Wellspring Software Technician.

Append Overwrite Method

Select the appropriate option to Overwrite existing File automatically, Append to existing File automatically, or prompt the user to choose Overwrite, Append, or Cancel.


Form Positive Pay / ACH Editor - Auto add CR/LF

Auto add CR/LF to each script

Select this option when creating a new Positive Pay File to have PrintBoss automatically add this carriage return/line feed command to the end of each script.


Form Positive Pay / ACH Editor - Exclude Records

Exclude records with zero amount

Any document with a zero amount will not be included in the Positive Pay file when this option is checked. This is often used to eliminate direct deposit statements from the Positive Pay file.


Form Positive Pay / ACH Editor - SignOn Tab

This tab is used to insert a sign on or introduction to the Positive Pay file. The information prepares the bank and specifies the account to apply the check batch. Data entered in this script only appears at the beginning of the file.

Only enter information on the Sign On tab when instructed by the bank.

This tab is always used for ACH.


Form Positive Pay / ACH Editor - Header Tab

Often a header is required by the bank. The header may consist of the account number, the company name, and date. Review the bank's specifications for further information on whether a header is required and what information must be provided. The Header will appear at the beginning of every batch.

The Header is always used for ACH.


Form Positive Pay / ACH Editor - Details Tab

A detail section is always required for Positive Pay and ACH files. The detail section may consist of the account number, check number, check amount, check date, and check recipient. Review the bank's specifications for further information on their required fields and associated formats.

The output file will have one detail line for each check or, in the case of ACH, one detail line for each destination for the payment.


Form Positive Pay / ACH Editor - Footer Tab

Often a footer section is required by the bank. The footer is a summary of the batch. It may contain the batch count, batch amount sum, batch date, etc. Review the bank's specifications for further information on footer requirements and data.

The Footer is always used for ACH.


Form Positive Pay / ACH Editor - Balanced Record

The Balanced Record is only used for ACH files when required by the bank. This tab creates on offsetting entry to the Detail records. For example, if the Detail records are credit entries, the Balanced Record tab will create an debit entry equal to the total amount of credits.

The Balanced Record is activated by selecting the Balanced File checkbox on the corresponding PrintBoss Bank record.

See Also:

Bank Account - ACH Definition Tab


Form PositivePay / ACH Editor - Import Positive Pay Specification

Form Positive Pay / ACH Editor - Import Positive Pay Settings

Click on the Import button to import a positive pay specification. It will open a browse window to the PRNTBOSS\POSPAY folder. Select the positive pay or ACH specification required and click Open. All the settings and functions of the positive pay or ACH specification will be visible.

Positive Pay and ACH specifications have either a .ppp or .ppx file extension. The .ppx file extension was introduced with PrintBoss 5.73.


Form Positive Pay / ACH Editor - Export Positive Pay Specification

Form Positive Pay / ACH Editor - Export Positive Pay Settings

Click on the Export button to export your positive pay specification file. It will open a browse window to the PRNTBOSS\POSPAY folder. Enter a file name for the positive pay specification and click Save. This will save the specification into the PosPay folder for future use. It is recommended that the user export a positive pay specification after changes are made to the file.


Form Positive Pay / ACH Editor - SignOff Tab

This tab is used when needed to insert a sign off to indicate the end of the Positive Pay file. File functions may be inserted on this tab to provide totals for all batches in the file.

The Sign Off is always used for ACH.


Form Positive Pay / ACH Editor - Comments

This field is available for comments about the Positive Pay / ACH file. Historically, comments were added on various tabs. This sometimes caused problems for the bank. Comments should now be entered in this field.


Form PDF Tab - Destination File Name

Enter a path and file name to store the PDF file. Adding the .pdf extension is not necessary.

NOTE: PrintBoss Enterprise provides users the ability to have PrintBoss intelligently create file names based on previously assigned variables (i.e. batch number, today's date, etc.). PrintBoss Enterprise must be installed to use this feature. Contact Wellspring Software for more information. Pre-process Assignments must be checked in the Special Controls tab if the file name is based on information that is assigned in the Runtime Objects tab .


Form PDF Tab - Confirm Destination File Name

Form PDF Tab - Confirm Destination Filename at RunTime

Enable this option to provide a pop up window displaying the current destination for the file. The prompt will allow the destination to be changed before saving the documents.


Form PDF Tab - New File Name Generation

Click on the drop down menu to choose when PrintBoss will create a new PDF file. The choices are: Start of Batch, Each new page, or Each new DocNo, though the last two choices are only available in the Enterprise edition of PrintBoss.

Note: If there is a chance that multiple-page documents will be printing, set the Append Overwrite Method drop down menu to either Append or Prompt for Overwrite, Append, Cancel.


Form PDF Tab - Append Overwrite Method

Select the appropriate option to Overwrite existing File automatically, Append to existing File automatically, or prompt the user to choose Overwrite, Append, or Cancel. Note the Append option is only available for PDF and Tiff files.


Form PDF Tab - File Type

The default file type is PDF. Click on the File Type drop dow menu to choose Tiff, JPG, or BMP files. The File Properties section changes to display options for the chosen file type. The Append option under the Append Overwrite Method is only available for PDF and Tiff files.


Form PDF Tab - File Properties

PDF File Properties

Resolution of PDF File

Choose the resolution of the PDF in DPI (Dots Per Inch). Typically, the best resolution for a black and white document is 300 dpi (the default setting). Higher DPI values will generate a larger PDF file. Choose the 216 dpi - Color setting if there is color in the PDF file. The best choice for most cases is 216 dpi - Color.

Searchable Text PDFs

Select this option to create a searchable PDF file. PDF readers, such as the Adobe PDF Reader, will be able to search for specific text in this file.

Embed True Type Fonts

Select this option to permanently embed TrueType Fonts into the PDF file. This increases the size of the file, but maintains the look and size of the fonts. Otherwise, a substitute font may be used and the text could appear smaller. This option is only available when the Searchable Text PDFs option is selected.

Tiff File Properties

Compression Method

Choose a compression method if you need to reduce the size of the TIFF file. The default value is No Compression All Colors. The choices are the standard compression methods for a TIFF file.

Changes to the Compression Method also affect the color depth of the file. The best color depth is True Color (24bit). Higher color depth will generate larger TIFF files. Some color depth choices are not available with certain Compression Methods.

Resolution (DPI)

Choose the resolution of the TIFF in DPI (Dots Per Inch). Typically, the best resolution for black and white documents is 300 dpi. Higher DPI values will generate larger TIFF files. The default value is 150.

JPEG File Properties

Quality

Choose a Quality setting if you need to reduce the size of the Jpeg file. The default value is 75 with 100 as the best. Click on the right arrow to access a slider bar to choose a different quality level. The slider moves in increments of 5.

Resolution (DPI)

Choose the resolution of the Jpeg in DPI (Dots Per Inch). Typically, the best resolution for black and white documents is 300 dpi. Higher DPI values will generate larger Jpeg files. The default value is 150.

BMP File Properties

Resolution (DPI)

Choose the resolution of the BMP in DPI (Dots Per Inch). Typically, the best resolution for black and white documents is 300 dpi. Higher DPI values will generate larger BMP files. The default value is 150.


Form PDF Tab - Security

PrintBoss Enterprise provides additional security that is used by all PDF Readers.

View Only

The PDF file can be opened and read, but not printed when this option is checked.

Un-changeable in a PDF editor

Select this option to prevent anyone from opening the PDF file in a PDF Editor to make changes.

Password to open PDF

Enter a password to assign to all PDF files. This password will need to be entered before the PDF file can be opened. Variables cannot be used in this field.


Text Input Settings Tab - Specification Active

This option must be checked to use a Text Input File Specification (a.k.a. Text Capture File). PrintBoss will not process any text files for this specification if this box is not checked.


Text Input Settings Tab - Auto Scan

PrintBoss automatically scans for the text file, processes it, and deletes it when this box is checked and PrintBoss is open. This feature should not be selected during testing to avoid deleting the test text file automatically .


Text Input Settings Tab - Page Method

This field determines how PrintBoss interprets the text file. There are several different methods to select:

  • Specific Number of Lines (<CR> line terminators)
  • Specific Number of Long-Lines (<LF>line terminators)
  • Specific Number of Long-Lines (<CR>line terminators)
  • Form Feed Character (<CR> line terminators)
  • Form Feed Character (<LF> line terminators)
  • Fixed Length Records, (including Line Feeds)
  • Use Custom DLL
  • ASA Carriage Control
  • Look for '^LC' to start, '~' for Form Feed to End
  • PrintBoss Driver Capture (NT)
  • ".DBF" file

The second and third options activate the Macro features.

CR = Carriage Return

LF = Line Feed


Text Input Settings Tab - Text File Before Processing

There are two settings for this field:

  • Process automatically if exists
  • Prompt for process if exists

During testing, Prompt for process if exists is recommended. When the Auto Scan feature is checked, the default is Process automatically if exists.


Text Input Settings Tab - Text File After Processing

There are three settings for this field:

  • Do Nothing
  • Prompt for Erase
  • Erase Automatically

It is recommended to set this option to Do Nothing or Prompt for Erase during testing. This will allow the user to test the same file again and again if needed. When Erase Automatically is selected, the text file will be erased immediately after PrintBoss has processed the file. The default is Erase Automatically when Auto Scan is checked to prevent a processing loop.


Text Input Settings Tab - New Page Macro

PrintBoss will create a new page if the Macro set in this field is true. Hints for using this feature can be found under the Macro Info button.

Use when instructed by a Wellspring Software technician.


Text Input Settings Tab - Ignore-Line Macro

PrintBoss will ignore the line(s) when the macro in this field returns true. Hints for using this feature can be found under the Macro Info button.

Use when instructed by a Wellspring Software technician.


Text Input Settings Tab - Insert Header Macro

If the macro evaluates to true on line one of a page, then this line will be inserted as a header line on the following pages. Hints for using this feature can be found under the Macro Info button.

Use when instructed by a Wellspring Software technician.


Text Input Settings Tab - Lines Per Page

Lines Per Page

Most often this field is used as the page indicator. Insert the number of lines per Page and PrintBoss will count the exact number of lines before creating a new document. If the text document does not have an equal number of lines per document, then the documents will not print correctly using this feature.

Max Line Length

This feature allows the processing of lines with more than 2000 characters. The default value is 2048.

FormFeed Jumps to line

This feature allows the form feed to jump to specific line on the page, bypassing the header. The default value is 0.


Text Input Settings Tab - Pass Text Through to Form

If the text file does not consist of tabbed or comma delimited fields, then the text may be passed through to the form without any predefined assignments. The defaults are:

Font = CR/l0 (Courier and 10 point).

Left Offset = 0.250

Left Truncate = 0

Lines/Inch = 6.000

Top Offset = 0.200

Max Len = blank

Remove Delimiters = blank

It is recommended these settings remain as they are. Changing them could result in data missing or not properly formatted.


Text Input Settings Tab - Custom DLL

Use only when instructed by a Wellspring Software technician.


Text Input Settings Tab - Default Form

Select the PrintBoss form that will be used for the formatting of the text file. For instructions on how to create a new form file, go to Create a New Form File .


Text Input Settings Tab - Default Bank

If a bank account is required, select the appropriate account here. It may also be set to REQUEST a bank list each time the text capture file is used. See PrintBoss Banks to learn how to edit a bank account.

If a bank is not required, then set this option to NONE.


Text Input Settings Tab - Insert Assumed Decimal

Select this check box to allow PrintBoss to assume the placement of the decimal point for the DocAmnt variable.


Fax Service Settings - Enable Fax Service

Enable Fax Service

This check box is a workstation/user specific setting. It must be checked for the fax service to be activated. This option indicates which user is activated by displaying the name at the end of the check box legend.


Fax Service Settings - Account Information

Account Information

Enter the appropriate information for this specific user.

User Name

This must be the same user name that was used to order the fax pages.

Password

This must be the same password that was used with this user name to order the fax pages. The password is encrypted after it is entered.

Log File Image Treatment

The default value is Separate Files. The other options are Never or In Log Table.

Log Retention

This field determines how long PrintBoss will keep a record of each document.

Blank Field

This field displays the Wellspring user ID.

Pack

This button is used to pack the log table.


Fax Service Settings - Query Account

Query Account

This button polls the Wellspring Software web site to update the fax service status for this account. This button is visible when you first enter the Fax Service window.

Required PrintBoss S/N

Displays your PrintBoss serial number after the account is queried.

Prepaid Pages

Displays the remaining prepaid pages in your account after the account is queried.

Refresh Account

The Query Account button changes after you click on it once. The legend changes to indicate PrintBoss re-polls the web site to update the fax service status for this account when you click on this button.

Confirm Account

The Query Account or Refresh Account button legend will update to Confirm Account if any changes are made to the Account Information section after the account has been queried at least once. This re-polls the Wellspring Software web site to update the fax service status with the updated account information.


Fax Service Settings - Web Order

Web Order

Edit Account

This button will take you to the Wellspring Software web site where you may order additional prepaid fax pages and edit your web order account. Enter an email address if you would like to receive an email confirmation when your fax is sent successfully, when it fails, or both.

Auto Reorder Qty

This field will update automatically after polling the web site with the value selected on the web site.

Auto Reorder Level

This field will update automatically after polling the web site with the value selected on the web site.


Fax Service Settings - Used by All PrintBoss Users

Used by All PrintBoss Users

All PrintBoss users will be forced to share the same User Name or Misc. Settings when this option is checked. When it is not checked, each user will be able to choose their own settings.


Fax Service Settings - Assumed Area Code

Assumed Area Code

Assumed Area Code If None is Passed

Enter the default area code PrintBoss should use if none is included with the fax number.


Fax Service Settings - Pause Prior to Each Fax

Pause Prior to Each Fax

Pause prior to each fax in batches

Choose when PrintBoss should pause while processing faxes. There are 3 choices from the drop down menu.

Never - PrintBoss will not pause at any fax document when this setting is selected.

Invalid Phone Number - This is the default value. PrintBoss will only pause when processing if the fax number is not a properly formatted phone number (not 10 or 7 digits with assumed area code). PrintBoss cannot tell if the phone number is no longer in service. If a number is no longer in service, the fax will fail. The failure will be indicated in the Fax Service Log .

Always Pause - PrintBoss will pause at every fax document when this setting is selected. This is only recommended if your intention is to manually enter the fax number for every document or during testing.


Fax Service Settings - Fax Header

Fax Header

Edit this field to include the header information you desire to print at the top of each fax sent. You may use variables (items inside of { } that will change from document to document) as well as fixed text. A sample header is included. You will want to edit at least the company name and number in this sample. Other suggestions are provided in the drop down menu. You may edit any of these samples and you may choose not to use any of the suggestions. If you drag the right or left edge of the screen out, the field will lengthen, displaying a wider viewable field.


Fax Service Settings - Combine Pages

Combine Pages

Combine pages with identical phone #s when printing batches

PrintBoss Enterprise will compare the fax number on one page to the next page in order of being processed when this box is checked. If two pages are being sent to the identical fax number, they will be combined into a single fax. Only one cover page will be sent (if a cover is included).

This feature is only available in the Enterprise version. Standard PrintBoss will treat each page as an individual fax.


Fax Service Settings - Print Status Character of S

Print Status Character of S

Print status character of "S" (Skipped) when fax phone is blank

PrintBoss will place the character of "S" in the work file for the document if there is no fax number included when this box is checked. The capital "S" allows the document to be counted as completed when auto archiving is selected.


Fax Service Settings - Confirm Fax Success

Confirm Fax Success

Confirm fax success before moving Work Record to archive (or deleting)

If this option is checked, a document will not be removed from the Work File record until the fax is confirmed as being sent successfully (or has an "S" for properly skipped).


Fax Service Settings - Include Cover Page

Include Cover Page

Include Cover Page when faxing batches

PrintBoss will include a cover page at the beginning of each fax sent when this box is checked.


Fax Service Settings - Fax Number Source

Fax Number Source

This field determines which variable(s) PrintBoss will use to identify the fax number for the fax service. You may select to have it use either the FaxSvcFaxNo, DocMisc, or both. If the DocMisc variable is being used for something else, it is best to select to only use the FaxSvcFaxNo variable here.


Fax Service Settings - Log File Poll Period

Log File Poll Period

This is the time (in minutes) that PrintBoss will poll the web site for updates on the fax sent status. The default value is 4 minutes.


Fax Service Settings - FaxService Comm Method

FaxService Comm Method

This should be set to Standard Service unless directed to change by a Wellspring Software, Inc., technician.


Fax Service Settings - Cover Page Fields

Cover Page Fields

Cover Page Fields Default Values

These settings will apply to cover pages included with faxes unless their values are overwritten specifically in the PrintBoss Form file.

Cover Page Fields used by all PrintBoss Users

All PrintBoss users will be forced to share these same cover page settings if this option is checked.


Fax Service Settings - Cover Page File

Cover Page File

PrintBoss includes a sample cover page that may be used as a default. The document selected here will be used as the cover page for all faxes. You may create an alternate cover page and specifically assign each variable in the PrintBoss Form . Usually, Cover Page File is an html document with variable names included to be filled in at print time. Alternate cover pages can be saved in the PrntBoss\FaxService\Cover Pages folder and retrieved here.

See Fax Service Variables for a list of the variables that can be assigned.

Folder Icon

Click this button to choose a different cover page file.

Text Edit

This button allows you to edit the text code specific to the cover page file indicated in the path.

HTML Edit

This button allows you to edit the HTML code specific to the cover page file indicated in the path.

If you prefer to use Word to edit the document, click on the BROWSE button (the button with the folder icon) and RIGHT click on the document to choose EDIT. Windows will then open the file with the appropriate editor for html pages (usually Word). When finished editing, choose SAVE AS and select the correct name with the FORMAT set to Web page, FILTERED (*.htm, *.html). DO NOT save as a regular Web page or the variables may not work properly.


Fax Service Settings - To

To:

Enter the appropriate variable for the To: name. The default value is {DocRecip}. This may be overridden by values set specifically in a PrintBoss Form or by typing a static name in this field.


Fax Service Settings - From

From:

Enter the appropriate variable for the From: name. Typically, this is your company name. This may be overridden by values set specifically in a PrintBoss Form or by typing a static name in this field.


Fax Service Settings - Re

Re:

Enter the appropriate value for the Re: subject. Variables may be used in this field. This may be overridden by values set specifically in a PrintBoss Form or typing a static subject in this field.


Fax Service Settings - Company Name/Address

Company Name/Address

Enter the appropriate default information for your company in these fields. Leave a field blank if you do not want to use it. These fields will be used by the PrintBoss default Cover Page. You may choose to edit the cover page so that it does not reference these fields. These may be overridden by values set specifically in a PrintBoss Form or by typing static information directly in these fields.


Fax Service Settings - Cover Page Message

Cover Page Message

This is the default message included on the cover page (if one is included). You may edit this message or assign this information directly in the PrintBoss form. This field will be overridden when values are specifically set in a PrintBoss Form or by entering static text directly in this field.


Fax Service Settings - Test Fax

Test Fax

Test Fax Number

Enter a local fax number in the Test Fax Number field to send a test fax. Typically, this is the fax in your office so that you may receive the fax to verify it looks the way you expect. Include the area code if it is different from the Misc Settings / Assumed Area Code.

Send Test Fax

Click on the Send Test Fax button to send the test fax. A dialog box will open. You may edit any of the fields before clicking on the Send Fax button at the bottom of this dialog. Each field contains the information identified on the Wellspring Fax Service Options window. For example, the Message field contains a sample of the default cover page you identified in the Cover Page File field as well as any text you entered in the Cover Page Message field. If you choose to send a test fax, it will count toward your prepaid pages.


Fax Service Settings - Email Confirmations

Email Confirmations

This field displays options selected from the web site. See Web Order .

Email Confirmations

Displays the email address entered on the web site to receive confirmations of successful or failed faxes.

OK

This field is checked when the Email on Success option is selected on the web site.

Failed

This field is checked when the Email on Error option is selected on the web site.


Payee List - Active

Check this field to activate this Payee List record. Otherwise, the record will be ignored.


Payee List - Payment Type

The default value is ACH. The field name used in PrintBoss is {PLPaymentType} and it contains 1 character. The following are the available selections and associated values that can be used conditionally in a PrintBoss form:

N/A = 0

ACH = 1

PS16 = 2


Payee List - Payee

Enter the payee name as it appears in the accounting software. PrintBoss uses this field to exactly match the payee name on the check using the {DocRecip} variable assigned on the PrintBoss form. The maximum number of characters is 50.


Payee List - Payee ID

Enter an ID for this payee. PrintBoss uses this field to exactly match the {DocPayeeID} variable assigned on the PrintBoss form when there are two or more identical entries in the Payee field. Otherwise, this field is optional. The maximum number of characters is 50.


Payee List - Payee Email Address

Enter a Payee Email Address for this payee if you will be using the Email feature in PrintBoss to E-mail Direct Deposit or EFT notifications. The e-mail address need only be entered in the Payee List if it is not being supplied by the host accounting software during the EFT batch printing process. The maximum number of characters is 50 and the associtaed variable is {plEmail}.

NOTE: The Email feature is not available in PrintBoss Express or PrintBoss Select.


Payee List - Payee Email Address #2

This field is provided for an additional email addess if needed. The maximum number of characters is 50 and the variable is {plEmail2}.

NOTE: The Email feature is not available in PrintBoss Express or PrintBoss Select.


Payee List - Misc.

This field is provided for additional data that may be needed in a file, not necessarily for ACH.


Payee List - Mode

Select the Mode for Account 1 to determine the amount of the ACH transfer. The most common choice is Remainder of Check to transfer the entire amount of the check to 1 account. This choice requires no additional Amount/Percent entries. The choices and their associated values are:

Inactive = 0

Remainder of Check = 1

Percent = 2

Set Amount = 3

The same settings apply to Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Individual/Company Name

Enter the name for this payee as it appears on Account 1. The field name is {ACHRecvName} and contains 22 characters. This may match the Payee field above.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Individual/Company ID

Enter the ID for this payee. The field name used in PrintBoss is {ACHRecvID} and contains 15 characters. This field is optional. Check with your bank to determine if it needs to be used.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Disc

Enter an optional 2-digit code for this account that is meaningful only to the originator. The field name used in PrintBoss is {ACHRecvDisc}, contains 2 characters, and is optional.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Amount/Percent

Enter a fixed Amount or Percent for this payee. Leave blank if Remainder of check is selected for the Mode. The field name used in PrintBoss is {ACHAmount} and contains 10 characters comprised of 8 dollar places and 2 cents places.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided between more than one bank account.


Payee List - Bank ID

Enter the routing number for this payee. The field name used in PrintBoss is {ACHRecvBankID} and contains 9 characters, 8 for the routing number and a check digit added by PrintBoss in accordance with ACH Rules.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Bank Account Num.

Enter the account number for this payee. The field name used in PrintBoss is {ACHRecvBankAcct} and contains 17 characters.

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Account Type

Select Checking or Savings for this Bank Account. The field name used in PrintBoss is {ACHTransCode} and contains 2 characters. The values are:

Checking = 22

Savings = 32

Repeat for Account 2 and Account 3 when the amount of the check is to be divided among more than one bank account.


Payee List - Prenote

Only select Prenote if this account is added after the initial Prenote file is accepted by the bank.


Payee List - Print Check

This option is only visible when Prenote is selected and allows a check to print for the selected recipient.


Form Editor - Special Controls Tab

Special Controls

Special Controls have unique settings for the form. Click on the settings in the image below for more information.


Form Editor - Block Mirrors Tab

Block Mirrors

This tab allows the user to define an area of the form to be copied to another area of the same page. The top and bottom of the area (or Block) are user defined and Block Mirrors automatically selects the full width of the page. This copy can be the same size or it can be resized either smaller or larger. To use Block Mirrors, the Enable box must be checked.

This feature is most frequently used to duplicate a stub section or, as in many standard interfaces, the mini check/stub copy.

Suppress Block Mirror on these copies - type a copy number in this field to suppress Block Mirrors on that copy. This is used when the copy has a different format than the original.

Start of Source Block is the top edge of the area to be copied.

End of Source Block is the bottom edge of the area to be copied.

Destination Size is the amount of area to place the copy. This will compress or stretch the original block to fit within the designated height.

Top of Destination 1 is the top edge of where the copy should be. Top of Destination 2 and 3 are additional target locations for copies. These are often used to create deposit slips or other repeating forms.

Text Font Size Calculation in Dest Block allows you to adjust the size of the text within the copied section. Although this is a great tool to help increase the font size of the text within the copy, it is important to remember increasing the font size on the copy too much may distort the text or cause it to overlap, resulting in text that is difficult to read.

Auto Proportion based on Source and Dest Block Size shows the percent PrintBoss needs to shrink the data in order to fit it proportionally into the destination block. This calculation occurs automatically.

Force Font Size to this percent of original (0=Auto) overrides the automatic sizing and allows a user to force the font size within the destination block.

The Captured column applies to all data that is not controlled by a #Text command. This is generally the raw data sent from the accounting software that has not been formatted by PrintBoss. Enter a value to adjust the size of the captured data as a percentage of the original size. This field is not available if the captured font has an override indicating no compression in copies (shown as a + after the font size in the captured font description).

The #Text column allows the user to change ONLY the data that is controlled by the #Text commands within the RunTime Objects and Footer Objects tabs. When the Font Override is checked in the Settings tab, the Captured column in the Block Mirrors tab is automatically set to 100%.

The following example illustrates copying the lower 2/3rds of the page and compress a copy into the top 4 inches of the page (mini check/stub of our standard interfaces).


Form Editor - Multi-Parts & Printers Tab

Multi-Parts & Printers

The settings in this tab relate to individual copies of the form. Click on the Print Time, Destination Printer/Device*, or Source Tray columns for more information. Starred fields (*) are stored to and retrieved from the local PC and are user specific.

Copies

This column identifies the copy ID based on the number of copies specified on the Settings tab. The Original is Copy 0.

Print Time

Click on this column in the image above for more information.

Destination Printers/Device*

Click on this column in the image above for more information.

Source Tray*

Click on this column in the image above for more information.

Blank Column (to left of Source Tray)

A page icon appears in this column when Positive Pay File is selected as the Destination/Printer Device. Click on the page icon to open the Positive Pay/ ACH File Editor.

Copy Name

This field can be used to label different copies or as a reminder. The Copy Name will appear in the Print Documents dialog box. The value can be referenced in a form command as the variable {CopyName}.

Printer & Tray Selections Saved In. . .

Selections from the drop down menu determine whether items from columns and fields marked with an asterisk (*) are forcing all PrintBoss users to save their settings by Form, by User, or to allow the individual to make the choice to save by Form or User. The Independent selection opens a second drop-down menu that allows the user to choose to save settings by Form or by User (Locally) for the asterisked items.

Form Printer/Device*

This feature appears in PrintBoss versions prior to 5.3 and is available after 5.3 as a setting on the Legacy tab under Options / Configuration. Version 5.3 and later can Suppress Form Printer and assign the selected printer to individual copies on the Multi-Parts & Printers tab of the Form Editor. The old Form Printer choice has been replaced with Default PrintBoss Printer.

This field determines the default printer/device for the selected form. Any copy with the Destination Printer/Device set to <Form Printer> will use the printer/device set in the Form/Printer Device field. The default value of <Default PrintBoss Printer> uses the printer selected under File/Printer Setup from the main screen of the PrintBoss program. This drop down menu will list all printers available to this workstation and user.

The Destination Printer/Device field is set to <Default PrintBoss Printer> by default for most copies until the user changes this setting. As a result, the default settings on this tab will print to the device chosen from File/Printer Setup.

NOTE: PrintBoss is very literal with printer names. If a printer name changes by 1 character, PrintBoss will see the name as a new printer.


Form Editor - Comments Tab

Comments

The Comments tab contains notes associated with this form. This often includes a version number or customization reminders. No commands on this tab will be active.


Form Editor - Design Time Objects Tab

Design Time Objects

This edit group allows backward compatibility of forms. It is no longer used in creation of new forms. This tab is often invisible for new forms created by Wellspring Software and will no longer appear in new forms when clicking on Create in PrintBoss.


Form Editor - Run Time Objects Tab

RunTime Objects

This edit group allows users to implement any of the PrintBoss commands . These commands provide the ability to create any form design a user may require.

Assignments made in this tab can only be used in the Footer Objects tab or Page Back Objects tab unless the Pre-process Assignments options is set to Special on the Special Controls tab.

See #Assign .

NOTE: Virtually all commands can be entered in either the RunTime or Footer Objects tabs, but the commands are affected by the order in which the scripts are processed. PrintBoss first processes the Runtime Objects script. This script often includes #Assign commands telling PrintBoss the location of data elements printed from the accounting software. Second, Print Boss processes all the data that is captured from the accounting software. This is the only step that gathers the actual values of the assigned variables. Finally, PrintBoss processes the commands in the Footer and Page Back Objects. Any commands that reference one of these assigned/captured values should be placed in Footer Objects or Page Back Objects tabs. Otherwise, the variables would be blank since the data is not processed until after RunTime Objects processing is finished.


Form Editor - Footer Objects Tab

Footer Objects

This group of design objects will be processed only at the end of printing the form. The commands are available in this design group but they are processed after all of the other commands.

Variables assigned/captured in the RunTime Objects tab can be referenced here (see #Assign ).


Form Editor - Proprietary Tab

This tab requires administrative access.

1) Click on the Edit menu in PrintBoss and select Form Files.

2) Select the desired form and click the Editor button.

3) Select the Special Controls tab.

4) Click the Access button and enter the administrative password.

5) Select the Proprietary check box and click OK.

6) Click on one for the Objects tabs to refresh the screen and display Proprietary Objects.

This group of design objects will be processed only at the end of printing the form and after the Footer Objects . The Form File Commands are available in this design group but they are processed after all of the other commands.

Variables assigned/captured in the RunTime Objects tab can be referenced here (see #Assign ).

The Proprietary Objects tab acts as a continuation of the Footer tab and is provided to help organize the code.


Form Editor - Misc Tab

Misc

The Misc tab allows users to import and manage jpg or bmp files to use in the background of a PrintBoss form. Add a #Pic command to the RunTime Objects tab to place the embedded image on the form. The graphic is selected by clicking on the button at the end of the Graphic File option on the Pic Command Properties window. The source graphic in not needed once the image is embedded in the form.

This tab also includes special treatment of key fields during the creation of the PrintBoss Work File. These fall into the following two categories.

Key Flds Re-Calc Forward

This section provides options that allow PrintBoss to carry forward or re-calculate values from selected fields under special circumstances. This area is primarily for use by a Wellspring Software Technician.

Key Flds Re-Calc Backwards

This section provides options that allow PrintBoss to process documents backwards immediately after they are processed forward for the purpose of counting or calculating values from the end of a group or file. This area is primarily for use by a Wellspring Software Technician.


Form Editor - Page Back Tab

Page Back Objects

This tab only appears when the Enable Printing on Back of page option is enabled on the Special Controls tab. Click on one for the Objects tabs to refresh the screen and display this tab. The Page Back Objects tab uses commands the same way as the Footer Objects tab, but all items will appear on the reverse side of the page. This function only works when a duplexing printer is used with the duplexing option enabled. Otherwise, the Page Back commands will print as a second page.


Form Editor - PDF Tab

PDF

PDF (Portable Document Format) files are readable with free Adobe Acrobat Reader software. This is a standard format for transmitting documents that need to retain their exact formatting and may need security. Additional information on the Acrobat Reader software and PDF documents can be found at Adobe.com .

PrintBoss has PDF generating scripts built in, so no additional software is necessary to generate PDF files from forms. PDF files are often used for archival purposes. By selecting PDF file as one of the copies, the user has the choice of:

1) all documents in the batch sent to one PDF file

OR

2) each document in the batch saved as its own PDF file.

This tab only appears if the Destination Printer/Device in the Multi-Parts & Printer tab is set to <PDF File>. Click on any tab name in the form editor to refresh the window after selecting <PDF File> to view the PDF tab.


Form Editor - Positive Pay Tab

Positive Pay

An increasing number of banking institutions are offering a service often called positive pay. The user creates a specially formatted file listing all valid checks written on the bank account. This file is sent to the bank, who in turn will only cash checks identified in this file. If the bank receives checks that are slightly different, the bank will not accept that check. This feature is offered as additional fraud prevention.

A positive pay file can be generated for each check run in PrintBoss. In order for it to be enabled, the form must be edited to generate a copy (see the form editor Settings tab ). This copy is then designated as a positive pay file (see the form editor Multi-Parts & Printers tab). Within the PrintBoss form, the structure of the positive pay file is defined to match the bank requirements. Rarely are the requirements the same between banks.

The Positive Pay specifications become part of the form file. The specifications can be exported to a PrintBoss Positive Pay file (extension of .ppp in the PosPay subdirectory of PrintBoss). This file can then be imported into another form. Note that the .ppp files that are imported and exported from within the PrintBoss form editor are NOT the actual positive pay files sent to the bank, they are simply the scripts PrintBoss uses to define the file.

It is usually easiest to import an existing Positive Pay spec and modify it to meet the specifications of the particular bank. Use the Import button on the Positive Pay tab for this. Sample positive pay spec files are included with PrintBoss.

Click on the Page icon to the right of the <Positive Pay File> destination column to open the Positive Pay interface. The Positive Pay / ACH File Editor has several sub categories listed by tabs along the top edge. Click on a field or tab for further information on a particular function.

Fill in the Header, Details, and Footer sections as appropriate. Some hints follow:

  • Each line is usually treated as a field, with the content enclosed in quotes.
  • Comments can be added to the Comments field on the Master tab. Sometimes it is helpful to add comments to the end of a line, beginning them with a pipe character ( | ).
  • There are substitution functions that are available with PrintBoss. These substitutions can be listed by right clicking on one of the Positive Pay tabs, selecting List / Stuff Assignments, and expanding Substitution Functions from the Form Assignments list. The function is evaluated and the return value is substituted in place of the current function, including the braces that surround the function. Functions can be nested within other functions. Substitution functions specific to Positive Pay are listed under the Positive Pay / ACH Fields category. Common Positive Pay substitute functions include {BatchAmt}, {BatchCount}, {BatchChkNoSum}, {PosPayFileName}, and {PosPayFileExt}.
  • Some functions are specific to the Batch or File. The {Batch...} functions should be entered on the Footer tab to apply to each batch. The {File...} functions should be entered on the SignOff tab to apply to the entire file rather than a batch.
  • A For/Next command is available for use in the Details tab to include batches of information.
  • Most sections usually end with a Carriage Return/Line Feed. This is represented with the expression Chr(13)+Chr(10) or {CR/LF}.
  • Often there are fields relative to a bank account that need to be included in the Positive Pay file. It is helpful to enter this information in the Miscellaneous 1 through 5 fields in the PrintBoss Bank List record without dashes. These fields can be referenced in the Positive Pay scripts using their variable names enclosed in braces: BMisc1, BMisc2, etc.

See Also: Positive Pay / ACH File


Form File Commands

PrintBoss Form Files combine data from the host accounting software with PrntBoss formatting and commands to create the final printed form. The following commands are provided to accomplish this merge. Right click on an Objects tab in the Form Editor and choose Insert Commands to view a list of file commands while you are using the Form Editor.

#Assign 'VarName', 'Value' [, CaptX, CaptY [,Options]]

#AssignLines 'VarName', 'Value' [, CaptX, CaptY [,Options]]

#AssignmentsBlock X1, Y1, X2, Y2

#Assigns 'VarName'

#Barcode X, Y, Barcode Height, 'Symbology', 'Value'

#Block X1, Y1, X2, Y2 [, Fill [, Options]]

#BlockMove X1, Y1, X2, Y2 [, DestX, DestY]

#BMP X, Y, "GraphicFileName" [, Options]

#Break no parameters

#CanadianDate X, Y, font Size, "date", "Mask", Color, Frame

#Continue no parameters

#Disable used to deactivate the following section

#Else used with the #If command

#ElseIf [parameter}

#Enable used to activate the following section

#EndIf used with the #If command

#FileErase <FileName/Path>

#For N = starting number TO ending number

#ForceWinPrintJob 'number'

#GoToMarker used with conditions to run or skip a section of commands'

#Grid X1, Y1, X2, Y2[ , Options]

#HGrid X1, Y1, X2, Y2, Ya, Yb, Yc, ...[, Options]

#If [parameter]

#Line Same as #Block

#Lines X1, Y1, X2, Y2, . . . Xn, Yn [,/Wn.nn][,/C<color]

#LineSet StartY, LineSpacing

#Macro X, Y, PrinterMacroCode

#Marker used in connection with the GoToMarker command

#MICR "MICRString" [, Options [, X] [, Y]]

#Next N Returns to the beginning of a loop

#PaperBin <PaperBin number>

#Paragraph X, Y, "Font/Size", Spacing

#PassThru X, Y, PassThroughString

#PCX X, Y, "FileName" [, Options]

#PIC X, Y, "FileName" [, Options]

#PIE CenterX, CenterY, Radius, Start Degree, End Degree [, Options]

#Polygon X1, Y1, X2, Y2, X3, Y3, etc. (up to X20, Y20)

#PrinterOverride Name of Windows printer driver

#ProcessPage [parameter]

#Rect X1, Y1, X2, Y2, [Options]

#RegionMove StartRegion, EndRegion [, StartDestRegion [, EndDestRegion]]

#REM Remark

#SecureSeal X, Y, "location", "recipient", "number", "amount", "date", "bank", "routing", "acct"[, "options"]

#SecureText X, Y, [<font>/<size>/<style>/<color>], "<Text>", [Options]

#SetEnable [Condition]

#SIG X, Y, "FileName" [, Options]

#SkipPage [parameter]

#SubCopyCount [parameter]

#Text X, Y, "Font", "Text"

#VGrid X1, Y1, X2, Y2, Xa, Xb, Xc, ...[, Options]

#VText Xc, Y, "Font/Size", Spacing, "Text"

NOTE: Parameters enclosed in square brackets [ ] are optional. Double click on the line of the command to open a line editor that will parse out all the parameters of the command when you are editing these commands inside one of the scripts. This applies to most of the commands with the exception of the #AssignLines, #Frame, #GoToMarker, #Lines, #LineSet, #Macro, #Marker, #PassThru, and #REM commands.


#Assign

#Assign 'VarName', 'Value' [, CaptXRange, CaptYRange [, Options]]

This command will assign a value to a variable name. It uses two methods to assign the value.

The first method is to simply provide the value by filling in the "Value" parameter. The command can occur in any section of the form for this method. If an assignment occurs more than once, the assignment closest to the top of the RunTime Objects tab on the form is the current value. When this variable only occurs in the Footer Objects section, then the value closest to the top of the Footer Objets tab on the form is the current value. The value in this method is a static value.

The second method to assign the value is to supply the coordinates that are used to capture a value from the data supplied by the accounting software. The command MUST be in the Runtime Objects section to use this method. Since the value won't be supplied to PrintBoss until the data from the accounting software is evaluated between the RunTime and Footer sections, the assigned variable cannot be referenced until the Footer or Page Back sections. If an assignment needs to be used in the RunTime Objects tab, the Pre-process Assignments option must be set to Yes or Special on the Special Controls tab of the form editor. An option on the Assign Command Properties dialog will blank out the original captured text after the assignment is processed .

The second method is useful for capturing values from the data passed by the accounting software that will be repositioned, reformatted, or used in assigning the DocNo, DocAmnt, DocRecip, or as a conditional element.

NOTE: This command should primarily be used in the RunTime section of the form after all RegionMove or BlockMove commands unless using Raw Data . When using Raw Data, it is often easiest to make assignments from within the View of a Work file . For additional instructions, click here .

VarName: Any arbitrary name that can be referenced in the Footer Section of a Form, typically in #Text commands.

Value: If the CaptXRange and CaptYRange are not passed, enter a value to assign to the VarName. If CaptXRange & CaptYRange are passed, this parameter is usually left blank. Example:

#Assign SSNMasked, «xxx-xx-{StrExtract:{SSN},'-',3}»

In this example, the value between the carat symbols is assigned the VarName SSNMasked.

CaptXRange, CaptYRange: These are the coordinates of the captured data. You can verify the value of the coordinates for a field by navigating to a form view or by clicking on the File menu and choosing Open Document Work Files. Select a work file from the list and click Browse. Then select a document and click View. Right click anywhere on the View and choose View Raw Capture. Double click the object to be assigned. Note the values in the Inches from Left and Inches from Top fields. Select the Click to Assign to Variable button to open the Assign Command Properties dialog. The coordinates from the previous dialog will display as the starting point for the Horizontal (X) and Vertical (Y) locations. Note these values can be entered as thousandths of an inch if no decimal exists, or inches if the decimal exists:

#Assign 'DocNo', '', 7.100, .65

Or #Assign 'DocNo', '', 7100, 650

Often the location may vary based on length of the string. Use the dash option to signify a range:

#Assign 'DocNo', '', 7.00-7.200, .65

Alternatively, provide a Plus or Minus amount with a slash. :

#Assign 'DocNo', '', 7.100/.1, .65/.08

The Plus/Minus option will add or subtract the amount to the right of the slash from the location value before the slash, creating a range to locate the variable.

In practice, the #Assign command is usually entered by clicking on the Click to Assign to Variable button in the Captured Text Properties dialog mentioned in the CaptXRange paragraph above. This button will automatically pull in all the coordinates and place the new command at the top of the Runtime Objects section. Double-click on #Assign in the RunTime Objects window to open a dialog box with more options.

A newer option in the Assign Command Properties dialog, Trim choices applied after segments appended, applies the trim choices (Left Trim/Right Trim) after the fields in the horizontal range are added together. This feature is only available when at least one Trim choice is selected and the Add together fields in horizontal range option is selected.


#Assign from Work File View

To make assignments from a view, generate a work file by printing a batch of documents to PrintBoss. Then follow these steps:

  • Open the PrintBoss Master Application.
  • Click on the File menu and select Open Document Work Files.
  • Highlight the form name that was used for the document(s) and click Browse.
  • Choose a document from the list and click the View button.
  • Right click anywhere in the view and select View Raw Capture.
  • The view will change to show only the data passed from the accounting software in the layout predetermined by the accounting software.

NOTE: The only adjustment made to this view would be any universal font override listed in the Settings tab of the PrintBoss Editing Form (Edit/Form File, etc.).

  • Double click on they item you want to assign to a variable.
  • An Object Properties Dialog window opens with the title Captured Text Command Properties. The coordinates of the object are in the top left section of the dialog.
  • Click on the Click to Assign to Variable button in the upper right section of the screen.
  • A second dialog will open with the title Assign Command Properties.
  • Change the variable name to something you will recognize.
  • The rest of the dialog provides several options:

  • assign multiple lines
  • set a range to search for the object (necessary if a field will change length or is not left justified)
  • append several objects in a row (all on the same line)
  • trim data after appending
  • ensure the use of Raw Data
  • trim spaces at either end of the object
  • force the object to appear in all capital letters
  • blank out the object (to be placed later with a #Text command or removed)
  • select only a portion of the object

  • Click OK when you are finished with the Assign Command Properties dialog.
  • Click Close when you are finished with the Captured Text Command Properties dialog.
  • Choose to Save Changes when you close the form.


#AssignLines

#AssignLines <variable name>

This command is used to assign several lines in a paragraph format to a variable name and is similar to the #Paragraph command. It is recommended that a #Rem command be placed at the end of the lines assigned with the #AssignLines command to end the command. The most common use of this command is to assign sentences or paragraphs to an e-mail body.

Example:

#AssignLines EmailBody

Thank you for shopping at Wellspring Software.

If you have any further questions, please contact our sales department at 1-800-600-6861.

If you have a technical question, please contact us at 636-527-6100.

#Rem |ends AssignLines command

A space must be entered into any blank lines between text lines in order for PrintBoss to skip a line.


#AssignmentsBlock

#AssignmentsBlock X1, Y1, X2, Y2 or #AssignmentsBlock Y1, Y2

This command is used to capture a group of assignments made in a specification or report. It allows variable names and values to be assigned dynamically from the host. On any line within this block, the first text object becomes a variable name and the following text object becomes its value. All text within the block will be blanked out after capturing.

For instance, if the following lines were in the defined block:

DocNo 1234

DocRecip John Smith

DocAmnt $1,200.00

PrintBoss will assign the first text object in each line (i.e. DocNo, DocRecip, and DocAmnt) as the variable name. The second text object in each line (i.e. 1234, John Smith, and $1,200.00) will be assigned as the variable value.

Variable Name Variable Value

DocNo 1234

DocRecip John Smith

DocAmnt $1,200.00


#Assigns

#Assigns 'VarName', 'Value' [, CaptXRange, CaptYRange [, Options]]

This command assigns multi-lines to a variable. The parameters are identical to the #Assign command (without the ending "s") and, like the #Assign, there are 2 methods to assign the value.

Assigning Lines individually

The first method is to simply provide the value by filling in the 'Value' parameter. This requires a specific #Assigns line for each line that will be in the variable.

Example:

#Assigns EmailBody, "Thank you for your order."

#Assigns EmailBody, "The Invoice for your order is attached to this e-mail."

#Assigns EmailBody, " " |creates blank line

#Assigns EmailBody, "Please call us with any questions."

Assigning Lines as a group

The second method is to supply coordinates which are used to capture a range of values from the data. It is expected that the vertical range includes a region large enough to gather more than one line. When the option Add together fields in horizontal range is checked in the Assign Command Properties dialog, each ROW of text objects will be added together and treated as a single element in the multi-line variable. Remember to double click on the #Assigns command to view the properties dialog.

Example: To capture a variable of the lines in a check payee block that occur between 5.5 and 6.4 inches down the page the following command might exist:

#Assigns PayeeAdrs, , 1.0-4.5, 5.5- 6.4, A

This is similar to the #Assign command with the exception that the #Assign command gathers data as a single value. A #VText command is often used to display data captured with the #Assigns command.

NOTE: If the intention is to capture a series of columns that comprise the advice of a check, a problem will occur if any of the fields within the advice are empty. All the fields below the empty line will shift up one!


#BarCode

#Barcode X, Y, Barcode Height, Options, "Barcode Value"

This command is used to change data into a Barcode. The top left corner, center, or top right corner is defined with the X and Y coordinates. The Barcode Height is also assigned. There are different Symbology choices to choose from:

Code 3 of 9 alphanumeric

UPC Version A numeric only

UPC Version E numeric only

Postnet Code numeric only

Interleaved 2 of 5 numeric only

Codabar numeric only

Code 93 alphanumeric

Code 128 alphanumeric

The Barcode Value can be either a variable that references captured text or specific characters. An option of /SC before the symbology will print the text characters below the barcode.

#Barcode 6.7C, 1.0, 0.850, "/SYM:/C39","{DocNo}" (or)

#Barcode 6.7C, 1.0, 1.000, "/SC/SYM:/PNT", "34580"


#Block

#Block X1, Y1, X2, Y2, Fill [, Options]

This command is used to place a block on the document. The top left and bottom right corners are defined and, by default, a black rectangle is drawn. Options include alternate fill patterns, a radius on the corners, or a shade on just one edge (like the top legend row of a table). The #Rect command is often preferred over the #Block command.

X1, Y1: Location of top left corner in inches from the left edge and top of paper. May be entered to thousandth of an inch.

X2, Y2: Location of bottom right corner.

Fill: Alternate fills include:

T Clear

W: White (prints opaque)

S Shade

B Black

G0, G1, …G9: Shading from lightest to darkest

P1 or PH: Horizontal Line Pattern

P2 or PV: Vertical Line Pattern

P3 or PB: Backward Diagonal Pattern

P4 or PF: Forward Diagonal Pattern

P5 or PR: cRross Hatch Pattern

P6 or PA: diAgonal Hatch Pattern

Color The color codes are too numerous to list. The codes display as a numeric string.

NOTE: Adding an underline following the fill descriptor will outline the block in a black line.

Options:

/Rnnn Corner radius of nnn inches. For example, /R.1 would be a 1/10" radius

/STnnn Shade Top nnn inches

/SLnnn Shade Left nnn inches

/SBnnn Shade Bottom nnn inches

/SRnnn Shade Right nnn inches

The following example prints an empty box near the left side towards the bottom of the page that is 5.5 inches wide and 1.5 inches high,outlined in black with rounded corners and a drop shadow outlining the company information:

#Block .25, 7.5, 5.5w, 1.5h, T_, /R.25/SHD.1/OLW.04, |Logo Border


#BlockMove

#BlockMove X1, Y1, X2, Y2 [, DestX, DestY [, DestX2, DestY2]]

This command is used to move or remove whole blocks of captured text from the accounting software. This operates the same as the #RegionMove command, except this allows X (or horizontal) boundaries. The #RegionMove goes to the edge of the page.

Every text object that will be included in the block move simply needs its beginning coordinates inside the block region. Even if only the beginning character of a long string occurs inside the block, it would be treated as part of the block.

NOTE: This command must only be placed in the RunTime Objects section. This command, along with the #RegionMove command, should be used before all other commands.

X1, Y1: Define the top left corner of the block to be moved/removed.

X2, Y2: Define the bottom right corner of the block to be moved/removed.

DestX, DestY: Define the top left corner of the destination. If these parameters are not passed, the text objects are just removed.

DestX2, DestY2: Define the bottom right corner of the destination. The source block will be stretched/reduced to fit into this destination block. If these parameters are not passed, the destination block will be the same size as the source.


#BMP

#BMP X, Y, "GraphicFileName" [, Options]

This command prints a graphic on the document. Operates the same as the #PIC except that it expects a ".BMP" file type. The #PIC command is preferred over the #BMP command. See #PIC for operation.


#Break

This command is used to break out of a #For N / #Next N loop. There are no parameters for this command, though it is often useful to set a condition.


#CanadianDate

#CanadianDate X, Y, Font Size, "date", "Mask"[, Color[, Frame [, DateInMask[, SuppressLegends]]]]

This command formats the check date in the style required by the Canadian Payments Association for their image ready standards, called the "CPA Standard 006". These standards are required as of June, 2007. This command prints a letter under each numeral in the date indicating what part of the date it represents. Both English and French options are available. A frame may be selected to appear around or behind the numerals. The word "Date" automatically appears to the left of the formatted date.

Many PrintBoss forms already include the Canadian Style date/amount format. Select this option on the Miscellaneous tab of the Bank record to use the Canadian format


#Comment

Comments can be added to the RunTime, Footer, and Page Back Objects tabs in the Form Editor and usually contain explanations. For example:

Define the DocBank that may be used in the ReqList to pick a bank automatically.

But first, if this is a Payroll Check, force it to "Payroll" since there is no ChkAcct.

#[Inu, "Pay Period", "{Memo}"]Assign ChkAcct, ÷Payroll÷

#Assign DocBank, ÷{ChkAcct}:{CompName}÷

The first two lines are explanations for the commands following the comments. Notice the #Comment does not display in the first two lines. Instead, comments are lines in the code that do not begin with a # sign and are placed as explanations or examples of something in the code. Lines of code may also be commented when they are not needed:

Text 5.85, 3.6, 'Arial/14', '*** COPY ***'

The line of code is a comment until a # is placed in front of the command. Then it becomes an active command. Commented commands may also start with the pipe ( | ) symbol and retain the # sign:

| #[12345]Text 3, 10.5, 'Arial/12', '{CopyName}'

The commented command can be used be removing the pipe symbol. When there is a pipe symbol or no #, PrintBoss will ignore the line.


#Continue

Jumps to next loop in #For N / #Next N . There are no parameters for this command, though it is often useful to set a condition.


#Disable

This command deactivates an entire section of commands. When #Disable is encountered, all commands following it will be ignored/disabled until an #Enable command occurs. At least one of the two commands would usually have a condition placed on it (see conditional commands ) since the purpose of Enable / Disable is to conditionally process a set of commands. It is not necessary to have matching pairs.

Use of the #If / #Endif commands is recommended instead of using #Enable / #Disable / #SetEnable when reasonable . These newer commands are clearer and can be nested more logically.


#Else

Blocks of code can be conditionally processed based on the condition parameters that follow #IF and #ElseIf. When an #If [Parameter] occurs, there must be a matching #Endif. Optionally, any number of #ElseIf [parameter] sections can follow the original #IF. Finally, a single #Else may occur after the #IF or all #ElseIf, but before the #Endif.

#If / #Endif structures may be nested. They may not stretch from one section to the next, like going from the RunTime to the Footer Objects section.

Use of the #If / #Endif is encouraged over the #Enable / #Disable / #SetEnable, and neither constructs should pass across the boundaries of the other type.

See Also: #If

#ElseIf

#EndIf


#ElseIf

#ElseIf [Parameter]

Blocks of code can be conditionally processed based on the condition parameters that follow #IF and #ElseIf. When a #If [Parameter] occurs, there must be a matching #Endif. Optionally, any number of #ElseIf [parameter] sections can follow the original #IF. Finally, a single #Else may occur after the #IF or all #ElseIf, but before the #Endif.

#If / #Endif structures may be nested. They may not stretch from one section to the next, like going from the RunTime to the Footer Objects section.

Use of the #If / #Endif is encouraged over the #Enable / #Disable / #SetEnable, and neither constructs should pass across the boundaries of the other type.

See Also: #If

#EndIf

#Else


#Enable

This command activates an entire section of commands. When #Enable is encountered, all commands following it will be enabled until a #Disable command occurs. At least one of the two commands usually have a condition placed on it (see conditional commands ) since the purpose of Enable / Disable is to conditionally process a set of commands. It is not necessary to have matching pairs.

Use of the #If / #Endif commands is recommended instead of using #Enable / #Disable / #SetEnable when reasonable . These newer commands are clearer and can be nested more logically.


#EndIf

Blocks of code can be conditionally processed based on the condition parameters that follow #IF and #ElseIf. When a #If [Parameter] occurs, there must be a matching #Endif. Optionally, any number of #ElseIf [parameter] sections can follow the original #IF. Finally, a single #Else may occur after the #IF or all #ElseIf, but before the #Endif.

#If / #Endif structures may be nested. They may not stretch from one section to the next, like going from the RunTime to the Footer Objects section.

Use of the #If / #Endif is encouraged over the #Enable / #Disable / #SetEnable, and neither constructs should pass across the boundaries of the other type.

See Also: #If

#ElseIf

#Else


#FileErase

#FileErase <FileName/Path>

This will erase a file (or files) specified by the FileName/Path. The name may include an * for wild card, or ? for wild characters. It is mainly used internally by PrintBoss, but is available when needed.


#For N

#For N = <starting number> TO <ending number> [STEP n.nn]

This command allows a loop to repeat a step for the number of times indicated by the starting and ending numbers. To designate the end of the loop, a #Next N command is used. By default, each loop will increment the value of n by 1. To change the step, append the phrase STEP to the end of the line followed by the desired step. All three entry values, (Starting Number, Ending Number, and STEP) may be decimal numbers (i.e. 1.456). The looping will end at the matching #Next N command when the value of N is greater than the ending number after it is incremented by the STEP.


#ForceWinPrintJob

#[condition]ForceWinPrintJob <number>

This command forces the Windows pint job to end and a new print job to start with this page. Typically, a condition is used with this command. Otherwise, a new print job would be created for every single page. An example of using this command is to start a new print job with each new invoice number so that all the pages of the same invoice number are stapled by an advanced printer that supports stapling. The code would be:

#[!==, ÷{DocNo}÷, ÷{Next.DocNo}÷]ForceWinPrintJob

The Pre-process Assignments box in the Special Controls tab of the Form Editor MUST be checked. Another Example follows:

#[FileExists, {BLogoFile}]ForceWinPrintJob 5

This command forces a new print job after every 5 records if there is a logo in the bank record.


#GoToMarker / # Marker

#[condition]GoToMarker <marker name>

There have been times when it is helpful to go immediately to a point (most often the bottom) in the RunTime Objects , Footer Objects , or Page Back Objects tabs without consideration of any command between this and its Marker, including #Enable , #Disable , #SetEnable , #If , and #Endif . This will enable PrintBoss to jump FORWARD (not backward) using the #GoToMarker command. The #GoToMarker must be used in conjunction with a #Marker command to indicate the start of the section where PrintBoss will jump. The GoToMarker should not be used to jump into or out of matched pairs of #If / #Elseif/ #Else/#Endif. The #GoToMarker/#Marker commands are very rudimentary and have some specific limitations. It is important to embed these commands into the correct places among the commands in the RunTime objects, Footer Objects, and Page Back Objects tabs.

For Example:

#[=, {PageNo}, 1]GoToMarker StartofSecondaryPage

#...

#... } all the commands for Page One format (including #Enables)

#...

#GoToMarker EndofPage

#Marker StartofSecondaryPage

#...

#... } all the commands for Non-Page one format (including #Enables)

#...

#Marker EndofPage


#Grid

#Grid X1, Y1, X2, Y2[, Options]

It is notable, that unlike the HGrid and VGrid, all drop down or across lines are relative to the side or top of the grid, NOT the page.

This command creates a frame and allows horizontal lines and vertical lines to be drawn within the frame. The coordinates for each line are relative to the frame. Using options, it may be further modified with a corner radius and edge shading. In most cases, it should be used instead of the #HGrid or #VGrid commands. Unlike those commands, the coordinates of all the lines within the grid are relative to the top left corner of the grid. This enables a grid to be moved or dragged easily.

Drop Down lines are coordinates measured from the left edge of the page. The Drop Down Line options are:

  • Line Width
  • Offset from Grid top to start of line
  • Distance from Grid top to end of line
  • Line color

Across lines are measured from the top of the page. The Stretch Across Line options are:

  • Line Width
  • Offset from Grid left to start of line
  • Distance from Grid left to end of line
  • Line color

Click on the Drop Down/Stretch Across Line(s) section below to see an alternate method for entering values.


#HGrid

#HGrid X1, Y1, X2, Y2, Ya, Yb, ...Yz [, Options]

This command creates a frame and allows horizontal lines to be drawn relative to the frame. Across lines are measured between the Y1 and the Y2 coordinates of the grid. For instance, if Y1 is 8.175 and Y2 is 8.840, the horizontal lines can only be numbers between 8.175 and 8.840.

This command is often used to create the date/amount box on the check. Options allow further modifications such as corner radius and edge shading.

X1, Y1: Location of top left corner in inches from the left edge of paper and top of paper. The value may be entered to thousandth of an inch.

X2, Y2: Location of bottom right corner.

Ya, Yb…Yz: Any number of lines drawn horizontally across the frame. Each line is defined as the distance in inches from the top of the page.

Options:

Corner Radius: /Rnnn where nnn is the radius size. For example, /R.1 would be a 1/10" radius.

Shaded Edges: /STnnn (Shade Top), /SLnnn (Shade Left), /SBnnn (Shade Bottom), or /SRnnn (Shade Right) where nnn is the width of the edge shade in inches. Color is also available in newer versions of PrintBoss. The codes begin with CLS followed by a string of numbers identifying the color


#If

#If [Parameter]

Blocks of code can be conditionally processed based on the condition parameters that follow #IF and #ElseIf. When an #If [Parameter] occurs, there must be a matching #Endif. Optionally, any number of #ElseIf [parameter] sections can follow the original #IF. Finally, a single #Else may occur after the #IF and all #ElseIf commands, but before the #Endif.

#If/#Endif structures may be nested, but they cannot stretch from one section to the next, like going from the RunTime to the footer section.

Use of the #If / #Endif is encouraged over the #Enable/#Disable/#SetEnable, and neither constructs should pass across the boundaries of the other type.

See Also: #ElseIf

#Else

#EndIf


#Line

#Line X1, Y1, X2, Y2[, Fill [, Options]]

This command functions the same as the #Block command. If X1 and X2 are identical, then PrintBoss will draw a vertical line. If Y1 and Y2 are identical, a horizontal line is drawn. The Block Options due not apply to a Line unless it has a thickness greater than 0.


#Lines

#Lines X1, Y1, X2, Y2, . . . [, /Wn.nnn [, /C<color>]]

This command draws a line from point X1, Y1 to Xn, Yn, passing through all the points in between. The width and color can be set as options. This command is used to create diagonal lines.


#LineSet

#LineSet StartY, LineSpacing

This is useful when formatting a series of text commands, such as address lines, that appear consecutively. Prior to the first #Text, use this command to define the starting Y coordinate as well as the consecutive line spacing. It is especially helpful in eliminating blank lines from appearing in an address by using #LineSet in conjunction with conditional #Text statements.

Following this command, anytime the internal variable {LineY} is used, it will be replaced with the actual line coordinate (StartY). In addition, {LineY+} will use the current coordinate and increment it internally by the LineSpacing amount.

The following example uses the #LineSet to place all the Bank Address lines and then place the Fractional Code right under the last non-blank bank address line. The StartY value is 7.9 and the Line Spacing (+) value is 0.15. These values represent inches.

#LineSet 7.9, .15

#Text 3.8, {LineY+}, 'Arial/12', '{BName}'

#[!Empty, Bads1]Text 3.8, {LineY+}, 'Arial/12', '{BAds1}'

#[!Empty, Bads2]Text 3.8, {LineY+}, 'Arial/12', '{Bads2}'

#[!Empty, Bads3]Text 3.8, {LineY+}, 'Arial/12', '{Bads3}'

#Text 3.8, {LineY+}, 'Arial/12', '{BFrac}'


#Macro

#Macro X, Y, PrinterMacroCode

This will call a Hewlett Packard printer macro using Windows Pass through printer escape sequence. The cursor control commands will be executed to place the cursor prior to calling the macro when X and Y are passed as non-zero.


#MICR

#MICR "MICR string" [, Options [, X [, Y]]]

This command prints the special MICR line at the bottom of a check in PrintBoss. Normally, the location is completely calculated by PrintBoss based on the length of the form. Options may be used to select a middle or top check stock or use the X and Y location fields to explicitly place the MICR. The MICR string is most often pulled from the Bank List. This is accomplished by using the BMICR variable. All variables should be enclosed in brackets { }.

The MICR Command Properties dialog is accessed through the form. Click on the Edit menu in PrintBoss and select Form Files. Highlight your check form in the Form Select window and click the View button. Double click on the MICR line of the View to open the MICR Command Properties dialog.

MICR String: The MICR String is often edited on the MICR tab of the PrintBoss Bank Edit window (see image at the bottom of this page). This string must be entered accurately. Each character (including blank spaces) must be entered exactly as they appear on an existing check. There are three characters that appear on the MICR line of a check which cannot be reproduced with any computer keyboard key. Therefore, we have assigned replacement characters for the MICR line characters listed in the following table:

Symbol Description Represented by:

Amount $

On Us /

Dash -

Transit [

One portion of the MICR line is the Check Number. This changes from check to check. Instead of typing it in directly, a variable needs to be entered. The 3 available variables are:

{BChkNo} = Check number pulled from bank record with no leading zeros

{CChkNo} = Check number passed from the accounting software

{DocNo} = Check number assigned from account software raw data

A common MICR string would be similar to the following string:

/{CChkNo}/ [123456789[ 123-12345/

Options:

$: Inserts check amount in the lower right corner of check.

T: Places the MICR line for a top check (3.5" check)

B: Places the MICR Line for a bottom check relative to the bottom of the form. This is the default value.

Mn.nnn: Places the MICR Line relative to a check section (perforation) that ends at n.nnn inches from the top of the page. For example, an 11" page perforated into sections of 3.5, 3.5, 4.0, with a check in the middle would be M:7.00. Or an 11" page perforated into sections of 3.67, 3.67, 3.67, with a check in the middle would be M:7.333.

NOTE: it is best to adjust the placement of the MICR line via the Offset Adjustment fields in the Configuration/Settings of PrintBoss than the specific Mn.nnn setting. Adjusting the placement in the form through the MICR Command Properties window affects all users.

N: No check number segment of the MICR line is printed. This is used for deposit slips.

BR: Include MICR Line in the mirrored block. The length of the Block Mirrors on the Form Editor must be adjusted to include the MICR Line in the source block.

X and Y: This is optional, and is rarely used, since PrintBoss will automatically place a line. If the X is 0 or blank, PrintBoss will place the line relative to the placement of the Routing Number section of the MICR line . If X is passed, then the line will explicitly be positioned according to the value of X. If Y is 0 or blank, the vertical placement will be figured by PrintBoss relative to the bottom of the form, or as prescribed with the options. If Y is non-zero, then the vertical location will be explicitly used.


MICR Line Edit

Routing Number

Enter the correct routing number for the bank account. Do not use any substitute characters.

Account Number

Enter the account number. Use a period to designate a space. It is very common to have a leading space (period). Use a dash if there is a dash in the account number.

Check Format Type

The check style only determines the order of the components for the MICR line on the check. This does not impact the actual style of the check form. Select the appropriate style for the check stock that is going to be used.

Standard 8.5" Business Check

Standard interfaces use this style. Usually this is for a check between 7" and 8.5" wide.

Small 6" Wallet Size Type 1

This is for a wallet-sized check with the check number on the far right of the MICR line.

Small 6" Wallet Size Type 2

This is for a wallet-sized check with the check number in the middle of the MICR line.

Deposit Slip

This is for printing deposit slips that do not have a document number. Only the bank routing number and account number will appear.

Custom

The contents of the MICR line can be entered manually instead of using the MICR variable. This is not recommended.

Check Number

Since the check number changes from check to check, a variable needs to be entered instead of entering a specific check number. The available variables are:

{BChkNo} = Check number pulled from bank record with no leading zeros

BBBBBB = 6 digit check number pulled from bank record; left filled with zeros

BBBBBBBB = 8 digit check number pulled from bank record; left filled with zeros

{CChkNo} = Check number passed from the accounting software

CCCCCC = 6 digit check number passed from the accounting software; left filled with zeros

CCCCCCCC = 8 digit check number passed from the accounting software; left filled with zeros

Select the appropriate variable from the drop drown menu. See the installation notes for the specified accounting software for more information.

Custom Format

This shows the entire MICR line. The field updates to reflect changes made in the individual components above. On rare occasions, it is better to modify the line directly rather than use the individual components.

Each character (including blank spaces) must be entered exactly as they appear on an existing check. A common MICR string is similar to the following example:

/{BChkNo}/ [123456789[ 123-1234/

Character 45

The new Canadian Payments Association regulations suggest a Character 45 in the MICR line of accounts printing checks drawn on US Dollars. You can enter the required numbers, as indicated by your bank, using this field.

NOTE: It is recommended to enter MICR information through the modules (Routing Number, Account Number, etc.) if no special characters are required in the MICR line.


#Next N

Indicates the end of a loop. (See #For N = ).


#PaperBin

#PaperBin <PaperBin number>

This allows conditional selection of the source paper bin based on dynamic values. The bin PrintBoss pulls from is based on the following criteria, in increasing order of precedence. (i.e. If the last one is encountered, it will override all the earlier values).

1) Select a bin for the default PrintBoss printer. Click on File/Printer Setup from the PrintBoss Master Application window and then click the Printer Setup button to choose a tray.

2) If a printer is specified in the form or by an individual copy in that form, the tray is selected from the Windows Start/Settings/Printers control panel. Right click on your printer and choose Properties to verify the tray selection.

3) Specify a tray through a form. Click on Edit/Form Files in PrintBoss and choose a form. Then click on the Editor button and select the Multiple Parts & Printers tab. Note this field is ignored when it is set to Default. Select a source tray here to override choices 1 and 2.

4) Use the #PaperBin command in one of the scripts for the form. This is the highest priority and overrides all previous choices.

WARNING: Pre-Process Assignments on the Special Controls tab of the form editor MUST be set to Yes or Special to use the #PaperBin command. (Edit/Form Files, <highlight form>, click Editor button, select Special Controls tab).

The command expects the numeric ID of the tray. Follow these steps to find the numeric ID:

  • Click on the File menu and select Printer Setup in PrintBoss.
  • Choose the printer. (This may be temporary and, when finished, you can set it back to the desired default printer.)
  • Click on the Printer Setup button at the bottom of the screen.
  • Select the tray in the Source or Paper Source field on the Paper/Quality tab and click OK. Notice on the PrintBoss Printer Setup screen the Paper Source field displays the selected tray with a number preceding it in parentheses. Take note of this number. This is the number that should be entered as the TrayID in the PaperBin command.

The command is ignored when the TrayID evaluates to 0. In this case, the tray will be selected based on choices 1, 2, or 3 above.


#Paragraph

#Paragraph X, Y, "Font/Size", Spacing

The Paragraph command is quite useful in placing large amounts of text all in a single style font without printing each line using a separate #Text command. The end of each line is based on the breaks entered with the text in the form file. The paragraph command will end immediately as soon as it encounters any "#". A good practice is to use the remark command #REM or #ParagraphEnd to end a paragraph.

The properties of the font in the paragraph are set just like the #Text command.

X Inches from left edge of piece of paper to left edge of paragraph

Y Inches from top edge of piece of paper to top edge of first line of paragraph

Font/Size Font descriptor for text (see #Text for details)

Spacing The increment needed between lines in the paragraph

Automatic wrapping is not available. Lines appear exactly as they are typed into the form. Set a Width to the paragraph to append lines together and word wrap will cause them to wrap properly. New paragraphs within the text will occur with blank lines or indented lines. If the width is set, be sure to start the text in the first column of the editor to trigger the word wrap. If the width is enabled, the justification box can also be checked and will force the right edge of paragraphs to align (justify).

For Example:

#Paragraph 3.50, 5.50, "Arial/10", .167

This is the first line of the paragraph.

This is the second line of the paragraph.

#ParagraphEnd


#PassThru

#PassThru X, Y, PassThroughString

The character string is passed directly through to the printer. The Windows printer driver does nothing to the string. If the X or Y parameters are non-zero, the cursor position will be pushed and set to that location prior to the PassThru and then the cursor position will be popped. If the ASCII character number 127 appears in the string, it will be replaced with ASCII character 27 to allow Escape sequences in the string.

This is rarely used and its operation differs between printers due to differences in the way the Windows PassThrough escape sequence was built into the printer drivers.


#PCX

#PCX X, Y, "GraphicFileName" [, Options]

This command prints a graphic on the document. It operates the same as the #PIC except that it expects a "PCX" or a "SIG" file type. See #PIC for options.


# PIC

#PIC{keepn}

#PIC X, Y, "GraphicFileName" [, Options [, SigDiskDrive]]

This command prints a graphic file at a location specified by the X, Y coordinates. It will accept graphic files with the formats of BMP, JPG, PCX, or SIG (Wellspring Software encoded signature file). The options will control size and brightness.

NOTE: MICR toner is only available in black. If the bank requires MICR ink, then any logos printed with the checks will be monochromatic even if you are using a color graphic file.

X, Y: Location of top left corner in inches from the left / top edge of the paper. May be entered in thousandth of an inch.

GraphicFileName: Name of the graphic file to print. If no path is given, it is assumed to be in the PrintBoss\Logos directory. The file extension should be entered to help PrintBoss determine the file type.

Options: Any of the following options can be selected:

Option Description

600 Forces image to be printed in 600 dpi instead of the default 300 dpi

REV Reverse prints black to white and white to black

Show Shows errors if they occur

Hide Does not report file read/access errors if they occur

Size:nnn Adjusts the size according to the nnn percentage (100 = full size, 50 = half size, etc.)

SizeX:nnn Adjusts the horizontal size as a percentage

SizeY:nnn Adjusts the vertical size as a percentage

Watermark Prints graphic with gray instead of black

Watermark:n Same as Watermark except "n" is B/M/L for Bold, Medium, or Light. This value is medium by default

Sig Disk Drive Letters: When a ".Sig" file is being printed, PrintBoss uses this option to determine the drive location for the disk. Multiple values may be entered, such as DEFG. PrintBoss will check each of the listed drives for the correct sig disk.


#PIE

#PIE <CenterX>,< CenterY>, Radius, Start Degree, End Degree [, Options]

PrintBoss can create a circle (or part of a circle) on the form using this command. PrintBoss will only allow for increments of 90 degrees. Starting and ending degrees can have the following values:

0, 90, 180, 270, 360

For example:

#Pie 5.00, 4.00, 1.00, 0, 180

The object would appear as:

The center point would be 5 inches from the left and 4 inches from the top of the page.

Options: /FB will make the fill black instead of gray.

/F<FillString> defines the content of the pie shape.


#Polygon

#Polygon X1, Y1, X2, Y2, X3, Y3, etc. (up to X20, Y20)[/F<FillString>]

This command creates a polygon on a form. Each point of a polygon is a different coordinate. The last coordinate will be connected with the first coordinate, enclosing the polygon. The command can have up to 20 different coordinates.

For example:

#Polygon 6.00, 4.75, 7.0, 7.0, 8.0, 5.5, /FO10485760_

would appear as:

The blue fill and thin black outline can be easily added by double clicking on the command and selecting options from the Polygon Command Properties dialog.


#PrinterOverride

The PrinterOverride command overrides the printer set on the Multi-Parts & Printers tab of the PrintBoss form, including the default printer. This command assigns a specific Windows printer and often includes conditions. For example:

#[C,1][Inu, "St. Louis", ÷{Location}÷]PrinterOverride "HP Color LaserJet 4700 PCL 6"

This example assigns a specific printer only for Copy 1 when the string "St. Louis" is in the Location variable. This command can also be used in #IF/#ElseIF/#EndIf commands.

Enter the exact printer name as it appears in the Windows printer list. Double click on the #PrinterOverride command to select the printer name from a drop down menu to ensure an exact match.


#Process Page

#ProcessPage [Parameter}

The page will process if the parameter is True. Often a #ProcessPage condition specifies the target copy in the document.

For example:

#[Copy, 4]ProcessPage [!Empty, {EmailTo}]

This command examines the 4th copy and executes the process page if the variable EmailTo resolves to a NOT empty value.

Pre-process Assignments MUST be selected on the Special Controls tab of the Form Editor to use the #ProcessPage command (EDIT / FORM FILES / <highlight form> / EDITOR / SPECIAL CONTROLS).

See #SkipPage


#Rect

#Rect X1, Y1, X2, Y2 [, corner radius[, outline width[, fill of line[, color background[, pattern]]]]]

This command generates a rectangle with control over the size, thickness, and fill. This is often used to place a patterned rectangle behind a text object to prevent fraudulent changes to a document. There are many patterns to choose from, the most common is the zigzag pattern.

This command could also be used for "Negative Printing". The Vertical Fade or Horizontal Fade are best to use for the background. Then overlay white lettering with a separate #Text command.

Corner Radius - Defines the shape of the corners. No radius is a 90 degree corner. The larger the radius, the softer the edge.

Width of Rectangle Outline - Defines the width of the line. By default the width is .009 inches.

Line Fill - The fill may be defined if the width is discernible .

Fill Behind Pattern - Defines the background color behind the pattern in the center of the rectangle. This is black by default.

Pattern - The pattern in the center of the rectangle:

0 = none 1 = vertical fade

2 = horizontal fade 3 = zig zag fine

4 = zig zag medium 5 = zig zag course

6 = half circles find 7 = half circles medium

8 = half circles course

For example:

#Rect 4.7, 9.8, 8.15, 10.34, 0.10, 0.020, B, W, 3

0.10 = corner radius

0.020 = outline of rectangle width

B = Line Fill color (black)

W = Fill behind pattern (white)

3 = pattern selection (zig zag fine)

This object would appear as:


#RegionMove

#RegionMove <StartRegion>, <EndRegion> [, StartDestRegion [, EndDestRegion]]

This is used to move or remove whole regions of captured text from the raw accounting data printed to PrintBoss. Enter a start and end destination to compress or expand a region proportionately when moving it.

This command operates the same as the #BlockMove command, except RegionMove assumes the horizontal boundaries are the left and right edge of the page. For example, if the source system is printing a check with an advice at the top of an 11" page, the RegionMove cam move the advice to the middle stub. On the other hand, if the source was passing two advice sections, this command can be used to remove one of the advice sections in order to use the Block Mirror with its compression feature to print the secondary advice section.

NOTE: As with the BlockMove command , this command must only be placed in the RunTime Objects section to be executed prior to any other commands.

StartRegion: Start of region to define, in inches, from the top of the page.

EndRegion: End of region to define, in inches, from the top of the page.

StartDestRegion: Start of destination of the region marked. If this is not passed, the text within the region will be omitted.

EndDestRegion: The source region will fit proportionately between the destination start and end when this field is used.

The following example will remove the top 1/3 of the page:

#RegionMove .2, 3.33,

The following example will move the middle section of the page to the lower portion of the page:

#RegionMove 4, 7.5, 7.8


#REM

Anything following a # Remark is only a remark/comment. This is not an active command. Sometimes it is helpful to use this command after a #Paragraph command to designate the end of the paragraph.


#SecureSeal

#SecureSeal X, Y, "seal image", "<Text>", "<Recipient>", "<Number>", "<Amount>", "<Date>", "<Bank>", "<Routing>", "<Account>" [, Options]

SecureSeal is an added security function supported by some banks. An encoded graphic image is printed on the page. Embedded within the graphic image is information pertaining to the check document often including the document amount, date, payee, and document number. If the graphic is altered, or the information on the check does not match the information embedded in the graphic, the bank will not process the document.

The Secure Seal command will insert a positive pay tool and encrypted logo onto a check. For more information on this tool, see Secure Seal Logo .

Each of the fields can contain either a variable or a constant value. In the Object Properties dialog screen, there are predefined variables that can be selected for the Secure Seal use. These variables will most often be used.

For more information about SecureSeal, contact Fiserve at www.imagesoft.fiserv.com or your bank.


#SecureText

#SecureText X, Y, "<Font>/<Size>/<Style>/<Color>", "<Text>" [, Options]

This feature is used to protect against fraudulent changes on a document and is most often found on checks. There are two options for the Secure Text Type: Custom and Standard Block-Numeric.

Custom: This can be used with both alpha and numeric text. It will include a patterned rectangle behind the text. There are several patterns to choose from. The rectangle can be as big or small as needed.

Standard Block-Numeric: This can only be used with numeric amounts. This is specifically used for the amount of a check. It is nearly impossible to modify the printed check amount with this option. If desired, this can be used with the Rectangle command.

The language option provides for either English or French text on the blocks.


#SetEnable

#SetEnable [Condition]

The #SetEnable [Condition] is an alternate way to enable or disable the processing of commands. For example, #SetEnable[true] is equivalent to #Enable , and likewise, #SetEnable [false] is equivalent to #Disable . Typically this is used to conditionally activate a group of commands. If the condition evaluates to false, all following lines will be ignored until either a #Enable or a #SetEnable with a true condition is encountered.

Use of the #If / #Endif commands are recommended instead of using #Enable / #Disable / #SetEnable when reasonable . These newer commands are clearer and can be nested more logically.


#SIG

#SIG X, Y, "GraphicFileName" [, Options]

This command prints a graphic on the document and is virtually the same as the #PIC command except that expects a "SIG" file type ( Wellspring Software encoded signature file ). Also, it does not report file errors. This is the same as adding the Hide File Errors option in #PIC. Use of #PIC is recommended over the use of #Sig.

#Sig is often used with signature graphics so checks will continue printing uninterrupted. If the signature disk is missing, PrintBoss continue printing without the signature. See #PIC for details on option choices.


#SkipPage

This command allows PrintBoss to skip the processing of this page. A condition must be placed on this command or all pages will be skipped & nothing will be processed! The SkipPage command may be in the RunTime Objects, Footer Objects, or Page Back Objects tabs and the Pre-process Assignments option on the Special Controls tab of the form must be set to Special or Yes .

The end result of using #SkipPage and #ProcessPage are the same. They just have different ways of entering the logic to determine when a page should be skipped or processed.

For instance, if the following command was used:

#[!Empty, {EmailTo}][Copy, 3]SkipPage

PrintBoss will suppress printing Copy 3 if the e-mail address variable is not blank.

Unlike the #ProcessPage command, the SkipPage command only skips and places an "S" in the printed column of the work file or places an "s", indicating an error. It does not provide a condition to process a page.


#SubCopyCount

This command allows the user to print multiple pages of a Copy in PrintBoss. The PrintBoss Form can print up to 7 copies in addition to the Original. Each of these copies can have a different format or a different destination . For example, Copy 2 may be printed to the warehouse. On occasion, multiple Sub Copies may be required. The following command will print 4 copies of Copy 2:

#[C,2]SubCopyCount 4

These sub copies have the same format and destination as the referenced copy. SubCopyCounts are normally placed on the Footer Objects tab of the PrintBoss Form .


#Text

See #Text Command.


#VGrid

#VGrid X1, Y1, X2, Y2, Xa, Xb, ... Xz [, Options]

This command creates a frame and allows vertical lines to be drawn relative to the frame. Vertical lines are measured between the X1 and the X2 coordinates of the grid. For instance, if X1 is4.700 and X2 is 8.100, the vertical lines can only be numbers between 4.700 and 8.100.

This command is useful when creating the background for the detail section of an invoice. Further modifications, such as a corner radius and edge shading, are possible through using the options.

X1, Y1: Location of top left corner in inches from the left edge of paper and top of paper. May be entered to thousandth of an inch.

X2, Y2: Location of bottom right corner.

Xa, Xb … Xz: Any number of lines drawn vertically down the frame. Each line is defined as the distance from the left edge of the page.

For example, to create a box the width of the check with three columns, the #VGRID command would be used as follows:

#VGRID 0.250, 0.500, 8.250, 4.000, 2.000, 4.000, 6.000

This command will produce a frame with three vertical lines in it. The first vertical line will be 2 inches from the left edge of the page, the second vertical line will be 4 inches from the left edge of the page, and the third vertical line will be 6 inches from the left edge of the page.


#VText

#VText Xc, Y, "Font/Size", Spacing, "<Text>"

This command allows the text to be printed vertically. This is often used on invoices, credit notes, and purchase orders for the Sold To and Ship To address boxes.

The "c" after the X coordinate centers the text. For example:

#VText 1.15c, 3.00, "Arial/10", .14, "Ship To".

This can also be used for words or phrases that print vertically, such as the "Pay to the order of" that is used on a check. Each of the words are vertically aligned with each other. An example of this type of command is:

#VText 0.38, 9.1, Arial/8, 0.180, "PAY,,,TO THE,ORDER,OF"

The commas in "PAY,,,TO THE,ORDER,OF" indicate a 0.180" blank line before printing the next line of text.


Grid Drop Down Line/Lines Across Editor

The Grid Command Properties window has two additional table windows that can be opened by clicking on drop down arrows. They are:

Grid Drop Down Line Editor

Grid Lines Across Editor

These tables provide an easier format to add vertical and horizontal lines to the grid. Each row is a new line with the distance specified from the left edge or the top of the grid. The line width, offset, end, and color may also be specified. If no end is specified, the line will continue to the edge of the grid. The default width is 0.009 and the default color is black. The color can be changed to Shade. The Offset and Distance from grid columns are blank by default.


# Text

Overview

The #Text command has many parts and can be qualified in different ways that are unique compared to all other commands. Therefore, this command has been given a single chapter to explain the different options available. The discussion is broken down into two section. The first section deals with #Text commands accessed from views of a form (Document View). The second sections deals with the #Text command when editing the textual scripts in the form editor (RunTime Objects, Footer Objects, and Page Back Objects).

The following are links to topics concerning editing text from Document View:

Document View

Delete Text

Edit Text

Insert Text

Data Present

Form Editor

The following are functions available for the #Text command in scripts:

Substitute Functions

Inline Functions


Document View

To edit, insert, or delete text, it is often easiest to use the Document View of a Form File.

Select Edit/Form Files from the PrintBoss Master Application. Select the form you wish to edit and click the View button. This will open a view of the form. Clarity will depend on the monitor's size and resolution.

Around the edge of the document, a light blue border indicates the margins or "unprintable" area of the page. This will adjust according to the Windows printer selected within the PrintBoss program and the orientation of the form.

Above the ruler to the far left is a drop down menu that allows adjustment to the size or "zoom" of the view.

A copy number appears to the right of the view size. If there are multiple copies active for this form, choose the incremental copy number with the arrows. Any conditional items based on copy number will be reflected in the view.

The matching coordinates field provides the X and Y coordinates in inches at the cursor point or the top left corner of a selected object.

When duplex printing is turned on for the form, a button will appear indicating if the view is of the Front or Back of the form. Click on the button to toggle between sides.

The simulated document amount field is used to test objects that appear conditionally based on an Amount Range. Initially, the dollar value is set to 0.00. Enter an amount to test an AmntRange condition.


Data Present

When viewing a form in edit mode, the form will be void of accounting data. Bank account information will be present based on the bank record selected from the list at the bottom of the Forms Select window. You may choose a different bank by clicking Close in the current form or view, select a new account from the Current Bank drop down menu, and click the View button again.

Any editing done to a form in this view will affect all accounts that use this form, not just the bank account currently viewed.


Delete Text

Text deleted in a View will affect ALL accounts and users who print to this form. To delete text, click once on the text object. The text will be highlighted. Right click on the highlighted object and select Delete Current Object. This will prompt a confirmation. Click Yes to delete the object.


Edit Text

There are two ways to open text currently in the form: 1) double click on the text, or 2) click once to highlight the object, then right click and choose Edit Current Object.

The Text Command Properties dialog will open with properties specific to this text item. If the text is the value of a variable, that variable name will appear in the Text field. Variables will have curly brackets {} around the variable name.

The dialog may also represent other types of text, such as VText and Paragraph . These will have slightly different dialog names and options.

Adjust the coordinates listed in the upper left of the dialog box to change the placement of the text. These coordinates are in INCHES and measure from the left edge of the piece of paper to the left edge of the justified text (Left, Center, Right) and from the top edge of the piece of paper to the TOP edge of the justified text (Top, Middle, Bottom). The default justification for the text is top and left.

Click on the red question mark to the right of the Type Face field and browse to any font available on your system to change the style of the current font. Adjust the point size and quality of the font as desired. Qualities available for fonts include:

Italics

Bold

Underline

StrikeOut

ALL CAPS

Text Color - (If the printer does not support color, than the text will be printed in a shade of gray)

Reverse Print

Mirroring

Pitch for fixed pitched fonts only (Courier, Line Printer, Letter Gothic)

Orientation

Width

The condition field is at the bottom of the dialog. Click on the button to the right of this field to choose a condition from the Condition Function Template Selector. Edit the specifics in the Condition field.

If complex conditions need to be placed on this text, it is often best to edit the conditions in the appropriate objects tab of the Form Editor .

See Also: #Text Command


Insert Text

To insert text from the view, right click anywhere in the view and select Insert an Object, then select Text. This will open the same dialog used for editing preexisting text. Enter the values desired for this text.

NOTE: All items inserted from the View will be placed at the end of the Footer Objects tab of the form (or the Page Back Objects tab if the object was placed on the back of the form). If the text object needs to be in a different tab for proper formatting, you will need to cut and paste it in the Form Editor window.

It may be convenient to view a list of available assignments when adding text that will be filled with the value of a variable. You can open the Form Assignments window from the form View by right clicking anywhere in the view and selecting Display Assignments. This will open a window that may be re sized or moved to the side for reference. A Text Command Properties dialog box will open when a variable is dragged from the assignments list onto the view of the form. The dialog is based on the placement made by the cursor with that particular variable. Edit and click OK to accept your changes or click Cancel to undo.


Form Document Editor

#TEXT X, Y, "FontDescriptor", "TextString"

When the #TEXT command is used, the text specified is printed with its top left corner placed at the X and Y position. Any font that is available to the printer can be used on a PrintBoss form by entering the font description as the "FontDescriptor" variable in the #TEXT command.

There is a #Text command for every text object in the script that defines its properties. This script can be viewed by opening the form editor and examining the RunTime , Footer , Page Back, or Proprietary sections of the form. Edits can be made directly in the script window or, once the command exists, you can double click on the command to view the Text Command Properties dialog. A line editor parses out the command so it appears in an easily editable dialog window. The following identifies the parameters that the parser uses:

X, Y: This represents the location of the top left corner of the text, in inches, from the left and top edges of the paper. This may be entered in thousandth of an inch. When the X number is followed with a letter "L", "C", or "R" (case doesn't matter) it will justify the text to the Left, Center, or Right. The text is left justified by default.

Font Descriptor: The font selection button (represented by a red question mark) on the Text Command Properties dialog in PrintBoss opens the Windows Font dialog. Once a font is selected, the descriptor will be built automatically .

The actual components of the font descriptor are:

Typeface / Point Size / Options

PrintBoss allows for a few abbreviated Type Faces.

UV Universal*

TM Times Roman

CR Courier

LP Line Printer*

LG Letter Gothic

* Not recommended as this is not available in newer printers.

The font options are:

Font Option Description

I Italics

B Bold

@nnn Rotation of fonts in degrees (-360 …0 … 360)

+ Specifies any mirrored blocks use original point size

Pnn.nnn Overrides any Fixed or Proportional pitch with this pitch

Text String: This is the actual string that will be printed. It can be delimited with:

"Quotes"

[Brackets]

{Braces}

~tildes~ - Use one of the other options if the text includes a tilde (or has a chance of including a tilde).

÷division symbols÷ - This is a unique delimiter in PrintBoss and is created by using Ctrl + ' (apostrophe) and will appear as an old division symbol. This delimiter is recommended when other options are likely to appear in the text string.

«Double carats»- This is another unique delimiter in PrintBoss and is created by using Ctrl + < or > (carats) . This delimiter is also recommended when other options are likely to appear in the text string.

'Single Quotes' - These are not recommended if the text could possibly include apostrophes.

Care needs to be taken to choose a delimiter that won't occur in the string, especially when the text is an assignment from captured data. Some examples of #Text commands commonly found in PrintBoss Form files include:

#Text .3, 7.8, "Arial/14/B", ÷{BCName}÷

(This places the company name in the upper left of the check in a 14-point Bold Arial font.)

#[C,0]Text 4C, 10.5, "Times Roman/10/I", "Original"

(This places the label "Original" centered on the bottom of the original document, but not on copies.)


Inline Functions

When setting up the Header/Details/Footer sections for Positive Pay , there are a number of inline and substitute functions in PrintBoss that are helpful. All are listed by right clicking in the script area and these functions can be nested. A few of the most commonly used functions are described below:

{CurrentDate: 'mm/dd/yyyy'}

{CurrentTime: 'hh:mm:ss tt'}

{FormatNum: '<NumStr>', WholeDigits, DecimalDigits, '<LeftFill>', 'RtFill', 'Options'}

{RECDate: 'mm/dd/yyyy'}

{RECTime: 'hh:mm:ss tt'}

{BatchAmnt}

{BatchCount}

{BatchChkNoSum}

{FileAmnt}

{FileChkNoSum}

{FileCount}

{PosPayFilename}

{PosPayFileExt}


{BatchAmnt}

{BatchAmnt}

This function returns the sum of all the checks in a batch and is normally used in the Footer tab of a Positive Pay file. Use BatchAmnt along with the FormatNum Substitute Function to determine the length of the BatchAmnt results.

Ex: "{FormatNum: ÷{BatchAmnt}÷, 11, 2, '0', '0', Hide}"


{BatchCount}

{BatchCount}

This functions returns the total number of checks in a batch and is normally used in the Footer tab of a Positive Pay file. Use BatchCount along with the FormatNum Substitute Function to determine the length of the BatchCount results.

Ex: "{FormatNum: ÷{BatchCount}÷, 8, 0, '0', '', Hide}"


{BatchChkNoSum}

{BatchChkNoSum}

This function returns the sum of the check numbers in a batch and is normally used in the Footer tab of a Positive Pay file. Use BatchChkNoSum along with the FormatNum Substitute Function to determine the length of the BatchChkNoSum results.

Ex: "{FormatNum: ÷{BatchChkNoSum}÷, 10, 0, '0', '', Hide}"


CurrentDate: 'mm/dd/yyyy'

CurrentDate

CurrentDate: 'mm/dd/yyyy'

This function inserts the current date formatted according to the mask. The Windows regional time mask will be used when no mask is passed. The following are some of the most frequently used date masks

mm 2 digit month; if the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed

mmm 3 character name of month

dd 2 digit day

ddd 3 character name of day

yy 2 digit year

yyyy 4 digit year

j day of year (Julian date 1-365)

jjj day of year with leading zeros (Julian date 001-365)

Different characters or spaces may be used to separate the different fields of the date. This function is sometimes used in Positive Pay files.

Examples: {CurrentDate: 'mm/dd/yyyy'} = 05/20/2010

{CurrentDate: 'MMM DD, YYYY'} = May 2, 2001


CurrentTime: 'hh:mm:ss tt'

CurrentTime

CurrentTime: 'hh:mm:ss tt'

This function inserts the current time formatted according to the mask (not all parts are necessary).

hh 2 digit hour with leading zero

mm 2 digit minute with leading zero; if the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed

nn 2 digit minute with leading zero

ss 2 digit seconds with leading zero

tt forces a 12 hour clock with "am or "pm" in place of tt


{FileAmnt}

{FileAmnt}

This function returns the sum of all the checks in a file and is normally used in the SignOff tab of a Positive Pay file. Use FileAmnt along with the FormatNum Substitute Function to determine the length of the FileAmnt results.

Ex: "{FormatNum: ÷{FileAmnt}÷,11, 2, '0', '0', Hide}"


{FileChkNoSum}

{FileChkNoSum}

This function returns the sum of the check numbers in a file and is normally used in the SignOff tab of a Positive Pay file. Use FileChkNoSum along with the FormatNum Substitute Function to determine the length of the FileChkNoSum results.

Ex: "{FormatNum: ÷{FileCheckNoSum}÷,10, 0, '0', '', Hide}"


{FileCount}

{FileCount}

This functions returns the total number of checks in a file and is normally used in the SignOff tab of a Positive Pay file. Use FileCount along with the FormatNum Substitute Function to determine the length of the FileCount results.

Ex: "{FormatNum: ÷{FileCount}÷,8, 0, '0', '', Hide}"


FormatNum: '<NumStr>', WholeDigits, DecimalDigits[,'<LeftFill>'[, 'RtFill'[, 'Options']]]

FormatNum

FormatNum: '<NumStr>', WholeDigits, DecimalDigits, '<LeftFill>', 'RtFill', 'HideDec/Commas'

This function can format the structure of a numeric value and is often used in Positive Pay files. The Format includes a specific number of Whole Digits and Decimal Digits. Empty spaces to the left will be filled with the LeftFill character and decimal places to the right with the RtFill character. Often the decimal point is implied. If the last parameter has an H, the decimal will be hidden

The 'Options' are as follows:

H Hide decimal

C Comma

For Example:

"{FormatNum: '{DocAmnt}', 8, 2, '0', '0', 'H'}"

The {DocAmnt} is the amount of the document. If the amount was $123.45, it would appear as:

0000012345


{PosPayFileName}

{PosPayFileName}

This function returns the name used for the current positive pay file.


{PosPayFileExt}

{PosPayFileExt}

This function returns the extension used for the current positive pay file.


RECDate: 'mm/dd/yyyy'

RecDate

RecDate: 'mm/dd/yyyy'

This function inserts the date at the time the PrintBoss work file is generated. The format order may be changed. The following are the most commonly used masks:

mm 2 digit month; if the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed

mmm 3 character name of month

dd 2 digit day with zero fill

ddd 3 character name day

yy 2 digit year zero filled

yyyy 4 digit year

Different characters or spaces may be used to separate the different fields of the date. The following is an example from an ACH file:

"{RecDate:YYMMDD}" = 100502


RECTime: 'hh:mm:ss tt'

RecTime

RecTime: 'hh:mm:ss tt'

This function inserts the time when the PrintBoss work file is generated.

hh 2 digit hour

mm 2 digit minute; if the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed

ss 2 digit seconds

tt forces a 12 hour clock with "am or "pm" in place of tt

The following is an example from an ACH file:

"{Pad:«{RecTime:hhmm}»,4,T,'0'}"

The Pad function fills the time so 9:45 displays as 0945. Without the pad, the time would display as 945.


Substitute Functions

There are times when a text command needs to be limited, formatted, or altered to account for extraneous circumstances. For this reason, there are substitute functions available for the #Text command. The parameters for these functions are as follows.

Chr: '<ASCII Value>'

CityStateZip: 'CityStateZipstring'

CurrentDate: 'mm/dd/yyyy'

CurrentTime: 'hh:mm:ss tt'

Delete: '<Str>', <StartingCharIndex>, <NumToDelete>

DocAmnt: /HidDec /Zero /Width:nn /Commas /Trim

DocWordAmnt: <Line 1 or 2>, <LineLength>, <Currency>, <Style A or B>

Eval: '<Numeric Str>'[, <Num of Decimal Places>]

FormatNum: '<NumStr>', WholeDigits, DecimalDigits, '<LeftFill>', 'RtFill', 'HideDec/Commas'

FormatDate: '<DateInExpr>', 'mm/dd/yyyy' [, AddDays [, AddMonths [, AddYears [,/EOM]]]]

FormatDate2: '<DateInExpr>','<DateInExprMask>', 'mm/dd/yyyy' [, AddDays [, AddMonths [, AddYears [,EOM]]]]

If: '<Condition>',<TrueStr>',<FalseStr>'

Pad: '<Str>', <Len> [, <Left, Rt, or Trunc> [, <PadChar>]]

Pos: '<SubStr>', '<LookinStr>' [,<Occurrences> [, Uppercase]]

PutDashInZip: '<ZipCodeString>'

RECAmnt: '#,###,##0.00'

RECDate: 'mm/dd/yyyy'

RECTime: 'hh:mm:ss tt'

StrExtract '<OrigString>', '<Delimiter>', <Occurrence>[, <mode>]

StrStuff: '<OrigString>', '<StrToStuff>', <StartCharIndex>

StrTran: '<OrigString>', 'SearchKey', 'ReplKey', ['Options']

SubStr: '<Str>', '<StartCharNo>', <Length>

Trim: '<Str>' [, <Left/Right/Both>]

TrimAll '<Str>'

WordAmnt: <Amnt>[, <Line1or2>[, <LineLength90>[, <CurrencyDollars> [, <Style AorB>]]]]

NOTE: Parameters enclosed in brackets are optional.


Chr:'<ASCII Value>'

Chr

Chr: '<ASCII Value>'

Sometimes it is necessary to insert a specific ASCII character regardless of which font is being used. This function allows insertion of ASCII characters.

This function is often used for carriage returns in Positive Pay .

EXAMPLE: chr(13)+chr(10)


CityStateZip: 'CityStateZipstring'

CityStateZip

CityStateZip: 'CityStateZipstring'

This function is used to clean up data when all three fields are included in a single text string. It will remove extra spaces (over three consecutive spaces) and add a comma after the city if necessary. It does not add spaces, however.

Example: #[!E,÷{PayeeAds3}÷]Text {LastLineX}, {LastLineY+.18}, 'Arial/12', «{CityStateZip: ÷{PayeeAds3}÷}»


Delete: '<Str>', <StartingCharIndex>, <NumToDelete>

Delete

Delete: '<Str>', <StartingCharIndex>, <NumToDelete>

Sometimes it is necessary to delete some of the characters in a string. This function will delete the characters starting at a specific location for the number of characters indicated. This is most often used to eliminate extra spaces in the middle of a string that repeat at the same location.


DocAmnt: /HidDec /Zero /Width:nn /Commas

DocAmnt

DocAmnt: /HidDec /Zero /Width:nn /Commas /Trim

This function is used for specific formatting of the document's amount as recorded in the work file Amount column.

HidDec determines if the decimal is visible

Zero number of zeros to follow the decimal

Width:nn nn indicates the number of characters the maximum width of the value will be

Commas indicates whether or not commas should delineate thousands

Trim trims the value


DocWordAmnt: <Line 1 or 2>, <LineLenght>, <Currency>, <Style A or B>

DocWordAmnt

DocWordAmnt: <Line 1 or 2>, <LineLength>, <Currency>, <Style of A or B>

This function fundamentally calls the WordAmnt function using the current DocAmnt as the amount to be converted to words. See WordAmnt function for a description of the parameters. There are several different syntax for this command relating to whether Line1or2 is part of the function name or the first character. To demonstrate its usage, an example of each syntax is displayed with its equivalent {WordAmnt:} expression:

DocWordAmnt Expression Equivalent WordAmnt expression

{DocWordAmnt: 1,90} {WordAmnt: "{DocAmnt}", 1, 90}

{DocWordAmnt1: 90} {WordAmnt: "{DocAmnt}", 1, 90}

{DocWordAmnt1.90} {WordAmnt: "{DocAmnt}", 1, 90}

{DocWordAmnt:1.90, "Canadian Dollars"} {WordAmnt: "{DocAmnt}", 1, 90, "Canadian Dollars"}


Eval: '<Numeric Str>'[, <Num of Decimal Places>]

Eval

Eval: '<Numeric Str>'[, <Num of Decimal Places>]

This function allows for the evaluation of mathematical equations. The number of decimal places displayed in the answer may be fixed by the second parameter. Eval will use zero as a default if the Num of Decimal Places parameter is missing.

For example: #Assign X, ÷{Eval:"2.85+({n}*0.2)",3}÷

This function assigns the X value for placing detail on a deposit slip. The value is calculated to 3 decimal places. This assignment is included in a For loop where {n} is defined as 1 to 27. The loop starts at 1and increments on each pass until it reaches 27.


FormatDate:'<DateIn>', 'mm/dd/yyyy' [, AddDays [, AddMonths [, AddYears [,/EOM /FOM]]]]

FormatDate

FormatDate: '<DateInExpr>', 'mm/dd/yyyy'[, AddDays [, AddMonths [, AddYears [,/EOM/FOM]]]]

To format a date, indicate the date to format (or a variable referencing a date) and a mask with the proper format. The mask may change the order or the separators as desired.

The AddDays/AddMonths/AddYears are considered 0 by default. Inserting positive or negative numbers in these parameters will shift the date accordingly.

The "/EOM" option returns the end of month (the last day of the month for the DateInExpr) when included in the string.

The "/FOM" option returns the first day of the month for the DateInExpr when included in the string.

The following is an example from a Positive Pay file:

"{FormatDate: ÷{DocDate}÷, 'MMDDYYYY'}"


FormatDate2:'<DateIn>','<DateInMask>', 'mm/dd/yy' [, AddDays [, AddMonths [, AddYears [,/EOM ]]]]

FormatDate2

FormatDate: '<DateInExpr>', '<DateInExprMask>', 'mm/dd/yyyy'[, AddDays [, AddMonths [, AddYears [,/EOM]]]]

Same as FormatDate, except this function also allows identifying the DateIn format in case it is different than the Windows' ShortDateFormat.

For example:

"{FormatDate2: ÷{DocDate}÷, 'MM/DD/YYYY','MMDDYY'}"


If: '<Condition>', '<TrueStr>', '<FalseStr>'

If

If: '<Condition>', '< TrueStr >', '<FalseStr>'

This function is used to define both results when a condition is evaluated. For example:

If: "[Flagged,{BFlag2}]", "Canadian Funds", "US Funds."


Pad: '<Str>', <Len> [, <LorR> [,<PadChar>]]

Pad

Pad: '<Str>', <Len> [, <Left/Right/Truncate> [, <PadChar>]]

This function determines the length of the string by adding extra characters to fill in when the string is shorter than required. This function is often used is Positive Pay files.

  • If no character is defined, spaces will be the default extra character.
  • If no direction is designated, the extra characters will be added to the right edge of the string. However, the parameter must remain in the function.

For Example:

"{Pad: '{DocNo}', 10, R, '0'}" or "{Pad: '{DocNo}', 10, , '0',}"

The {DocNo} is a variable for the document number. If the check number is 1234, it would appear as:

1234000000


Pos: '<SubStr>', '<LookinStr>' [,<Occurances> [,Uppercase]]

Pos

Pos: '<SubStr>', '<LookinStr>' [,<Occurrences> [,Uppercase]]

This function returns the position of a sub sting within a string. For example:

#[View Only]Text 8.200R, 6.825, 'Arial/12', «{Pos:'$',÷{Deposit}÷, 1,}»

Returns the character position of the first instance of a dollar sign in the string Deposit and displays it in the view at the specified coordinates.


PutDashInZip:'<ZipCodeString>'

PutDashInZip

PutDashInZip:'<ZipCodeString>'

This function allows a dash to be inserted into a zip code and is typically used when the accounting software prints a zip code with the complete 9 digit American zip code minus the proper formatting.


RECAmnt: '$$$$$.cc'

RecAmnt

RecAmnt: '#,###,##0.00'

The amount of the document at the time the work file was generated. The only parameter is the mask and it is optional.

# digit placeholders that are suppressed if not needed

0 digit placeholders that force a zero if no other amount is passed


StrExtract: '<OrigString>', '<Delimiter>', <Occurrence>[, <mode>]

StrExtract

StrExtract: '<OrigString>', '<Delimiter>', <Occurrence>[, <mode>]

This function extracts a substring from within a string. The original string is divided into substrings separated by whatever delimiter is specified.

OrigString: Original string with substrings delimited by the delimiter

Delimiter: This will delimit the substrings. Often it is a character such as a comma or semi-colon, but it may be multiple characters. See CDF note below.

Occurrence: Identifies which substring occurrence within the original string will be selected. If this value is negative, it will count occurrences from the right. So an occurrence of -1 would return the last substring in the original string.

Mode: Enter any of the abbreviations L, R, A, and U to indicate Left trim, Right trim, All trim, and Uppercase.

The following example removes the asterisks printed before the Word Amount by the accounting software:

#Text 0.675, 9.102, 'Arial/10', ÷{StrExtract:«{WordAmnt}», «**»,1} Dollars÷|Canadian Style cheques

These examples extract the document number from a string:

#Assign DocNo1, ÷{StrExtract: «{DocLine}», ':', -3, A}÷

#Assign DocNo, ÷{StrExtract: «{DocNo1}», ' ', 1, A}÷

CDF NOTE: A special type of string is called a "Comma Delimited String". In this case, each substring is delimited by a comma, but it may also have the substring itself delimited with double quotes. This enables the substring to have commas within the substring. Enter CDF for the delimiter in this case and PrintBoss will look for the double quote substring delimiters and treat them appropriately.


StrStuff: '<OrigString>', '<StrToStuff>', <StartCharIndex>

StrStuff

StrStuff: '<OrigString>', '<StrToStuff>', <StartCharIndex>

This is used to "stuff" a character or characters (StrToStuff) into a string (OrigString) at a particular point (number of spaces from left). If the StartCharIndex is 1, the characters will be stuffed in front of the OrigString. If the StartCharIndex is negative, it will locate the insertion point by counting characters from the end of the string (right) to the left.


StrTran: '<Str>', '<StartCharNo>', <Length>

StrTran

StrTran: '<OrigString>', 'SearchKey', 'ReplKey'[, 'Options']

This function allows a substring (SearchKey) to be replaced with another substring (ReplKey). If a number is entered for options, the function will limit the number of replacements to that number starting from the left. If a negative number is entered, the count is from the right. For example, an option of -1 will replace the last occurrence in a string.

The following example removes spaces from a date string:

#Assign DocDateExpStripped, ÷{StrTran:'{DocDateExp}', ' ', ''}÷


SubStr: '<Str>', '<StartCharNo>', <Length>

SubStr

SubStr: '<Str>', '<StartCharNo>', <Length>

This function is used to pull a designated number of characters from a string.

The following example removes asterisks after the check amount:

#Text 8.00R, 8.7, "Arial/12", «{SubStr: ÷{DocAmnt}÷,2,}»|Canadian Style cheque


Trim: '<Str>' [, <Left/Right/Both>]

Trim

Trim: '<Str>' [, <Left/Right/Both>]

This function is used to eliminate the spaces at either end of a string based on L, R, or B as a second parameter. The default is R when no second parameter is provided.


TrimAll:'<Str>'

TrimAll

TrimAll: '<Str>'

This function trims the spaces from both ends of the string. It is the same as using the Trim function with the option of "B" or "both" selected. The following example removes spaces from the check date;

#Text 7.1C, 8.24, 'CR/12/B', ÷{TrimAll:{DocDate}}÷


WordAmnt: <Amnt>, <Line1or2>, <LineLength>

WordAmnt

WordAmnt: <Amnt>[, <Line1or2>[, <LineLength90>[, <CurrencyDollars>[, <Style A or B>]]]]

This function takes the numeric value of a variable and turns it into English text. Based on the length given, the function will try and put the returned text onto line 1. If need be, it will wrap it to line 2. Each line can have up to 90 characters, but this may be restricted to a shorter amount (to fit space). When an entry in the form uses both line 1 and line 2, they must use the same specified maximum line length.

All parameters besides <Amnt> have defaults. The default value will be used if any parameter is blank.

Amnt: amount to be converted to text expression

Line 1 or 2: identifies whether the returned text will be the text from line 1 or line 2; the default is line 1

LineLength: length of line based on characters in the line; the default is 90

Currency: the currency phrase will use this in the text; the default is "Dollars"

Style A or B: the default style is A

Style A example: Ten and 11/100 Dollars

Style B example: Ten Dollars and Eleven Cents

For example:

#Text 0.708, 8.88, 'Arial/10', ÷{WordAmnt: «{DocAmnt}»,1,120,,}*****÷


Conditional Commands

Each PrintBoss command can be executed based on a condition that is evaluated at the time the line is processed. For example, a logo may be printed based on the existence of a logo file name in the bank record, or a second signature line on a check may be printed if the check amount is above $1000. The conditional statement is always enclosed in brackets, and is inserted between the # character and the command name. (For example: #[Copy, 1]Text . . . ).

More than one condition can be entered by chaining together the bracketed conditions. They are treated as ANDs. Any condition which is preceded by an exclamation mark '!' has its logic reversed. You may insert double pipe symbols between a condition to specify "OR" with the next condition. As a general rule conditions do not accept parentheses.

The following are examples of commands that use condition statements with multiple conditional expressions in each. Notice they are all assumed to be ANDed together, unless the double pipe symbol for OR occurs between them.

#[Copy,1,2][AmntRange, 0, 200]Text 1,1, Arial/12, "Prints on Copy 1 and 2 if amount is less than 200"

#[Inu, "Jones","{Comp}"]||[Inu, "ABC", "{Comp}"]Text 1,1, Arial/12, "Jones or ABC in Company Name"

#[!Copy,0][Flagged, {BFlag2}]Text 1,1, Arial/12, "Prints on all Copies except 0 if the bank's Flag 2 is checked"

Note that all conditional operators can be abbreviated with just enough characters to make it unique. Any characters that follow are just helpful to remember the condition when viewing the line of code. For example, Fi is enough to register as the FileExists condition, or As is enough to register as the Assigned condition, or E as the Empty condition.

The following conditions are available for use with the form commands:

= (equals sign) 'String1', 'String2', 'CompareOptions' (includes <, >, e, and u)

AmntRange LoRange, HiRange, TextAmount

Assigned '<Name of assigned variable to test>' - Do Not include variable braces

Captured '<Name of captured variable to test>' - Do Not include variable braces

Copy '<String of Digits>' - True if current copy is in list, i.e. C,0 - Original, C,1 - Copy 1, etc.

Dates= '<Date1>', '<Date2>' - True if dates are equal; works with > as well

Empty 'StringToTest' - Returns True if item tested is empty

False The condition is FALSE. This is often helpful in debugging conditional statements.

FileExists '<FileName>'

Flagged '<Bank Flag name>'

In 'StringFragment', 'StringToSearchIn'

Inu 'StringFragment', 'StringToSearchIn' - not case sensitive

PreLoadLoop Evaluates to true during the PreLoad Loop process

True The condition is TRUE. This is often used in debugging conditional statements.

Type '<SourceTypeList>'

ViewOnly This condition sets an item to View, but not to print.


=,'String1', 'String2', 'CompareOptions'

=

=,'String1', 'String2', 'CompareOptions'

Returns true if String1 is identical to String2 up to the length of String2. For example, comparing "12345" with "123" would be true, but "123" compared to "12345" would be false.

The Compare options are not case sensitive and include:

E Exact match rather than stopping at the number of characters in String2

U Case Insensitive (converts all to upper case before compare)

T or R Right trim both strings before compare

A or B trim both sides of both strings

trims both sides of both strings

The following example will print the words "No Charge" if the value of {Dept} is equal to "accounting" or "Accounting".

# [=, 'Accounting', {Dept}, U]Text1,2.1, 'UV/12', 'No Charge'

==

==, 'NumericValue1', 'NumericValue2'

Returns true when NumericValue1 is EQUAL to NumericValue2. Since this option compares the numeric values, 0 == 0.00 is true.

<>

<>, 'NumericValue1', 'NumericValue2'

Returns true when NumericValue1 is NOT EQUAL to NumericValue2.

>=

>=, 'NumericValue1', 'NumericValue2'

Returns true when NumericValue1 is GREATER THAN OR EQUAL TO NumericValue2

Other combinations may also be used as options.


AmntRange, LoRange, HiRange, TextAmount

AmntRange

AmntRange, LoRange, HiRange [, TextAmount]

The Amount Range returns true if the TextAmount falls on or within the given range. Most often the TextAmount is omitted, in which case the Default Variable {DocAmnt} is used as the text amount. Also, if the HiRange is omitted or set to 0, there will be no upper limit.

The following conditions will print a second signature line on checks 1000 dollars and above. One of the lines makes use of the exclamation point "!" to reverse the logic, and the second drops the HiRange parameter to make it open-ended.

#[!AmntRange, 0, 999.99]Line 4.7, 9.7, 8.15, 9.7

#[AmntRange, 1000, ]Line 4.7, 9.7, 8.15, 9.7


Assigned, '<Name of assigned variable to test>'

Assigned

Assigned, '<Name of assigned variable to test>'

Returns true if the variable has been assigned explicitly (i.e. #Assign 'EmailTo', "support@wellspringsofware.com") or as a text object at a captured coordinate (#Assign 'EmailTo', ' ', 1.5, 4.5). DO NOT include braces around the variable name. Note that the value of a variable can be blank, but the variable is still considered assigned when the #Assign command exists.

#[Assigned, 'CompName']PIC 0.30, 7.8, 'CompLogo.jpg'

If the variable name is blank, it will return true as long as there are no unassigned variables on the remainder of the line.

#[Assigned]Text 5.00, 5.00, "Arial/10", "This faxed {DocType} has our new address."


Captured, 'Name of assinged variable to test>'

Captured

Captured, 'Name of assigned variable to test'

Returns true if the assigned variable has a value as the result of raw text being captured. This is different than Assigned. Before a variable can be Captured, it must first have an #Assign command that assigns the variable and defines the coordinates to capture a value. If the raw data never has a field that falls into the specified coordinates, the data is NOT captured, but it IS Assigned.


Copy, 'String of Digits'

Copy

Copy, 'String of Digits'

Returns true if the copy being printed is included in the string of digits where 0 represents the original document and 1 ... 7 represents copies 1 through and including 7. For multiple copy numbers, you may use any character to separate the numbers except an asterisk or no separator.

If an asterisk (*) appears after a character, then the object is only printed in the block mirrors section. This is useful for the Block command on 11" checks. The block does not print on the original copy, but it is nice to have the block frame print on the Block Mirrors on the top tear off copy of a check.

If a B appears after the copy number, the object is only printed in the body of the document. It will not appear in the bloc mirrors sections.

NOTE: If no conditional operator is specified inside of condition brackets, then the COPY operator is assumed. Following are some examples:

#[Copy, 23]TEXT 5.00, 9.00, "TM/8", "This is the sample text"

#[COPY, 0*123]Block .250, 7.6, 8.25, 10.5, /R.1

#[0*123]Block .250, 7.6, 8.25, 10.5, /R.1

#[Copy, 1]TEXT 4.5, 10.5, '5', 'Customer File Copy'


Dates

Dates=, Dates>, or Dates<

Dates=, '<Date1>', '<Date2>'

This returns true if the date1 and date2 compare as indicated with the =, >, or < conditions. If date2 is omitted, then the current date is assumed to be date2.

The format of the dates are assumed to be the Windows' ShortDateFormat. An alternate format for the date string can be specified by appending a semicolon followed by the mask to the date string . For example:

[Dates=, "4/1/05 ; m/d/y"] This string is true if the current date is Apr 1, 2005.


Empty, 'StringToTest'

Empty

Empty, 'StringToTest'

Returns true if the StringToTest is empty.


Flagged, 'StringToTest'

Flagged

Flagged, '<StringToTest>'

This condition returns true if the StringToTest begins with any of these characters: "YyTt" (as in Yes or True). It is often used by the 5 bank variable fields called {BFlag1} … {BFlag5}, though it will work testing any string.

#[Flagged,{BFlag1}]Line 4.7, 9.6, 8.149, 9.6, '' | 2nd Signature Line


FileExists, 'FileName'

FileExists

FileExists, 'FileName'

This condition evaluates to true if the file specified by the FileName exists.

The following example will only print the logo if it is present on the specified drive:

#[File,'E:\Logo.BMP']PIC 0.4, 7.9, 'E:\Logo.BMP'


In, 'StringFragment', 'StringToSearchin'

In

In, 'StringFragment', 'StringToSearchIn'

Returns true if the StringFragment exists anywhere in StringToSearch. This condition is CASE SENSTIVE.

The following example whites out the dollar amounts when the word Packing occurs anywhere in the assigned variable DocDesc:

#[In, 'Packing', '{DocDesc}']Block 6.5, 4.5, 8.25,9.2, W


Inu, 'StringFragment', 'StringToSearchIn'

Inu

Inu, 'StringFragment', 'StringToSearchIn'

Same as In conditional command, but is NOT case sensitive.

The following example whites out the dollar amounts when the word Packing occurs anywhere in the assigned variable DocDesc regardless of case:

#[Inu, 'Packing', '{DocDesc}']Block 6.5, 4.5, 8.25,9.2, W


Type, 'Source Abbreviations'

Type

Type, 'Source Abbreviations'

This condition is useful to print objects only for specific types of source files.

Abbreviation Description

W Work Files

A Archive

S Samples in Utilities

H Hand Checks

F Form File Edit

For example, to disable a signature from printing when processing archive files the following line could be used:

#[Type, WSHF]SIG 4.7, 9.8, 'Your_Sig.SIG'

Using the "!" is identical and sometimes shorter:

#[!Type, A]SIG 4.7, 9.8, 'Your_Sig.SIG'


View Only

This conditional command sets an item to View, but not to Print.


Multi-Line Variables

Normally, a variable that is assigned or captured is a single line of text. If an assignment is made using #AssignS, then the variable may contain multiple lines of text, each line separated by a Carriage Return / Line Feed.

A few commands will accept a multi-line variable as is and process it as multiple lines. The #VText command is one example.

A few standard variables such as "EMailBody", "EmailTo", "EmailCC", and "EmailBCC" accept multi-line variables.

A particular line of a Multi-Line Variable may be referenced by appending a line number enclosed in square brackets as part of the variable reference. For example, the following assignment can be used to capture an unknown number of address lines.

#Assigns AddressLines, ,1.0-1.2, 8.0-9.5, BW

Then the third line could be printed as follows:

#Text 1, 1, Arial/12, "The third line of the address is: {AddressLines[3]}"

If you access the zero element, it will return the number of elements. So continuing with this example, the following loop could print all the address lines:

#Assign LastLineY , 7.9

#For n= 1 to {AddressLines[0]}

#Text 1, {LastLineY+.18}, "Arial/12", "Address Line {n}= {AddressLines[{n}]}

#Next n


PrintBoss Default Assignments

A few variables should always be assigned. They are stored in the PrintBoss work file database and enable helpful sorting and locating of records. They are used very often in conditions within a form. These variables include:

DocNo, DocAmnt, and DocRecip

If a PrintBoss Flag Trigger exists in the document (PB#Info, etc.), these will automatically be assigned from the PrintBoss Default Assignments. If data is coming from a text file that is being interpreted through a PrintBoss Text Capture Specification file , at least these 3 assignments should be made inside the capture specifications. Otherwise, be sure to assign these variables with #Assign commands.

NOTE: The {CChkNo} variable is usually automatically assigned the value of the "{DocNo}" variable.


Work & Archive Files

PrintBoss combines the print job when it is received with the elements of the assigned PrintBoss Form File in a database called a work file . This work file can be deleted, overwritten, or archived , depending on the settings selected within the PrintBoss Form.

Related Topics: Work File Archiving Options

Work File Locations

Accessing Work Files

Browsing Work Files


Work File Select

PrintBoss combines the print job when it is received with the elements of the assigned PrintBoss Form File in a database called a work file . The work file may be viewed, edited, deleted, or archived through the Work File Select window. This window is opened by clicking on the PrintBoss File menu and selecting Open Document Work Files.

The main window on the left of the Work File Select displays a list of work files. The buttons on the right apply to a selected work file.

Print - Opens the Print Copies Dialog. Additional choices can be set before the file is printed.

Browse - Opens the File Browse window where the selected form can be viewed, edited (right-click), or printed (Print Copies Dialog). A right-click will also open the Edit Form window.

Delete - Opens the Delete Records window for the selected work file. Deleted records cannot be restored.

Archive - Opens the Transfer Records window with delete and transfer (archive) choices for the selected work file.

Index - Creates an index file for the selected work file. This is not necessary when the work file only has a few records. The Index is used for sorting documents. There are seven filters for sorting.

Report - Opens the Work/Archive Reports window with choices on what to include in the report. An active printer must be setup in PrintBoss (File/Printer Setup) before this feature can be used.

Folder Browser - This button appears at the bottom of the window when Allow temporary folder change when browsing work file is selected under OPTIONS / CONFIGURATION. This button allows the user to view the work files of other PrintBoss users connected to the same server.

Multi Select - Select this button (bottom right side of the window, second from right ) to activate the ability to select more than one work file at once. Multiple work files only work with the Copy, Paste, and Delete Work File right-click functions. This button is set to single select by default.

List or Table - Click this button (bottom right corner of window) to change from List view to Table view for the work files.


Archive File Select

Work files may be archived through the form or the Work File Select window. This window is opened by clicking on the PrintBoss File menu and selecting Open Document Work Files. The archived work files can be viewed through the Archive File Select window (File/Open Document Archives).

The main window on the left of the Archive File Select displays a list of archived work files. The buttons on the right apply to a selected work file.

Print - Opens the Print Copies Dialog and allows printing or reprinting (if available) documents. Additional choices can be set before the file is printed.

Browse - Opens the File Browse window where the selected form can be viewed, edited (right-click), or printed (Print Copies Dialog). A right-click will also open the Edit Form window.

Delete - Opens the Delete Records window for the selected work file. Choose to delete just completed documents or all documents in the current work file. Deleted records cannot be restored.

Index - Creates an index file for the selected archive file. This is not necessary when the archive file only has a few records. The Index is used for sorting documents. There are seven filters for sorting.

Report - Opens the Work/Archive Reports window with choices on what to include in the report. An active printer must be setup in PrintBoss (File/Printer Setup) before this feature can be used.

Folder Browser - This button appears at the bottom of the window when Allow temporary folder change when browsing work file is selected under OPTIONS / CONFIGURATION. This button allows the user to view the archive files of other PrintBoss users connected to the same server.

Multi Select - Select this button (bottom right side of the window, second from the right) to activate the ability to select more than one archive file at once. Multiple archive files only work with the Copy, Paste, and Delete Work File right-click functions. This button is set to single select by default.

List or Table - Click this button (bottom right corner of window) to change from List view to Table view for the archive files.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Index Button

Indexing creates a file that is placed in your PrntBoss directory with an index to the contents of the work/archive file. This is only useful if you have a number of documents in a work file. Automatic indexing is turned on or off on the Form Editor Settings tab.

  • Click on the Edit menu in PrintBoss and select Form Files.
  • Select the desired form and click the Editor button.
  • Select the Settings tab. The Indexed file choices are on the right side of the screen.
  • Select the Work File Indexed at creation check box to turn indexing on for work files. This only applies when the work file is created. It does not apply to existing work files unless you choose to Overwrite Work File at Start of Batch.
  • Select the Archive File Indexed at creation check box to turn indexing on for archived work files.
  • Click on the Auto-Archiving Completed Records drop down menu and choose Overwrite Work File at Start of Batch if you want to automatically index the new work file for a form.
  • Click OK when you are finished.

Next you can process your form (print, email, fax, etc.) and locate a specific file using the Sort options from the drop down menu at the to of the File Browse window.

Indexing can be selected manually as well.

  • Click on the File menu in PrintBoss and select Open Document Work Files or Open Document Archives.
  • Select the desired work/archive file from the list.
  • Click on the Index button.
  • The Index Maintenance window provides the options to Leave with no index or Index file. You may also choose to Pack Database.
  • If the file was Indexed automatically through the Settings tab, your choices are to Disable Indexes or Rebuild Existing Index. Once the index file is created, it normally does not need to be rebuilt. You only need to Pack Database if file space is at a premium.


Work File Archiving Options

Each Form File needs to be to setup for automatic archiving in PrintBoss.

  • Click on the Edit menu in PrintBoss and select Form Files.
  • Highlight the desired form and click the Editor button on the Form Select window.
  • Find the Auto-Archiving Completed Records option at the bottom of the Settings tab. There are several choices in the drop down menu:

  • None (Manual) - The files are NOT archived. The work file appends with each print job.
  • Archive Completed Records - Work file documents are automatically transferred to Archives after successfully printing.
  • Archive Completed Records w/Prompt - PrintBoss will prompt the user to archive records after they are successfully printed.
  • Delete Completed Records - Records are automatically deleted after the documents are successfully printed. This is an irreversible delete. No backup of the files will exist and they are not moved to Archives.
  • Delete Completed Records w/Prompt - PrintBoss will prompt to delete the files after the documents are successfully printed. This is an irreversible delete. No backup or restore of the files will exist and they are not moved to Archives.
  • Overwrite Work File at Start of Batch - This is the default setting for standard forms. Each time PrintBoss receives a new print job, it will overwrite the documents in the work file with the new files when this options is selected. We recommend this option if no other method is specifically preferred.
  • Archive Records after _ days - PrintBoss displays a Days till Archiving field when this option is selected to allow the user to input when the completed records will be automatically transferred to Archives. The largest available value is 299999.
  • Archive Records after _ days w/Prompt - PrintBoss prompts the user to archive records after the specified number of days.
  • Delete Records after _ days - PrintBoss displays a Days till Archiving field when this option is selected to allow the user to input when the completed records will be automatically deleted. This is an irreversible delete. The largest available value is 299999.
  • Delete Records after _ days w/Prompt - PrintBoss prompts the user to delete records after the specified number of days. This is an irreversible delete.
  • Archive Work File at Start of Batch - Each time PrintBoss receives a new print job, it will archive the documents in the work file before populating the work file with the new batch.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Work File Locations

The work files reside in the Work folder in the PrintBoss directory. The name of the work file is less important when Printboss is installed on a single stand alone work station. When PrintBoss is installed on a network or in a shared environment, each workstation should have its own unique work file folder in the PrintBoss directory. This is defined as follows:

1) Open the PrintBoss Master Application (PB32.exe).

2) Click on the Options menu from the Master Application window and select Configuration.

3) Select the Settings tab.

4) The default value for the Private Folder Names for Work Files is {WinUserName}. This allows each folder to have a unique name. You may change the value if desired:

  • Highlight the field and type a name unique for this workstation. Do NOT use brackets { } or carets < >.
  • Do Not click on the down arrow and choose <Common>. This will cause the same folder to be used for all users.

5) Select the Set Globally check box to save these changes for all users.

6) Click OK to save these changes.

Changing the Work Files name will automatically generate a sub folder under the Work folder in the PrintBoss directory the next time this workstation runs a batch through PrintBoss. All subsequent work files generated by this workstation will use the new subdirectory.


Accessing Work Files

1) Open the PrintBoss Master Application (PB32.exe).

2) Click on the File menu and select Open Document Work Files.

3) Highlight the name of the corresponding form file from the Work File Select list.

At this point, there are several options. Press the F1 button while the Work File Select window is open to learn more about these options, or see Work File Select .


Accessing Archive Files

1) Open the PrintBoss Master Application (PB32.exe).

2) Click on the File menu and select Open Document Archives....

3) Highlight the name of the corresponding form file from the Archive File Select list.

At this point, there are several options. Press the F1 button while the Work File Select window is open to learn more about these options, or see Archive File Select .


Printing Work Files

When selecting a work file to print, PrintBoss will automatically select the entire work file and allow any copies (including the original) to be reprinted when the Allow Reprints option is selected. A copy that generates an email (rather than sent to a printer) can still be "reprinted". The same holds true for copies that generate faxes, positive pay files, and PDF files. (Emailing, faxing, and positive pay are not available in PrintBoss Express. Only positive pay is available in PrintBoss Select).

The Scope of the print job may be changed to print only a single document or a range of documents within the work file. A starting record number and ending record number are available within the Scope section of the Print Copies Dialog. The work file will only print in Natural order, the order the documents were originally printed, unless the work file has been indexed. Indexed work files can print in Recipient, Amount, Document Number, Misc, or Bank order. Click on the Print Start button to begin printing.


Browsing Work Files

The Browse button is on both the Work File and Archive File Select windows in PrintBoss. There are several options when browsing a work file.

Order: The documents may be sorted if indexing has been activated on the Form/Edit Settings tab or manually selected before opening the File Browse window. Natural Order is the order the documents were received. There are six additional sort options available from the drop down menu.

View: Select an individual document and click the View button for a preview of the document. Copies may be viewed, emailed, faxed, or edited (if security permits) in the View window. This is quite helpful in creating customized forms or interfaces.

Print: An individual document or range of documents may be printed or reprinted (security permitting), including copies that generate emails, faxes, positive pay files, or PDF files.

Edit: An individual document may be edited by highlighting the document, right-clicking, and selecting Edit. The most common use of this feature is to edit the Misc field to enter a fax number or view the Status Log.

Hold Records: This option removes the selected document from the current work file and places it in a new work file with the same Form name followed by - Hold. This feature only works on checks with the DocNo column populated n the work file.

Delete: An individual document may be deleted by highlighting the document, right-clicking, and selecting Delete or by clicking the minus button in the tool bar. A group of documents may be selected for deletion by using Shift and click or Ctrl and click. Delete is an irreversible action. No restore is available.

Edit Form: Opens the Form Editor. See Modify from the Form Editor .


Work File Edit

When you choose Browse in the Work File Select window a table of documents opens in the File Browse window. Status Codes appear in the Printed column. Highlight a document in the batch, right-click, and choose Edit. The Work File Edit window opens, displaying the same fields as the File Browse view and sometimes provides additional information for the Printed column in the Status Log. A description of each field follows;

Batch Date/Time - The date and time and batch was run.

Record Date/Time - The date and time the batch was recorded.

Form - The name of the form associated with the selected work file.

Bank - The name of the Bank identified by the Form and used in creating the document.

Document Number - The DocNo listed in the work file. This value is normally a captured field received from the accounting software.

Document Amount - The DocAmnt listed in the work file. This value is normally a captured field received from the accounting software.

Document Recipient - The DocRecip listed in the work file. This value is normally a captured field received from the accounting software.

Printed - These are status codes for the various destinations of printers for the document copies in the work file. Following is a list of some of these codes and what they mean:

E: E-mail successfully sent

e: E-mail attempt was not successful

D: pDf file successfully created

F: Fax successfully sent

O: pOsitive pay file successfully sent

P: document successfully Printed

S: copy intentionally Skipped

X: faX service successfully sent

Lower case letters indicate failed attempts. Upper case letters indicate successful attempts.

Misc (Fax Phone) - The fax number used for a Fax copy. This may have been captured from the form or entered directly in this field. The 1 and the area code need to be included if the number is long distance. If there is a dial out number, it should NOT be included.

NOTE: If there will be multiple reports faxed, each Misc. field for each report should have a correct fax number entered.

Misc2 (Email Address) - The e-mail address used for an E-mail copy. This value may have been captured from the form or entered directly into this field. E-mail addresses assigned directly to the variable {EmailTo} will not display in this field.

Status Log - The log includes notes on the success or failure of a fax, e-mail, or positive pay file.

Only the Form, Misc and Misc2 fields are editable and can be manually changed. Click on OK to save any changes.


Delete Work files

The Delete button on the Work File Select or Archive File Select dialogs provides several options:

  • Delete Only Completed Records
  • Delete Records Created Between certain dates (user specified)
  • Delete DocNos Between user specified numeric values
  • Delete All Records within the work file

Once deleted, there is NO restore option for those documents.

Auto delete choices are selected from the Auto-Archiving Completed Records drop down menu on the Settings tab of the Form Editor.


Archive Work files

There are several options for archiving a work file from the Work File Select window:

Transfer to this file - The work file can be transferred to a specified archive file. The default file name is the original Form name. However, it may be changed to a different archive file name (8 character maximum) or a suffix can be appended from the Form Editor. The archive files reside in the assigned archive folder in the PrintBoss directory. There are four Transfer Records Conditions available:

  • Transfer Only Completed Records (original and all copies printed)
  • Transfer Records Created Between specified dates
  • Transfer DocNo Between specified numeric values
  • Transfer All Records

Archiving is further affected by the choice made for the Auto-Archiving Completed Records option on the Settings tab of the Form Editor.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Indexing Work files

A work file may be indexed to allow sorting other than the Natural Order. Once indexed, the options are to sort documents by:

  • Recipient Order
  • Amount Order
  • Document Number Order (DocNo)
  • Miscellaneous Order (Misc)
  • Bank Order
  • Miscellaneous 2 Order (Misc2)

The PrintBoss Misc and Misc2 fields are often used with interfaces that use the PrintBoss Trigger to display a fax number, e-mail address, vendor number, or account code. Otherwise, this value can be assigned using the #Assign command within the PrintBoss Form.

NOTE: PrintBoss Express and PrintBoss Select do not use interfaces with the PrintBoss Trigger.


Work/Archive Reports

The Report button is available from either the Work File Select or Archive File Select windows. The Work/Archive Reports window will print a spreadsheet of the selected work file(s) based on the options chosen from the window. For example: checks meeting specific requirements can be included in this report by entering that data in the appropriate fields.

Order - Choose the order the documents will appear in the report by selecting a variable from the drop down menu or choosing Natural Order. Natural order will sort in the order the documents were processed.

Include Only this Bank - View documents from one bank or a group of banks by selecting a specific bank from the drop down menu, or using the asterisk (*) wild card to select all banks, or entering a name with the asterisk to select a group of banks.

Include Batches Created on or between - Select a starting and ending date range for the document creation date. (This is often helpful when a work file has been appended several times).

Include Recipients between - The recipient range is alphabetical. For example, you can choose all recipients from Lockhaven to Sloan.

Include Document Numbers between - The document number range is alpha-numeric.

Include Document Amounts between - The document amount range is numeric.

Include Document Misc. between - The document miscellaneous range is alpha-numeric.

Click on the View/Print Report button when you are finished. You will find both Printer Setup and Print buttons on the Print Preview window along with some other choices.


PrintBoss Security

Overview

PrintBoss has a security system that allows an administrator to restrict access to certain features within the program. Accessibility can be gained through password and/or user disk, and each user can have different levels of access.

Windows users need FULL CONTROL of the PrintBoss directory for the PrintBoss application to function properly. If there is a need to lock down access to the program, it should be done through the PrintBoss security.

Security settings are not required, but are available if desired. PrintBoss will function even if security is not turned on.

If PrintBoss is installed on a network, the security settings only need to be defined once and will work for all workstations. Multiple users can access PrintBoss simultaneously from different workstations if PrintBoss is installed on a shared network drive.

Security settings will need to be defined for each workstation if the PrintBoss application is installed locally on workstations.

The following topics are helpful when using the Security options:

Security Access

General Settings Tab

Basic User Rights Tab

Advanced User Rights Tab

Reading a User Disk

Accessing Secured Areas

Changing Users


Security Access

Click on the Options menu on the PrintBoss Master Application window and select Security to access this feature.

Enter the Master Password to access security. The default password is ADMIN and it is case senstive. For those with a registration floppy (older installations which have NOT been updated), insert the registration floppy into the drive (make sure that the drive letter matches) and click on the OK button.


Security -- General Settings Tab

General Settings is the first tab available after logging into Security Access . This tab allows you to choose some security settings and determine whether a digital signature that is part of a check will be printed on archive reprints.

The following is a review of the features available on this tab:

Security Method - The recommended security is Standard. The Advanced option allows the use of user disks to access security in addition to user login names with passwords. If an older version of PrintBoss had security activated and has since been upgraded to the newer version, the Advanced method may be selected by default.

Suppress printing signatures in Archive Reprints - If there is a secure signature (file with the extension of .sig) for a document, the signature will not be printed on the paper if the document is reprinted from the Archive files when this option is selected. This option is universal and applies to all documents.

Master Password - The Master Password is used to access the security setup within PrintBoss. It will allow the administrator to get back into the security screens and restricts access from other users. The password is initially set to ADMIN. A Confirmation Master Password dialog will open when the master password is changed. Retype the password. The security window will not close if the confirmation does not exactly match the new password. An error message will open warning that the two passwords do not match and that they need to be re-entered. This match is CASE-SENSITIVE.

This password is also used for duplicating signature disks. This password is NOT linked to logging in to PrintBoss as a user. It is recommended that an "administrator" user be defined with a different password to have full access to the PrintBoss program once security has been activated.

Auto Login Matching Windows Users - This option allows PrintBoss to automatically log a user in based on their Windows User name if there is a match in the PrintBoss users list (on Advanced User Rights tab).

Display ONLY primary fields in bank list browse - When this field is checked, PrintBoss will only display the Bank Code, Bank Prompt, and Bank Name fields in the Bank List under the Edit menu. It will also encrypt key fields in the bank list.

Enable User Security in Banks - Click this button to Enable security for the Bank List. A Security tab will appear on the PrintBoss Bank Edit window for the selected bank record when this feature is enabled. The Security tab allows the administrator to assign security to use the selected bank record to specific users. The name on this button will become Disable User Security in Banks once this feature is enabled.

Signature Disk Log - This section allows activating a log file for a signature disk and determining the retention period for the SigDisk Log. This feature is only available in the Enterprise edition of PrintBoss.


Security--Basic User Rights Tab

This tab lists security options that apply to all users. If an option is checked, then all users have full rights to this menu or feature. If an option is not checked, then a user must be granted permission to have access to the menu item. Specific user rights are granted on the Advanced User Rights tab.


Security--Security Required Tab

This tab is only available when Advanced security method has been selected on the General Settings tab. Specific security options are selected here. There are two different types of access: 1) password, and 2) user disk. If an option is not checked in either the User Logged In or User Disk columns, then no security is required for access. If an option is checked in only one column, such as User Logged In, then that is the only level of access required. If both columns of an option are checked, then both methods of access are required to use that option.


Security--Advanced User Rights Tab

This tab looks different in Standard and Advanced security modes.

Standard Security Mode - This Tab allows the administrator to define feature access per user.

Click on the "+" button to add a user. A User Edit dialog will appear. Enter the User Name. Enter a Password if one is required for an option.

All options that are not checked in the Basic User Rights tab will be highlighted. The administrator will have the option to allow access or not based on checking the items.

Advanced Security Mode - This Tab allows the administrator to define feature access per user. The type of access (password and user disk) are also defined.

Click on the "+" button to add a user. A User Edit dialog will appear. Enter the User Name. Enter a Password if one is required for any option.

All options that are not checked on the Security Required tab will be highlighted. The administrator will have the option to allow access or not based on checking the items. Letters next to the option indicate requirements for access:

  • An L next to the option indicates a Login is required.
  • A D next to the option indicates a user Disk is required.
  • A B next to the option indicates Both login and user disk are required.
  • If no letter appears next to the option, then no restrictions have been placed on the function.

A user will not have access to highlighted options that are not checked.

Click OK after selecting options if this user only needs a password for access.

Set the expiration date for the user disk in the Valid Through field if this user will be required to have user disk access for any option. If this user disk should also be password protected, enter a password in the field under the User Name field. Click on the Write User Disk button after inserting a formatted floppy disk in the drive. Be sure to verify the User Disk Floppy Drive before writing to disk.

NOTE: If a signature disk is used to print checks, then the signature disk must be used as the user disk.


Security--Reading a User Disk

Reading a User Disk

To check to see the User Name and expiration date of a user disk, an Administrator must be logged into the Security Settings of PrintBoss. Set the Security Method on the General Settings tab to Advanced and then click on the Advanced User Rights tab. Select and edit a current user or add a new user by clicking on the plus symbol. Put the disk in the floppy drive and click the Read User Disk button. Click OK after reading the disk information. At this point, the user properties can be edited. Click Cancel to exit without making any changes.


Security--Accessing Secured Areas

Accessing Secured Areas

Once the security levels and users are defined, a user must login or insert a user disk to have access to those areas. You can login by opening PrintBoss, clicking on the File menu, and selecting User Log-In. Enter your assigned user name (Operating Name) and password.


Security--Changing Users

Changing Users

If you have completed your session and would like to turn off your security options, click on the File menu and select User Log-Out. If one user is finished and a second would like to access their security options, the user log-out is not necessary. The new user can just log-in.

A user is automatically logged out when the PrintBoss application is closed. No user is logged in automatically when PrintBoss is launched.

When PrintBoss is installed on a network, users login by workstation so multiple users can access the application simultaneously.


Security--Other Security Features within PrintBoss

There are several other security features available within PrintBoss.

#Rect -- This command can be used to create a patterned rectangle behind any object (i.e. document amount, signature area, etc.). This can help prevent fraudulent changes on the document by making it difficult to modify an area once it is printed.

Security Stamp -- This variable will insert a "stamp" or string of data on a document that can print every time the form is used. The string can consist of many combinations or variables (see Form Editor-Special Controls tab for more information). It is represented by the variable {SecurityStamp} and it must be referenced by a text command in the Footer Objects tab in order to print.

Secure Text Command -- This command is used to protect against fraudulent changes on a document. There are two options for the Secure Text Type: Custom and Standard Block-Numeric. (See #SecureText for more information.)

PrintBoss Signature Disk -- PrintBoss Signature Disks are custom made for specific files. These CDs, USB keys, or floppy disks along with the associated signature files are encoded so the disk cannot be copied using a simple "Disk Copy"command nor can the signature file be read by standard graphics programs. These files have the extension of .SIG (see PrintBoss Signature Disk for more information).

Positive Pay File -- PrintBoss can create a Positive Pay file containing specific information about checks. This file is submitted to the bank and the bank will only cash checks matching the information listed in the file.

Secure Seal Logo -- This feature is used to create an encrypted logo containing information about the check. The user's bank must have special reading equipment to decode the logo.


Signature Disks

Overview

PrintBoss allows digitally scanned signatures to be printed on checks. These signatures can be printed conditionally based on a number of variables, the most common being bank account and dollar value of document. PrintBoss can read BMP, JPG, or PCX files.

A signature disk adds a level of security by requiring a disk (floppy disk, CD, or memory stick) to be inserted in the computer to add the signature file to the checks.

Wellspring Software offers a PrintBoss Signature Disk, which adds another level of security to the signature printing method. The PrintBoss Signature Disk is encoded so that a standard Disk Copy command will not duplicate the disk. The signature file is also encoded so that it cannot be used by programs other than PrintBoss. This additional level prevents the scanned signature file from being fraudulently used in other programs or by unauthorized users even in PrintBoss.

The following links are topics regarding Signature Disks:

PrintBoss Signature Disks

Duplicating PrintBoss Signature Disk

Using PrintBoss Signature Disks

Creating PrintBoss Signature CD

Creating Own Signature Disk

Using Own Signature Disks

Adding a Signature to a Check


PrintBoss Signature Disks

PrintBoss Signature Disks are custom made for specific files. These CD s or USB keys and signature files are encoded so the disk cannot be copied using a simple Disk Copy command nor can the signature file be read by standard graphics programs. These files have the extension of .SIG.

If more than one signature is to print on the same check, both signatures need to be encoded for the same CD or USB key.

The actual signature file(s) should be placed into the PrntBoss\Logos directory. At the point of printing, PrintBoss reads the encoding on the file(s) and then reads the CD or USB key. If the signature disk encoding matches the encoding on the signature file(s), the signature can be viewed or printed. Otherwise, the checks will print minus the signatures(s).

To order a PrintBoss Signature Disk, please contact Wellspring Software .

Terminal Server and Citrix environments need the disk in the drive of the server or the user session must have the drive of the local workstation mapped so the signature disks are available during printing.


Duplicating PrintBoss Signuature Disks

Duplicating PrintBoss Signature Disks

This function is for floppy disks, USB sticks, or CDs. To make a copy of a PrintBoss Signature Disk, the original PrintBoss Signature Disk and PrintBoss master password are necessary along with access to the PrintBoss application.

Start the PrintBoss program.

1. Click on Utilities from the PrintBoss Master Application window and choose Install Modules.

2. Select the Signature Disk Duplication tab.

3. Enter the PrintBoss Security Master Password as defined in General Security Settings , or insert the Original PrintBoss Registration floppy disk that was provided with PrintBoss in versions prior to version 5.

NOTE: If drive A is not the location for the floppy disk inserted, change the drive letter.

4. Click on the active [1] button requesting the password or installation disk.

5. Insert the original PrintBoss Signature disk (CD or USB).

NOTE: If drive A is not the location for the inserted source media, change the drive letter.

6. Click on the active [2] button requesting the source signature disk.

7. Insert the new media (CD or USB key).

8. Enter the drive letter for the destination device of the new media (A, D, etc.). This may be the same as the original disk.

NOTE: If the NEW signature disk is a CD, check the box Store Encoded File in {PrntBossHome}\ SigDisks.

9. If a password is desired on the NEW signature disk, check the box on the right to use a password. Enter the password in the field provided under the check box. This password will not impact the original disk.

10. Click on the active [3] button requesting the destination disk.

The signature disk created has the encoding required. Any signature files on the source disk will be copied to the destination disk with the exception of a CD. This should not be a problem since the signature files are normally read from the PrntBoss\Logos folder and PrintBoss knows to confirm the matching encoded disk.


Register Signature CD

This tab is used to register a Signature CD purchased from Wellspring Software .

  • Insert your Wellspring Software Signature CD into the CD drive of a computer with access to PrintBoss.
  • Open the PrintBoss Master Application (PB32.exe).
  • Click on the Utilities menu and choose Install Modules.
  • Select the Signature CDs tab.
  • Enter the Install Code included with the CD in the first field. (Include dashes).
  • Identify the drive letter of your CD mechanism by choosing a drive letter from the drop down menu.
  • Click Process Install Code. PrintBoss will confirm the CD is registered.

You can now use your Signature CD with PrintBoss.


Creating Own Signature Disks

PrintBoss will read BMP (bitmap), JPG, and PCX files. Scan a signature and save it as one of these formats, though JPG is preferred. PrintBoss does support color images. However, if your bank requires using MICR toner, the color image will be printed in shades of gray.

Save the scanned file onto a CD or USB key.

When inserting a signature file in PrintBoss, reference the entire path and filename, not just the filename. For example, instead of "my_boss.jpg", the full path of "E:\my_boss.jpg" is necessary. This path can be entered either in the PrintBoss form or bank record, depending on the method used.


Creating PrintBoss Signature CD

The signature file can be saved to a CD as well as a floppy disk or USB key. The difference is the CD cannot hold the encoded file used to read the signature file. Follow these steps to create a PrintBoss Signature CD.

1) Open the PrintBoss Master Application (PB32.exe).

2) Click the Utilities menu and choose Install Modules.

3) Select the Signature Disk Duplication tab.

4) Enter the Master Password defined under PrintBoss security or insert the Original PrintBoss Registration floppy for versions 4.x or older.

5) Click the 1 button.

6) Enter the drive letter of your current signature disk.

  • If you no longer have a floppy drive or do not have two CD drives and your sig disk in on a floppy or CD, hold the shift key and click on the 2 button. Call Wellspring Software for the Alternate Password Access code.
  • Enter the Signature Disk Create code. Your Wellspring service technician can help you identify this number.
  • Click OK on the Signature Disk Create window.

7) Enter the letter of your CD destination drive. A new check box will appear below step 3.

8) Check the Store Encoded File in {PrntBossHome}\SigDisks check box. This will save the encrypted file for the CD in the SigDisks folder of your home PrintBoss directory folder.

9) Click the 3 button. You will receive a message that your disk was successfully duplicated.

Be sure the CD is formatted before you begin. You can copy the signature file to the CD before you begin to ensure the CD is formatted.

Contact Wellspring Software if you have further questions.


Adding a Signature to a Check

To have a signature print on a check, it must be referenced in the PrintBoss form. If you are using multiple forms (AP and Payroll, etc.), each form will need to be modified.

Each form requires a command referencing a signature file to print. If the same signature(s) will print on the form for all the different bank accounts, then the signature file name(s) can be added explicitly into the command on the PrintBoss form. Otherwise, enter the signature file name(s) into the PrintBoss bank account .

Edit the Form (see #PIC Command )

1.) Click on the Edit menu on the PrintBoss Master Application and choose Form Files.

2.) Highlight the form used to print the checks.

3.) Click the View button. A rough view of the blank form displays.

4.) Right click anywhere in the view and choose Insert an Object/S ignature.

5.) The PIC Command Properties dialog opens.

6.) Click on the browse button with a red question mark to the right of the Graphic File field. The Open dialog will open to the PrntBoss\Logos folder.

7.) Select the correct signature file and click Open.

  • If there are any conditions for this signature (dollar amount, copy number, etc), add the condition to the field at the bottom of the dialog.
  • Enter the possible signature drive letters in the Sig Disk Drive Letters field. The default is DEFGA.

8.) Click OK when you are finished setting the location and other parameters for the signature file.

The signature is added to the form. Typically, placement for the signature is relatively close using the default settings. If the signature disk is in the computer and there are no conditions on the signature, that file should now appear in the view. To adjust placement or size, double click on the signature to edit the properties.

Repeat these steps when there is a second signature file. Be sure to change the coordinates on the Pic Command Properties dialog so the second file prints higher than the first. Adjust Inches from Top to a smaller number to move the signature higher.

Edit the Bank Record (see Bank Account - Signatures_Logos Tab )

Add the signature file to the Bank Record when using different signatures for different companies or bank accounts. The associated #Pic commands are typically already added to the standard PrintBoss forms.

1.) Open the PrintBoss Master Application.

2.) Click on the Edit menu and choose Bank List.

3.) Select the appropriate bank account (record) and click the Edit Bank button.

4.) Select the Signatures_Logos tab.

5.) Click the yellow browse folder to the right of the Signature Properties field. The Open dialog will open to the PrintBoss\Logos folder.

6.) Select the correct signature file and click Open.

  • If there is a dollar amount condition for this signature, add the values in the Range condition columns.
  • The size of the file can be adjusted by width and height or by percent.

7.) A second signature can be added in the Signature 2 Properties field if desired. This field will print above the first signature.

8.) Click OK when you are finished.

The coordinates are controlled by the fields on the bank's Signatures_Logos tab when the signature is based on a bank account. Follow the steps above to Edit the Form to change signature disk drive letters or add other conditions. The second signature command may need to be added or uncommented (remove the pipe symbol).


Using PrintBoss Signature Disks

First, copy the .Sig file(s) from the PrintBoss Signature Disk(s) into the PrntBoss\Logos directory. This is where PrintBoss will automatically look for the signature file(s).

Next, edit the form to reference the signature file(s) . Enter the file names in the Signature Properties field on the Signatures_Logos tab of the PrintBoss bank record if the signature(s) will print for a specific bank account.

Before printing checks, verify the signature disk is in the correct drive before the checks are printed to PrintBoss. If checks are printed when the PrintBoss Signature Disk is not in the correct drive (floppy, USB or CD), an error message will interrupt the process and allow the user to insert the disk into the correct drive before continuing or allow the user to skip the use of the disk. The checks will print minus the signature(s) if skip the use of the disk is selected. There is an option on the #Pic command to Hide Errors . The #Sig Command automatically hides errors.

See Adding a Signature to a Check to help trouble shoot this process when errors occur.


Using Own Signature Disks

Make sure the signature disk is in the floppy drive, USB drive, or CD ROM before the checks are sent to PrintBoss. If the disk is not in the drive, PrintBoss will popup a warning allowing the disk to be entered or the signatures to be skipped. The checks will print minus the signature(s) if you choose to skip the use of the disk. To eliminate the warning, edit the appropriate command.

See #PIC Command


Signature & Logo Edit

To view a signature or logo that will be used in PrintBoss, click on the PrintBoss Utilities menu and choose Examine Logos/Signatures. This opens a dialog that allows you to select the desired file and view it. No actual editing capabilities are available here.

To compress the file to fit within the screen (just for this viewing purpose only), check the Auto Size box. This auto size will have NO impact on the actual file.


Signature File Usage Log

The Signature Disk Log is activated under Security Settings.

  • Click on the Options menu in PrintBoss and select Security.
  • Enter your Master Password and click OK.
  • Select the Logging Active check box under the Signature Disk Log section.
  • Adjust the SigDisk Retention in Days value if desired. The default is 60.
  • Click OK when you are finished.

Now the signature log file is active.

  • Click on the Utilities menu in PrintBoss and select SigDisk Usage Log.

Every time a user on this account prints a document with a signature file, it will be logged in this window. You can sort by the dark gray column headers. Natural order is the order in which the files were logged.

See SigDisk Log Reports to learn how to report on the Signature File Usage Log.

Note: This feature is only available in the Enterprise edition of PrintBoss.


SigDisk Log Reports

The Report button is available from the Signature File Usage Log window. The SigDisk Log Reports window can preview and print a spreadsheet of the selected log(s) based on the options chosen from the reports window. For example: checks between designated dates and times can be included in this report by entering that data in the appropriate fields. Here is a summary of the available fields for the report:

Order - Choose the order the documents will appear in the report by selecting a variable from the drop down menu or choosing Natural Order. Natural order will sort in the order the documents were processed.

Include Checks printed on or between - Select a starting and ending date range for the check printed date. Time is also available.

Include Recipients between - The recipient range is alphabetical. For example, you can choose all recipients from Lockhaven to Sloan.

Include Document Numbers between - The document number range is alpha-numeric.

Include Document Amounts between - The document amount range is numeric.

Operator - Log-In name of the PrintBoss user. Enter a name or part of a name, using the asterisk (*) as a suffix wild card. The asterisk must come at the end of the search word. For example: G* will print all PrintBoss users whose log-in names begin with G.

PC/Machine - The ID of the computer that processed the PrintBoss file.

Sig File Name - Name of the signature file used. Enter a name or part of a name, using the asterisk (*) as a suffix wild card.

Form File Name - Name of the PrintBoss form used. Enter a name or part of a name, using the asterisk (*) as a suffix wild card.

Click on the View/Print Report button when you are finished. You will find both Printer Setup and Print buttons on the Print Preview window along with other choices.


PrintBoss Positive Pay / ACH

Overview

More banking institutions are offering a service often called "Positive Pay". There are two different Positive Pay methods available within PrintBoss:

Secure Seal logo

Positive Pay / ACH File

Both features are offered as additional fraud prevention. The Positive Pay file feature is also used to produce ACH files. See ACH Overview for additional information.

NOTE: PrintBoss Express does not include the Positive Pay file feature.


Positive Pay / ACH File

An increasing number of banking institutions are offering a service often called Positive Pay or check fraud protection. This is a formatted text or csv file listing all valid checks written on a bank account. The file is transmitted to the bank and only checks identified in this file are cashed by the bank. If the bank receives checks that are slightly different, the bank will not accept the checks.

PrintBoss can generate a Positive Pay file for each check in the batch. The PrintBoss form must be edited to add a copy to enable this feature. The copy is designated as a Positive Pay file. The structure of the Positive Pay file is designed to match individual bank requirements. Rarely are requirements the same for different banks. Contact Wellspring Software, Inc., to provide a quote on the cost to create a Positive Pay file if you would like assistance.

The Positive Pay specifications become part of the PrintBoss Form File. The specifications can be exported to a PrintBoss Positive Pay file (extension of ".ppp" in the PosPay subdirectory of PrintBoss) and then be selected from any PrintBoss form. Note that the .ppp files created and used within the PrintBoss Form Editor are NOT the actual Positive Pay files sent to the bank. They are simply the scripts PrintBoss uses to create the file.

The Positive Pay feature is also used to create ACH files. ACH is a standard format in the U.S. and is provided with PrintBoss for you convenience.

Both Positive Pay and ACH files use data stored in the PrintBoss bank record as well as data from the check batches printed to PrintBoss and assigned in the PrintBoss Form to create the necessary file for the bank. In addition, the ACH file uses data stored in the Payee List.

See Also:

Positive Pay / ACH File Setup

ACH Overview

Operations for Positive Pay / ACH

Bank Account - ACH Definition Tab

Payee List


Secure Seal Logo

PrintBoss can print an encrypted logo onto a check (see sample below). This logo contains a pre-designed picture with a maze-looking background. This logo embodies key information such as the check amount, check date, check number, account information, and the payee name. The secure seal logo will only work if the computer creating the image contains special engine files to create the coding into the logo. In order for the bank to decode this logo, the bank must have the appropriate reading equipment.

The engine files and reading equipment are sold through FiServe at www.imagesoft.fiserv.com . Wellspring Software does NOT sell the engine files nor reading equipment.

Once the bank receives a check with the encrypted logo, they will process the check through the reading equipment. It will scan and decode the logo. If the information from the reading machine does not match what is actually written on the check, then the bank will not cash the check.

To insert the Secure Seal logo:

1) Open PrintBoss (Start/Programs/PrintBoss/PB32 Program)

2) Click on the Edit menu and choose Form Files

3) Highlight the form that will be used

4) Click on the View button

5) Right click anywhere within the View

6) Select Insert an Object/Secure Seal

7) Select the options that will be used in this dialog (see example below)

8) Click on OK when finished

9) Click and drag the logo to the desired area if needed

10) Close the view and save changes


ACH Overview

ACH file specifications are established by NACHA - The National Automated Clearing House Association. PrintBoss 5.65.1 and above contains a file with the standard NACHA specifications for use with PrintBoss. This file is accessed through the Positive Pay feature in PrintBoss.

Company (Originator) specific data is stored on the ACH Definition tab of the Bank Records in PrintBoss. Receiver (i.e. Vendor or Employee) specific data can be stored in a Payee List in PrintBoss and associated with a bank record or it may be stored in the host accounting system and sent to PrintBoss through the printing process.

The ACH file created by PrintBoss is compiled from data stored in the ACH Definition section of the Bank Account record, a Payee List, and the check/EFT batch being processed. Complex scripting attached to the PrintBoss check form creates the file. A user will almost never need to edit the script. Instead they will simply enter specific information which will be used in the ACH File

Header Record, the ACH Company/Batch Record and the PrintBoss Payee List. The rest of the required information will come from the check/EFT batch as it is processed.

See Also:

ACH Definition Tab of Bank Record

Payee List


Positive Pay / ACH File Setup

1) Click on the Edit menu from the PrintBoss Master Application (PB32.exe) and select Form Files

2) Select the form that needs Positive Pay /ACH file and click the Editor button

3) Select the Settings tab and increase the number of Copies by 1 (type in the value). We will assign the Positive Pay file to the new copy

4) Select the Multi-Parts & Printers tab

5) Click the drop down arrow in the Destination Printer/Device column for the new copy and. choose <Positive Pay File>. The new copy will be the last entry on the list

6) Select a Positive Pay or ACH File

a) Click the Source Tray drop down menu to select an existing Positive Pay or ACH file, OR

b) Click the page symbol to the right of the Destination Printer/Device column to open the Positive Pay / ACH File Editor. Then click the Import button and select an existing Positive Pay specification from the PosPay folder of PrntBoss. It is usually easier to modify an existing Positive Pay spec file to meet the requirements of your bank

7) Modify the Header, Details, and Footer section tabs as appropriate. These tabs are along the top of the Positive Pay / ACH File Editor. NO ADJUSTMENTS ARE NECESSARY FOR ACH. Here are some guidelines:

a) Note that each line is usually treated as a field, with the content enclosed in double quotes

b) Often it is helpful to add some comments to the end of a line, beginning with the pipe symbol ( | ) . Press the shift and \ (back slash) keys to create the pipe symbol

c) Inline Functions are available in PrintBoss to format the fields. Right click in one of the script tabs and choose List / Stuff Assignments to view the available list. Inline Functions are included with the Substitution Functions

d) Substitute Functions are also available in PrintBoss. These can be listed by right clicking in the Header, Details, or Footer sections and clicking on the plus sign in front of Substitution Functions. The selected substitution function is evaluated, and the return value is substituted in place of the function including the braces that surround the function. Functions can be nested within other functions

e) Most sections usually end with a Carriage Return/Line Feed. This is represented with the expression chr(13)+chr(10) or {CR/LF}

Often there are fields relative to a bank account that need to be entered into the positive pay file. Usually it is helpful to make use of the miscellaneous fields in the PrintBoss bank record, BMISC1.. BMISC5, to enter this data.

The Sign On and Sign Off tabs of the Positive Pay File are seldom used, except for ACH.

NOTE: This feature is not available in PrintBoss Express.


Operations for Positive Pay / ACH File

Operation of Positive Pay / ACH File

Once the positive pay or ACH file is configured, you can print to it the same way you print to a printer. Navigate to the Multi-Parts & Printers tab in the form editor and set the Print Time to Immediate or Batch for the <Positive Pay File> copy. The batch can be printed by clicking on the File menu in PrintBoss and selecting Open Document Work Files. Select the appropriate work file and click on the Print button. You can choose to print the whole file or specify a scope to only print a range of pages in the file.

The work file also allows you to reprint the file. Be sure to tag the Allow Reprints check box to reprint a check or checks that have already been printed. Changes made to the PrintBoss Bank record, however, will only be processed by reprinting the check batch.

Select the work file and click the Browse button to review the print results in the Printed column. Positive pay / ACH copies show as an O (for pOsitive pay). A lower case "o" indicates the copy was skipped and usually occurs when the check amount is zero or when a condition is set to determine the checks that should print to the Positive Pay file. For example, direct deposit checks included in a live check batch would be skipped.

If the <Positive Pay File> Print Time on the Multi-Parts & Printers tab of the form editor is set to Batch, it is important that the forms auto archiving method on the Settings tab is NOT Overwrite at start of batch. Otherwise you could potentially overwrite a work file that has Positive Pay copies that have not been printed to a file.

NOTE: This feature is not available in PrintBoss Express.


Payee List

The ACH file created by PrintBoss is compiled from data stored in the ACH Definition section of the Bank Account record, a PrintBoss Payee List, and the check/EFT batch being processed.

The PrintBoss Payee List is a compilation of all payee data required to create the Detail records for the ACH file. The Payee List activation box for the column is checked to begin creating and maintaining the PrintBoss Payee List.

Click on a field in the image below to learn more about the field.

There are two methods for building a PrintBoss Payee List. One is to import the data from a .csv file. The other is to enter the data directly into the Payee List. With either method, data printed from the accounting software can be assigned and used to supplement the Payee List entries.

See Also:

Import a csv File

Create a Payee List


Import a csv File

The data used to create the payee Detail records for the PrintBoss ACH file comes from one of two locations: the PrintBoss Payee List or by capturing fields on the check report and assigning that data to specific elements required to be part of the ACH file. The following outlines setting up the Payee List by importing a .csv file.

1. Open the PrintBoss Master Application (PB32.exe).

2. Click on the Edit menu and choose Payee Lists.

3. Click Create to start a new Payee List.

a. Enter a File Name for the list. There are no requirements for the File Name.

b. Click OK to create the list entry.

4. Select the list you created and click the Editor button. The Payee List Browse window opens.

5. Entries can be made one at a time in the list by clicking on the + sign and entering data, or by importing data from a .csv file. See Create a Payee List for more information on entering data. The import can be accomplished by using the SamplePayeeList.csv provided or by manually adding 1 record to the Payee List and exporting the Payee List to a csv file.

a. Locate the SamplePayeeList.csv in the Payee Lists folder at the root on the PrintBoss Home Directory.

1. Double click the SamplePayeeList.csv. It will open in Excel.

2. Copy, Paste, or import your data into the appropriate columns of the spreadsheet.

3. Save the additions as follows:

i. Save as an Excel spreadsheet (xls or xlsx) to maintain leading zeros if additional records will be added.

ii. Save as a csv file when you are ready to upload the spreadsheet into the PrintBoss Payee List.

b. The alternative is to create 1 record in the new Payee List to export the column headings.

1. Select the Payee List and click the Editor button.

2. Click the plus sign (+) to create the first record. The Payee List Edit window opens.

3. Select Active in the top left corner.

4. Enter the first Payee as it was entered in the accounting software.

5. Set the Mode to Remainder of check on the Account 1 tab. This will activate the fields on the tab.

6. Click OK to save this record.

7. Right click on the gears in the top left corner of the Payee List Browse grid and choose Export. PrintBoss will indicate 1 record is selected.

8. Click Yes to export this file.

9. Enter a name and location to save this file. PrintBoss will save it as a Comma Delimited (*.csv) file.

10. Navigate to the save location and open the *.csv file.

6. Enter values in the following fields. Many of these fields are associated with the Detail tab of the ACH File Editor:

a. Payee - Enter the payee name as it appears in the accounting software. PrintBoss uses this field to exactly match the payee name on the check using the {DocRecip} variable assignment on the PrintBoss form. The maximum number of characters is 50.

b. Payee ID - Enter an ID for this payee. This will be used when there are two or more identical entries in the Payee field. Otherwise, this field is optional.

c. Active - Enter Y (if you are working in the csv file) to activate this record. N denotes an inactive record.

d. Email - Enter a Payee Email Address for this payee if you will be using the Email feature in PrintBoss to E-mail Direct Deposit or EFT notifications. NOTE: PrintBoss Select does not have the Email feature.

e. Mode1 - Enter the Mode for Account 1 to determine the amount of the ACH transfer. The most common choice is 1, Remainder of Check, to transfer the entire amount of the check to 1 account. This choice requires no additional Amount/Percent entries. The choices are:

i. Inactive - Enter 0 (zero).

ii. Remainder of Check - Enter 1.

iii. Percent - Enter 2.

iv. Set Amount - Enter 3.

f. Amnt1 - Enter a fixed Amount or Percent for Account 1 for this payee. Leave blank if Remainder of check is selected for the Mode. The field name used in PrintBoss is {ACHAmount} and contains 10 characters, 8 dollar places and 2 cents places.

g. BnkID1 - Enter the routing number for Account 1 for this payee. This matches the Bank ID field on the Payee List. The field name used in PrintBoss is {ACHRecvBankID} and contains 9 characters, 8 for the routing number and a check digit added by PrintBoss in accordance with ACH Rules.

h. BnkAct1 - Enter the account number for Account 1 for this payee. This matches the Bank Account Num. field on the Payee List. The field name used in PrintBoss is {ACHRecvBankAcct} and contains 17 characters.

i. Name1 - Enter the Individual/Company Name for this payee as it appears on Account 1. The field name is {ACHRecvName} and contains 22 characters.

j. ID1 - Enter the Individual/Company ID for this payee. The field name used in PrintBoss is {ACHRecvID} and contains 15 characters. This field is optional. Check with your bank to determine if it needs to be used.

k. PRE1 - Only select Pre-Note (Y) if this account is added after the initial Pre-Note file is accepted by the bank.

l. TransCode1 - Enter a code to identify if the Account Type. The field name used in PrintBoss is {ACHTransCode} and contains 2 characters. The values are:

i. 22 = Checking

ii. 32 = Savings

m. Disc1 - Enter an optional 2-digit code for this account that is meaningful only to the originator. The field name used in PrintBoss is {ACHRecvDisc}, contains 2 characters, and is optional.

n. PmntType - Enter 1 for an ACH file. This is the last field on the csv file, the field name used in PrintBoss is {PLPaymentType}, and it contains 1 character. The values are:

i. 0 = N/A

ii. 1 = ACH

ii. 2 = PS16

7. Only enter the data for Account 2 and Account 3 if the amount of the check is to be divided between more than one bank account.

8. Save a copy as an Excel spreadsheet (xls or xlsx) to maintain leading zeros if additional records will be added. Then save this file to a csv format before importing into the Payee List.

9. Return to PrintBoss, click on the Edit menu, and select Payee Lists.

10. Select the appropriate Payee List and click Editor.

11. Left click on the gears in the top left corner of the Payee List Browse grid and select Import.

12. Select the appropriate .csv file and click Open. The .csv entries will populate the Payee List.

13. Select a record and click the pencil icon to make changes to the selected file.

14. Click the Close button when you are finished.


Create a Payee List

The data used to create the payee Detail records for the PrintBoss ACH file comes from one of two locations: the PrintBoss Payee List or by capturing fields on the check report and assigning that data to specific elements required to be part of the ACH file. The following is an outline for setting up the Payee List by manually entering the Payee List data. For more information on assigning ACH Fields, see Assign ACH Fields .

1. Open the PrintBoss Master Application (PB32.exe).

2. Click on the Edit menu and choose Payee Lists.

3. Click Create to start a new Payee List.

a. Enter a File Name for the list. There are no requirements for the File Name.

b. Click OK to create the list entry.

4. Select the list you created and click the Editor button. The Payee List Browse window opens.

5. Entries can be made one at a time in the list by clicking on the + sign and entering data. See Importing a csv File for more information on importing data. Enter values in the following fields. Many of these fields are associated with the Detail tab of the ACH File Editor:

a. Active - Check this field to activate this record. Otherwise, the record will be ignored.

b. Payment Type - The default value is ACH. The field name used in PrintBoss is {PLPaymentType} and it contains 1 character. The following are the available selections and associated values that can be used conditionally in a PrintBoss form:

i. N/A = 0

ii. ACH = 1

ii. PS16 = 2

c. Payee - Enter the payee name as it appears in the accounting software. PrintBoss uses this field to exactly match the payee name on the check using the {DocRecip} variable assigned on the PrintBoss form. The maximum number of characters is 50.

d. Payee ID - Enter an ID for this payee. PrintBoss uses this field to exactly match the {PayeeID} variable assigned on the PrintBoss form when there are two or more identical entries in the Payee field. Otherwise, this field is optional. The maximum number of characters is 50.

e. Payee Email Address - Enter a Payee Email Address for this payee if you will be using the Email feature in PrintBoss to E-mail Direct Deposit or EFT notifications. NOTE: PrintBoss Select does not have the Email feature.

f. Mode - Select the Mode for Account 1 to determine the amount of the ACH transfer. The most common choice is Remainder of Check to transfer the entire amount of the check to 1 account. This choice requires no additional Amount/Percent entries. The choices and their associated values are:

i. Inactive = 0

ii. Remainder of Check = 1

iii. Percent = 2

iv. Set Amount = 3

g. Individual/Company Name - Enter the name for this payee as it appears on Account 1. The field name is {ACHRecvName} and contains 22 characters. This may match the Payee field above.

h. Individual/Company ID - Enter the ID for this payee. The field name used in PrintBoss is {ACHRecvID} and contains 15 characters. This field is optional. Check with your bank to determine if it needs to be used.

i. Disc - Enter an optional 2-digit code for this account that is meaningful only to the originator. The field name used in PrintBoss is {ACHRecvDisc}, contains 2 characters, and is optional.

j. Amount/Percent - Enter a fixed Amount or Percent for this payee. Leave blank if Remainder of check is selected for the Mode. The field name used in PrintBoss is {ACHAmount} and contains 10 characters comprised of 8 dollar places and 2 cents places.

k. Bank ID - Enter the routing number for this payee. The field name used in PrintBoss is {ACHRecvBankID} and contains 9 characters, 8 for the routing number and a check digit added by PrintBoss in accordance with ACH Rules.

l. Bank Account Num. - Enter the account number for this payee. The field name used in PrintBoss is {ACHRecvBankAcct} and contains 17 characters.

m. Account Type - Select Checking or Savings for this Bank Account. The field name used in PrintBoss is {ACHTransCode} and contains 2 characters. The values are:

i. Checking = 22

ii. Savings = 32

n. Prenote - Only select Prenote if this account is added after the initial Prenote file is accepted by the bank.

6. Click OK to save the entries. Only enter information for Account 2 and Account 3 when the amount of the check is to be divided between more than one bank account.

7. Repeat for the next entry.

8. Click Close when you are finished editing the Payee List.


Assign ACH Fields

For accounting software that use a report writer, such as crystal reports, it is possible to add some of the ACH fields on the check report printed to PrintBoss. These fields can be assigned and blanked out in PrintBoss. The following outlines Required and Optional fields, as well as those that must be set in the Payee List. For more information on capturing data and assigning variables in the PrintBoss form, see #Assign from Work File View .

The following 5 fields are required detail and may be assigned in the form using data captured from the accounting software on each page. The associated variable is displayed in braces:

1. Receiving DFI Identification + Check Digit (bank routing number) - {ACHRecvBankID}; the associated field in the Payee List is Bank ID

2. DFI Account Number (bank account number) - {ACHRecvBankAcct}; the associated field in the Payee List is Bank Account Num.

3. Receiving Company Name or Individual Name - {ACHRecvName}; the associated field in the Payee List is Individual/Company Name

4. Actual amount deposited in account - {ACHAmount}; the associated fields in the Payee List are Mode and Amount/Percent

5. Transaction Code - {ACHTransCode}; the associated field in the Payee List is Account Type

The following 3 fields are optional detail and may be assigned in the form using data captured from the accounting software on each page. The associated variable is displayed in braces:

1. Identification Number or Individual Identification Number - {ACHRecvID}; the associated field in the Payee List is Individual/Company ID

2. Discretionary Data - {ACHRecvDisc} - the associated field in the Payee List is Disc

3. Pre-Note Y/N (if yes, no amount will be added to the ACH File) - {ACHPreNote}; the associated field in the Payee List is Prenote

The following field is not found in the Payee List, but can still be assigned in the form using data captured from the accounting software on each page. The associated variable is displayed in braces:

1. Effective Entry Date (in the form YYMMDD) - {ACHEfctvDate}; this field is used on the Header tab of the ACH file and is a global setting for the file

At this time, PrintBoss will not create an ACH File without a Payee List. Therefore, even if the payee details are captured and assigned from the accounting software, a Payee List must be create and maintained. Only three fields are required in order for the Payee List to work when the remaining fields are assigned in the PrintBoss form. These fields are:

1. Active - This option must be selected to use this record.

2. Payee - Enter the value PrintBoss will use to find an exact match from the check/EFT batch. The value can be either alpha and/or numeric characters. For example, the vendor ID can be assigned as the Payee and used to match the value in this field. The corresponding PrintBoss variable is {DocRecip}

3. Mode - Set to Remainder of Check for Account 1

The other fields are optional and may be assigned or added to the Payee List, though they are not required as long as they are assigned in the PrintBoss form.


PrintBoss Printing

Overview

PrintBoss captures check runs and a few other accounting forms printed from accounting software (e.g. invoices, picking slips, purchase orders, etc.) and combines them with digital forms. PrintBoss also allows Hand Checks, Deposit Slips, and a list of bank account information to be printed.

PrintBoss Express and PrintBoss Select ONLY print checks.

The following topics are helpful in printing documents:

PrintBoss Printer Driver

Printer Setup

Printer Requirements

Accounting Documents

Hand Checks

Deposit Slips

Bank List

Blank Forms


PrintBoss Printer Driver

When installing the PrintBoss application, usually a new printer driver is added to the workstations' windows printer list. For most accounting software interfaces, this PrintBoss printer is a required element (see the view notes per the specific for the accounting software for more information). When this printer is installed it is called PrintBoss/HP Compatible on W95, W98, or WME workstations; PrintBoss NT40 on WNT, W2000, or WXP workstations, and W2003 servers; and PrintBoss50 for version 5.0 and above. Only the accounting software should select the PrintBoss printer.

DO NOT change the properties of this PrintBoss driver. The PrintBoss setup will provide the proper settings. This driver will not function like other printer drivers. Altering the PrintBoss printer may cause unexpected results. Selection of the actual printer used for the documents is determined by the PrintBoss application. See Printer Setup .

DO NOT set the PrintBoss printer driver as the Windows system default printer. This will send all documents through the PrintBoss application, causing unusual results and possible loss of printed documents.

PRINTBOSS NT 40 and 50: These drivers use a port called NUL:. After installing PrintBoss, check the windows printers list and determine what port the PrintBoss driver is using. If it is using the LPT1 port and there is no nul: port, create a new local port with the name nul: and reassign the driver.

NOTE: Print Driver vs. Text File Capture Methods

The Print Driver method sends data from the accounting software to the PrintBoss driver which typically launches the PrintBoss Application. The PrintBoss program then adds the elements of the electronic form to the data from the accounting software and then sends this combined information on to the laserjet selected from the PrintBoss File/Printer Setup dialog.

The Text File Capture method sends data to a file which is then read by PrintBoss. This information is combined with an electronic form and is then printed by the laser jet printer driver. Choose to have PrintBoss actively search for these files and print them immediately, or require a prompt before printing begins.


Print Copies Dialog

The Print Copies Dialog is available when you click Print from any Select window (i.e. Work File Select, Archive File Select, and Print Document Samples Select) or Browse window. The Print Copies Dialog has several options:

Copies - Designate the copies to print for the selected record(s) (Original, Copy 1, Copy 2, etc.). There will be a check box for each copy added through the Form Editor Settings tab. The Destination or copy type is set in the Form Editor Multi-Parts & Printers tab.

Allow Prints - Select this check box to make printed copies available for selection. By default, printed copies will not be available to reprint unless this check box is selected.

Scan Scope Status - Scans the copies and displays the number of documents in each copy. This may be suppressed through the Options / Configuration / Legacy tab.

Scope - Designate the desired documents by setting Start and End values for the Scope. More than one document is often included for each form. The scope allows you to select the range of documents to print.

Order - This option allows you to choose the print order of the document based on a variable contained in the document (i.e. Bank Name). Natural order is the order the file was created or received. This option is only available when the work file has been indexed .

Collation Method - This option is available when more than one of the Copies are selected. Collation Method allows you to choose how the copies of each document in the group will be collated. The Prompt after copy checkbox is available when the All of one copy type, then all of the next collation method is selected.

Mirror Copies - This option is only available for Print Document Samples. This allows you to designate the number of copies for each selected record by clicking on the Mirror Copies drop down menu on the right side of the window and choosing the number of copies.

The printer can by changed by clicking the Setup button at the bottom of the page. Click the Print Start button when you are ready to print.


Printing Accounting Documents

See the instructions per the view notes for the accounting software included with PrintBoss.


Printing Hand Checks

To print Hand Checks:

1) Click on Utilities from the PrintBoss Master Application window and select Hand Checks. A list of already defined hand check specs will appear. If none appear, or the one needed does not appear, it will need to be created. Return to the " Creating/Editing Hand Check Specs " section.

2) Select the desired hand check specification and click Print.

3) All of the fields for the specification will show in the Hand Checks Manager window. If the Use Bank Acct. Next Number was not checked when creating or editing the Hand Check specification, then the Next Number is available for editing.

4) The hand check can be temporarily saved to the work file by selecting the work file option in the Send Output to drop down list. The Printer option will send the check directly to the selected printer and skip the work file.

5) There are two tabs in the Hand Check Manager window:

  • Print Series for Checkbook - Enter the number of hand checks to print.

  • Print Individual Checks with Payee - Enter check information such as the payee name, amount, and memo line.

6) Confirm the data is correct and then click Print. You will be prompted to select a bank record when the PrintBoss Bank field is set to {Request}. Otherwise, PrintBoss will use the specified bank record.


Printing Deposit Slips

Click Utilities on the PrintBoss Master Application window and select Deposit Slips.

CREATE DEPOSIT SLIPS:

1) Click the Create button.

2) Enter a FileName for this deposit slip (perhaps the bank name or account number).

3) Click OK.

4) Highlight the new deposit entry and click the Editor button.

5) Select the bank account for this form from the Bank Selection drop down menu.

6) Select DEPOSIT1 or DEPOSIT3 from the Form Selection drop down menu. (See below for more information on Form Selection).

7) Check Print Deposit Date and Print Copy if needed.

NOTE: Print Copy is only available when Send output to is set to Printer.

8) Click on the Send output to drop down menu to print to a work file to allow reprinting at a later date. Choose Printer (print direct...no work file) to print the file now without saving a copy. (See below for more information on Send output to).

9) Click on Done to save changes.

10) Click the Print button while the form selected to print the deposit slip.

BANK INFORMATION

The information on the deposit slip will update once a bank is selected from the Bank Selection drop down list.

COMPANY ACCOUNT INFORMATION

The information on the deposit slip will update once a bank is selected from the Bank Selection drop down list.

BANK SELECTION

This menu lists all the banks from the PrintBoss Bank List . Choose the correct bank account for this deposit slip.

FORM SELECTION

In almost all cases, this should be set to the Deposit1 or Deposit3 form. The Deposit1 form prints a single deposit slip with a copy at the top of the page. The copy will not have the MICR line. The Deposit3 form prints a deposit slip with two copies - all of which will have the MICR line.

PRINT DEPOSIT DATE

The date in this field will appear on the deposit slip when this option is checked. You may edit the date at the time of printing the deposit slips.

PRINT COPY

This option is only available when printing directly to a printer. When this check box is selected, PrintBoss sends a second page to the printer that is identical to the first, except that it will print Deposit Slip Copy on the second page where the MICR line appears on the first page.

SEND OUTPUT TO

There are two options on this drop down menu.

Printer (print direct. . . no work file) - This options sends the deposit slip(s) directly to the printer. No work file will be created. No archiving can be done with this option.

Work File and Print Time based on form - This option processes the deposit slip(s) using the form's settings for print time, copies, and archiving.


Printing the Bank List

Click Edit from the PrintBoss Master Application window and select Bank List.

Choose the preferred order for the list from the drop down menu at the top right of the window or by clicking on one of the dark gray headings. Click on Print List. The entire bank list prints with company and bank information. The MICR line is encoded for security.


Printing Blank Forms

Sometimes it is helpful to print a blank sample of the current form with bank account information (usually initial testing). Follow these instructions to print a blank form:

1.) Click on the PrintBoss Edit menu and choose Form Files.

2.) Select the appropriate bank account from the Current Bank drop down list at the bottom of the Form Select window.

3.) Select the appropriate form in the list and click the Print button .

The sample will have no check number when the document number is provided by the accounting software. Otherwise, the current number in the bank record will be used without incrementing. The checks will appear with the MICR line minus the check number.


Printing Sample Documents

PrintBoss has a database available to print samples of documents from several different accounting packages.

Click on the PrintBoss Utilities menu and select Print Sample Documents.

  • A list of available forms appears.
  • Select the desired form and click the Print button. The Print Copies Dialog opens.
  • Designate the record copies to print (Original, Copy 1, Copy 2, etc.) under the Copies section at the top of the window.
  • Select the Collation Method when more than one copy is selected.
  • Designate the number of copies for each selected record by clicking on the Mirror copies drop down menu on the right side of the window.
  • Designate the documents desired by setting Start and End values for the Scope. More than one document for each form is often included.

Click the Print Start button when you are ready to print.


PrintBoss Hand Checks

Hand Checks

Overview

PrintBoss Hand Checks are checks printed independently of the accounting software. These checks are the more conventional sense of a checkbook and can be used for things like paying COD amounts or making purchases from a local store. Hand checks normally print with the MICR and bank information as well as the company information. If any field is left blank in the Hand Checks Manager, those fields will be blank on the printed check.

Any number of hand check specification files may be created. Each file typically specifies the bank account and form to use, as well as the check numbering system (automatic or manual).

NOTE: Printing hand checks form PrintBoss will NOT update the accounting software's database. For this reason, a different series of check numbers is suggested for use with hand checks.

The following topics are helpful for Hand Check options:

Creating/Editing Hand Checks

Printing Hand Checks


Creating/Editing Hand Check Specs

To create a hand check:

1) Click on the Utilities menu on the PrintBoss Master Application window and select Hand Checks.

2) Click on Create.

3) Enter a new name of 8 characters or less. This new name can be anything to help describe what this hand check is used for (i.e. company name or bank name).

4) Click OK. The new name should be listed in the Hand Check Selection list.

5) Highlight the new hand check and click the Editor button.

6) The following fields should be entered:

  • PrintBoss Form - In almost all cases, this should be set to the HandChk2 form. However, use the form HandChk3 if you need the payee address to print.
  • Use for Voided Checks - Select this option to print a VOID check for your bank when starting a new bank account. PrintBoss will replace the recipient, amount, and word amount fields with ***VOID.
  • PrintBoss Bank - Select from the list of existing banks.
  • Prompt - Enter a short description for this particular bank account to help identify it.
  • Use Bank Acct. Next Number - This check box determines where the next number counter is kept. If this is not checked, the next number counter is kept in this spec file. This is the recommended method. If it is checked, then the check number counter is maintained by the bank record in the PrintBoss bank list.
  • Send Output To - There are two choices available: 1) Select Work File if the user wants a record of the hand checks printed; otherwise choose 2) Printer.

NOTE: There should be one Hand Check created for each bank account that will print hand checks.

7) Click OK to finish.

To edit a hand check:

1) Click on the Utilities menu on the PrintBoss Master Application window and select Hand Checks.

2) Select a hand check from the list.

3) Click on the Editor button and make any necessary changes.

4) Click OK when you are finished.

HAND CHECK MANAGER WINDOW:


E-mail

Overview

PrintBoss can be configured to send the documents it prints as an email attachment. The display of standard e-mail is limited to simple text. The only available formatting choices are font and size. Html is a more advanced e-mail format that allows more graphical options, but it, too, cannot exactly reproduce a typical document created from PrintBoss. PrintBoss solves this problem by converting the image of the document to an Adobe PDF file and attaching this to the e-mail. The Adobe PDF reader can be downloaded free from Adobe and is often included with your computer. PDF has become a standard format used to convey documents of all types.

PrintBoss is able to e-mail individual documents (manual mode) or batches (automatic mode). Standard PrintBoss sends each page as a separate file. PrintBoss Enterprise can combine pages into a single pdf file. In manual mode, an operator has the ability to e-mail any specific page viewable in PrintBoss. When the proper fields have been defined (such as e-mail address), automatic mode can send batches of documents. One of the defined copies in the PrintBoss form is configured to be the e-mail copy in automatic mode. This enables PrintBoss to record e-mail attempts and successes in the work file.

The computer that sends the e-mail must have an SMTP mail server available. PrintBoss does not make use of the user's mail program ( i.e. Microsoft Outlook, Outlook Express, Netscape), but works in parallel to it, making use of the same SMTP mail server that the mail program uses. The Enterprise edition of PrintBoss can use the Outlook Outbox for sending email.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.

See Also:

E-mail Setup

Manual E-mail

Automatic E-mail


E-mail Settings - SMTP/Mail Hosts

Click the Options menu from the PrintBoss window and select E-mail Settings to set up your e-mail. These settings are arranged in Tabs. Click on any field below to lean more about the SMTP/Mail Hosts features.

See Also: E-mail Settings - Default Addresses

E-mail Settings - Misc Settings

E-mail Settings - Subject & Message Body

E-mail Operation

Multiple E-mail Addresses

Other E-mail Fields and Options

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


E-mail Settings - Default Addresses

The Default Addresses tab contains information on To and From addresses. Click on the links below to learn more about these features.

See Also: E-mail Settings - SMTP/Mail Hosts

E-mail Settings - Misc Settings

E-mail Settings - Subject & Message Body

E-mail Operation

Multiple E-mail Addresses

Other E-mail Fields and Options

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


E-mail Settings - Misc Settings

This E-mail Settings tab contains E-mail Phone Book and miscellaneous e-mail settings. Click on the boxes below to learn about these features.

See Also: E-mail Settings - SMTP/Mail Hosts

E-mail Settings - Default Addresses

E-mail Settings - Subject & Message Body

E-mail Operation

Multiple E-mail Addresses

Other E-mail Fields and Options

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Settings - Subject & Message Body

This E-mail Settings tab contains subject and message body fields. Click on the boxes in the image below to learn more about these features.

See Also: E-mail Settings - SMTP/Mail Hosts

E-mail Settings - Default Addresses

E-mail Settings - Misc Settings

E-mail Operation

Multiple E-mail Addresses

Other E-mail Fields and Options

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Settings - Enabled E-mail Module

Enabled E-mail Module

This must be checked in order to use the e-mail settings for the workstation (or user in a Terminal Server or Citrix environment). This will also add a button to the Document View of the work file to allow e-mail to be sent manually.


E-mail Settings - Save Settings

You may choose how E-mail Settings are saved for each user on each work station. The following choices are available on each E-mail Settings tab and are unique for each tab.

Save Settings

The settings button at the top of each tab identifies how settings are saved for the tab. Click on this button to change the Save Settings.

Save settings independently for this Windows User [User Name], and to this PC [Computer Name]

The first choice is whether to save settings on the local workstation or terminal server or to save settings to a common location. Settings saved locally can only be changed at the local workstation (or terminal server) while logged in as the user.

Save as defined in Common Settings file. ["<PBDir>\Email\Settings\file name.ini"]

E-mail settings may be saved to a common file located in the PrintBoss Home Directory. The advantage of this choice is the file may be edited by an administrator for all users. The Common Settings file may contain sections unique to each user (Settings in Section named by Windows User Name) or contain one set of settings that applies to all users (Settings in Section named "Common Users") who choose the Common Settings selection.

A button is available to choose to save by Windows User Name sections or one Common Users section after the Save as defined in Common Settings file option is selected.


E-mail Settings - Send Mail to Outlook Outbox

Send Mail to Outlook Outbox

Check this box to send messages through the Microsoft Outlook e-mail program and save the sent message in Outlook. This feature is only available for PrintBoss Enterprise users.

Do not select this checkbox if you are using a different e-mail program.

Three options will be presented once the box is checked:

  • Use default profile is appropriate for most users. In the rare instance where there is more than one Outlook profile on a computer, use the blank box.
  • Request profile is helpful when there is more than one Outlook profile on your computer and you are not sure of your profile name. Select this radio button and click on the Send Test button at the bottom of the page. Then click the Send E-mail button on the Send E-mail window to receive a list of Outlook profiles on your computer. Note the name you want to use and enter it in the Blank box.
  • Blank box allows you to enter a user profile name when there is more then one Outlook account on your computer. The variable for this field is {EmailProfile} if this value needs to be assigned dynamically in the PrintBoss Form.
  • Seconds between emails (normal is 0) - This should only be used with the help of a Wellspring Software Technician. This option is used on the rare occasion when the system requires a delay between sending emails.
  • Alert if Image Attachment Issues - Select when either sending a large number of attachments or combining emails with a large number of attachments to avoid the Outlook warning that the attachment limit has been reached.


E-mail Settings - Host SMTP URL and User ID

Host SMTP URL and User ID

These should be filled with the same values you use for your e-mail program. The URL can either be the 4 segment dotted address or the URL name.


E-mail Settings - Password

Password

Enter if the SMTP system requires a password for outbound e-mails. If your system does NOT require a password, entering one may cause it to not work.

The password is visible while typing and is replaced with asterisks when you leave the field.


E-mail Settings - Port

Port

Usually set to 25. If a different port is used, enter it here.


E-mail Settings - Authentication Method

Authentication Method

There are three settings under Authentication Method:

1. Simple - No authentication required (the User ID and Password fields are not available).

2. Default - Allows entry of the UserID and Password.

3. POP3 Login - Allows authentication with the UserID and Password using a POP3 Login.


E-mail Settings - Use POP3 Login

Use POP3 Login Before Sending

Select this check box to send a POP3 Login prior to e-mailing to avoid Relay errors on the SMTP server.


E-mail Settings - Get Host Capabilities

Get Host Capabilities

Click this button to see if the URL entered is correct. (The User ID and password are not necessary to receive authentication). When successful, PrintBoss will return a list of authentication methods the server supports (if appropriate) and confirm the URL address.


E-mail Settings - Test Connection

Test Connection

Click this button to see if the User ID and Password entered are valid.


E-mail Settings - E-mail Info

E-mail Info

Click E-mail Info button to view information on e-mail fields and associated options.


E-mail Settings - PDF Attachment Resolution

PDF Attachment Resolution

The default setting of 216 dpi (dots per inch) is most robust and accommodates color pdfs. The size of the PDF file attachment can be reduced by selecting one of the B/W (Black and White) choices, though the quality of the attachment may be affected. Test some samples before changing this setting.


E-mail Settings - Automatic E-mail Pause

Automatic E-mail Pause

This option controls the pause behavior when printing e-mails in Automatic mode. The default setting is Never. If it is necessary for PrintBoss to pause during automatic emails, choose either Bad Address (no e-mail address available, no @ symbol in the e-mail address, or not a normal e-mail address format) or Always (PrintBoss will pause for ALL documents).


E-mail Settings - Default E-mail Address Fields

Default E-mail Address Fields

All outgoing e-mail have at least two required values:

  • The From Address is typically the address the e-mail is sent from, such as my-name@my-company.com. This is a required field for SMTP. The associated variable is {EmailFromAds}.
  • The To Address is the e-mail address of the recipient. The field can be defined on the E-mail Settings screen or on a document using the {EmailTo} variable.

The following optional fields are also available:

  • The From Name is the actual name of the person or account that is associated with the From Address (i.e. John Smith or Accounting Department). The associated variable is {EmailFromName}.
  • The Reply To address is the address responses are sent to if the recipient clicks on Reply, such as my-name@my-company.com. PrintBoss will use the address in the From Address field when Reply To is blank. The associated variable for the Reply To field is{EmailReplyAds}.
  • CC Address allows you to send a copy of this e-mail to another recipient. A value may be entered on this field or replaced by the variable {EmailCC} from a form.
  • Blind CC Address allows you to send a copy of this e-mail to another recipient without divulging the name or e-mail address of this recipient. Only the From Address sender and the Blind CC recipient know this address was included in the e-mail distribution. A value may be entered in this field or replaced by the {EmailBCC} variable from a form.


Manual E-mail

When the Enabled E-mail Module check box in the E-mail Settings window is checked, all document view windows will have an E-mail button at the top of the page. Follow these steps to view a document:

  • Click on the File menu in PrintBoss and choose Open Document Work Files or Open Document Archives if you have archived batches.
  • Highlight the desired work file and select Browse.
  • Use the navigation buttons or scroll bars to find the document desired and click View. This will open a view of the document and allow you to click on the E-mail button. There may be a short delay while PrintBoss creates a PDF file of the document to include as an attachment to the e-mail.
  • The E-mail Send window will open. The To, CC, and BCC fields are blank by default unless the To Address, CC Address, or Blind CC Address fields are defined in the E-mail Settings window. The variables associated with these fields can be defined in the form using a #Assign command. The results of the assigned variable will automatically display in the assigned fields.

The field assignments can be either static assignments (save value for all documents using this form) or dynamic assignments (pull a different value for each document using this form). Use the links below for more information on these features.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.

See Also:

Static Assignments

Dynamic Assignments


Automatic E-mail

Emails can be sent automatically in batches. The first step is to define a copy of the form as the e-mail copy. Use these steps to define an e-mail copy in the PrintBoss form:

1) Click on the Edit menu in PrintBoss and select Form Files.

2) Highlight the desired form and click the Editor button.

3) Select the Settings tab and increase the number of copies by 1. Simply type the new value in the Copies field.

4) Click the Multi-Part & Printers tab.

5) Locate the copy you want to use as the E-mail copy. This is usually to last copy on the list.

6) Click on the field in the Destination Printer/Device column for the E-mail copy and select <E-mail>.

7) Click on the field in the Print Time column for the E-mail copy and select Batch. This is optional and only recommended while testing the E-mail copy.

8) Click OK.

The e-mail address values for "To" , "CC", and "BCC" need to be communicated to PrintBoss when printing batches. This is done by defining these variables, EmailTo, EmailCC, and EmailBCC in your document. These are represented by the To Address, CC Address, and Blind CC Address on the E-mail Settings screen of PrintBoss. Only the EmailTo variable is required. The other two are optional.

Static addresses assigned in the E-mail Settings window will apply to every document in the batch. The To Address, or EmailTo variable, is normally assigned dynamically from the data being captured by PrintBoss. Each document in the batch can be sent to a different recipient when a dynamic value is defined for EmailTo. Dynamic variables assigned in the PrintBoss form override static variables set in the E-mail Settings window.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.

See Also:

Static Assignments

Dynamic Assignments

Operation


Static E-mail Assignments

It is possible to assign static values to the CC Address or Blind CC Address variables in order to send ALL emails to a single address. An example is to send blind copies of all emails to a special internal mailbox to keep a record as backup. The following steps outline one way to add a static value:

1) Click on the Options menu in PrintBoss and select E-mail Settings.

2) Select the Default Addresses tab.

3) Click on the check box preceding the CC Address or Blind CC Address fields.

4) Enter the e-mail address.

5) Click OK to save changes.

Another way to enter a static value is to assign it in the document.

1) Click on the Edit menu in PrintBoss and select Form Files.

2) Select your form from the list and click the Editor button.

3) Select the Run Time Objects tab in the top right corner of the Editing Form window.

4) Click at the top of the RunTime Objects script and type #Assign EmailCC, "name@company.com".

5) Click OK to save changes.

The assigned e-mail address will appear in the CC field when you e-mail from a form. Assigned variables will override entries on the E-mail Settings dialog. Other e-mail variables that can be used instead of EmailCC include EmailTo and EmailBCC.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Dynamic E-mail Assignments

This is the heart of the automatic e-mailing feature. At least the To address must change with each document. There are 2 ways to make a dynamic assignment.

A) Included in source report. If there is control over the information that will be sent to PrintBoss, define a field in the source report that will pass the assignment. It is important that this be just ONE field. The field will include a combination of text and database fields. The resulting field must be similar to the following example:

PB#Assign EmailTo, support@wellspringsoftware.com

This is the field after it is evaluated. The actual content might be similar to the following, although the actual syntax and field names are dependent on your report writer.

"PB#Assign EmailTo,"+CustomerDBF.MiscInfo

B) Assigned from a captured report in PrintBoss. This method requires that the customer's e-mail address be displayed somewhere in the source report. An assignment within PrintBoss can capture this data can blank it out after it is captured. In order to setup the capture, send a document to PrintBoss after placing the field in the accounting systems report writer. An assignment can be made from the work file. Follow the instructions per the topic #Assignment from Work file . Here are some tips to complete the process:

  • Locate the e-mail address when you are viewing the raw data.
  • Change the Variable Name in the Assign Command Properties dialog to one of the following:
  • EmailTo
  • EmailCC
  • EmailBCC
  • Verify the following fields are checked in the Assign Command Properties dialog: Left Trim, Right Trim, and Capture Raw Text Objects Only. Other fields may be selected as well.
  • Some reporting engines (such as the latest Crystal Reports) tend to break up the text field with the address. For this reason, a good practice is to click on the "+/-" button that follows Horizontal field. The coordinate entry becomes from (start) to (end). Set the ending coordinate so it is far enough to the right to pick up the longest imaginable e-mail address. Then click on the checkbox labeled Add together fields in horizontal range.
  • Check the Blank Out After Capture box if you do not want the e-mail address to show on the printed document.

View a document from the Work File Browse to test the assignments. Click the E-mail button to open the E-mail Send Dialog. The address fields should be filled with the proper values.

NOTE: This utility is not available in PrintBoss Express PrintBoss Select.


E-mail Operation

Sending e-mail is treated the same as printing other copies of a document. When the Print Time under the form's Multi-Parts & Printers tab in Editing Form is set to Immediate, the documents will be emailed as the work file entries are being created. The form can also be set to Batch to email the documents after they are reviewed.

  • Click on the Edit menu in PrintBoss and choose Form Files.
  • Select the desired form and click the Editor button.
  • Select the Multi-Parts & Printers tab.
  • Click on the drop-down arrow in the Print Time column for the E-mail copy and select Batch.
  • Click OK to close the window and save this change.

To print in batch mode, click on the File menu in PrintBoss and select Open Document Work Files. Select your work file and click the Print button. Select <Email> from the Copies (at the top left of the screen). Allow Reprints may need to be selected before Copies are available. The Scope (range) for the e-mail copy an also be set in the Print Copies Dialog. Typically the Scope is set to select all documents in the work file.

Once the copies are printed, the status can be verified in the work file. Notice that when you choose Browse in the Work File Select window a table of documents opens. Status Codes appear in the Printed column. Following is a list of some of these codes and what they mean:

E: e-mail successfully sent

e: e-mail attempt was not successful

D: PDF file successfully created

O: Positive Pay/ACH File successfully created

P: document successfully printed

S: attempt was skipped - this can apply to any copy where a condition determines when to print the copy

X: fax service successfully sent

Lower case letters indicate failed attempts. Upper case letters indicate successful attempts. Right click on the record and select Edit to view a Status Log for the record. The log includes faxing and e-mail information.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.

See Also: E-mail Subject

E-mail Message Body

Multiple Addresses

E-mail Using "Skipped" Option


E-mail Settings - E-mail Subject

E-mail Subject

Default Email Subject

The contents of this field will appear in the email's Subject line. You may change the contents of the field prior to sending your e-mail or assign a value to the variable {EmailSubject} within the form.

The Subject and the Text Body of an e-mail are normally pulled from the default values defined in the E-mail Setup. These can be overridden by defining the variables EmailSubject and/or EmailBody in the form. For example, the following assignment could be added to RunTime Objects :

#Assign EmailSubject, "Invoice Notice from Wellspring Software"

#Assign EmailBody, "Thank you for your order. The original invoice is being mailed to you."

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Settings - Combine Pages

Combine Pages

Combine pages into a single email

PrintBoss will combine documents with the same e-mail address into one e-mail for batch printing when one of these options is selected:

  • Email address is same as prior page
  • Same Email address AND same DocNo

The second option only combines emails with the same Document Number AND the same email address. The documents are attached to the email as one combined PDF file. There is a third option to "Never combine" pages.

NOTE: Available only in PrintBoss Enterprise.


E-mail Settings - Print Status of "S"

Print Status of "S"

Print status or "S" (Skipped) when "EmailTo" address is blank.

E-mail that fails to send for whatever reason leaves an error code on the work file for the document. This lower case error code prohibits the work file from being archived or deleted. Check the Print Status of "S" feature to allow PrintBoss to skip the e-mail and record a status of capital S in the file. This will allow PrintBoss to treat the document as completed. The skipped records can be handled separately or ignored. See E-mail Operation for more information on the status codes.


E-mail Settings - Use "DocMisc2" as EmailTo

Use "DocMisc2" as EmailTo

Use "DocMisc2" as EmailTo address if EmailTo is unassigned

This option is for those accounting systems that use Crystal Reports with the PrintBoss Trigger. When an email address is entered in the DocMisc2 field, select this option to use the email address in DocMisc2. Sage Accpac mostly commonly uses this feature.


Email Settings - Email Temporary Work Folder

Email Temporary Work Folder

Leave at the default value of {PrintBoss Home Directory}\Email. This should only be changed with the help of a Wellspring Software technician.


E-mail Settings - PDF Attachment Security

PDF Attachment Security

There are three security features for PDF attachments.

  • View Only - This options allows the recipient to read, but not print or edit the file. The Print feature will not be available in the Adobe Reader application. Any copies made of the document will carry the same security.
  • Unchangeable in a PDF editor - Prohibits edits to the original attached file, but allows the recipient to open and print the file.
  • PDF Attachment Password - You have the option to enter a password that will be applied to all PDF attachments. The recipient will need this password to open the PDF file. The password can be assigned as static or dynamic .


E-mail Settings - E-mail Message Body

E-mail Message Body

Email Body/Message

The contents of this field will appear in the email's Message Body. You may change the contents of the field prior to sending your e-mail or assign a value to the variable {EmailBody} within the form.

The Subject and the Text Body of an e-mail are normally pulled from the default values defined in the E-mail Settings. These can be overridden by defining the variables EmailSubject and EmailBody in the form. For example, the following assignment could be added to RunTime Objects :

#Assign EmailSubject, "Invoice Notice from Wellspring Software"

#Assign EmailBody, "Thank you for your order. The original invoice is being mailed to you."

The location for the default text is stored in the {PBDir}\Email\Body\{WinUserName}-Body.txt. If a different file is preferred, enter the path and file name by clicking on the browse button at the end of this field.

Text Editor

Click Text Editor button to open a Notepad file to edit a .txt Email Body message. This button is only available when the Email Body/Message is a .txt file. Changes to the text file must be saved and will not show in the Email Body window until the Refresh button is selected.

HTML Editor

Click the HTML Editor button to open your default HTML editor to edit an .htm or .html Email Body/Message. This button is only available when the Email Body/Message is an .htm or .html file. Typically the editor is Microsoft Word. Changes to the HTML file must be saved as a filtered web. Click the information button for more details. Changes to the html file must be saved and will not show in the Email Body window until the Refresh button is selected.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Settings - E-mail Send Test

E-mail Send Test

PrintBoss provides a Send Test button at the bottom of the E-mail Settings window. This button opens the E-mail Send window and allow you to verify your data before you send a message. This is the same window that will open when you send e-mail from a Work File.

The E-mail Send window previews your e-mail fields. You may leave the current values or override them at this point. Variables are replaced at the time the e-mail is sent.

Click the Send E-mail button at the bottom of the window to send this e-mail. If this is a test, you may want to replace the To: line with your e-mail address or the address of a colleague to confirm the message was sent as intended. The Status field near the bottom of the window will display Successfully Mailed when the e-mail is sent successfully.


E-mail Settings - E-mail Phone Book

E-mail Phone Book

The E-mail Address Book within PrintBoss can keep a record of e-mail addresses that can be utilized on a regular basis. At this time, the PrintBoss e-mail Address Book is completely INDEPENDENT of the Windows' address book.

The location and name of this file can be specified and can be private to an individual user or may be common to a group of users. This address book is used to manually e-mail individual documents. It is not used in the automatic e-mail mode. The e-mail address needs to be supplied in the form by defining the variable {EmailTo} for automatic emails. See section on Automatic E-mail . This e-mail phone book is completely independent from other address books

Open Phone Book

The Open Phone Book button can be used to open and edit the PrintBoss phone book. Click on this button on the previous Help screen to learn more.

E-mail Phone Book file

Click on the button at the end of this field to set the location of the E-mail Phone book. The default name is PBEmail.PEM.

Change Address Field Length

This option allows you to change the maximum length of e-mail addresses that are stored in the phone book The default length for an e-mail address is 60 characters. Click on the Change Address Field Length button to enter a character length from 30 to 250. Any characters over the default value you specify (e.g. 80) will be truncated. This feature only applies to the e-mail addresses in the E-mail Phone Book file.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Settings - E-mail Phone Book Records

E-mail Phone Book Records

The E-mail Phone Book window opens when you press the Open Phone Book button on the Options/E-mail Settings window.

  • Click on the plus (+) button to create a new entry. Enter the recipient's Name and e-mail Address.
  • Select an address and press the minus (-) button to remove a record.
  • Select an address and press the up arrow (5) button to edit an existing record.
  • Press the First Record button (|3) to navigate to the first record on the list.
  • Press the Previous Record button (3) to navigate to the previous record.
  • Press the Next Record button (4) to navigate to the next record in the list.
  • Press the Last Record button (4|) to navigate to the last record in the list.
  • Click on a column header (Name or Address) to select the column. Then type search value in the Highlighted Column Search String field to find the matching record for the selected column.


Multiple E-mail Addresses

Multiple e-mail addresses can be combined using semi-colons ( ; ) to separate the addresses.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


E-mail Using "Skipped" Option

When processing a document with an invalid e-mail addresses, an error will be indicated in the Printed column of the work file with a lower case "e". The actual error can be viewed by right clicking on the record and selecting Edit. The error displays in the Status Log.

If there is a document with no e-mail address, this record can be "Skipped". There is an option on the Misc. Settings tab of the E-mail Settings dialog that allows PrintBoss to skip any records that do not have an e-mail address in the EmailTo assignment. Select this option to display a capital "S" in the Printed column of work file, indicating the copy has been intentionally skipped. The capital "S" also allows the document to be treated as completed for auto archiving or deleting.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Other E-mail Fields and Options

There are a few other options available:

EmailReqReadRcpt: This variable allows you to request receipt notification from the recipient of the e-mail. The e-mail address assigned to this function will receive the notification.

EmailOptions: This variable is used for specific e-mail options such as skip delete or skip send. For example:

#Assign EmailOptions, "/FP /SD"

The following options are available:

/SS Skip Sending e-mail

/SD Skip Deleting the pdf attachment (only when PDF Alias is assigned - PrintBoss Enterprise Only)

/FP Forces a Pause during emailing to allow additional e-mails or attachments

/OA Omit Attachments (PrintBoss Enterprise Only)

Variables and Options ONLY available in PrintBoss Enterprise:

EmailPDFAlias: PrintBoss Enterprise allows definition of the file name. Assignment of the PDF file attachment name needs to be done in the Form Editor with an assignment command and may use variables. The syntax for this assignment is as follows:

#Assign EmailPDFAlias, "Invoice from Wellspring Software, Inc."

#Assign EmailPDFAlias, "Invoice #{DocNo}"

PDF File Password - By default, the PDF file attachment does not require a password to open. PrintBoss Enterprise allows password protecting PDF attachments. Use the Form Editor to assign the PDF file password. The syntax for the assignment follows:

#Assign EmailPDFPassWord, "abracadabra"

#Assign EmailPDFPassWord, "{SSN}"

PDF File Printing - By default, the PDF file attachment may be printed. An assignment can be made in the form to prevent the PDF file from printing. The syntax for the assignment follows:

#Assign EmailPDFNoPrint, "NO"

PDF File Editing - By default, the PDF file attachment is editable if someone has the proper software. An assignment can be made in the form to prevent editing the PDF attachment. The syntax for the assignment follows:

#Assign EmailPDFNoEdit, "NO"

PDF File Additional Attachments - By default, the e-mail has only a PDF of the PrintBoss document attached. PrintBoss Enterprise allows additional documents to be attached to the e-mail. Use an assignment command in the Form Editor with the following syntax:

#Assign EmailAttachments, "L:\Legal\Invoicing\Payment Requirements.doc"

#Assign EmailAttachments, "S:\Customers\{DocRecip}\Terms.xls"

Variables can be used as well.

#[condition]SkipPage: See # SkipPage This command is used when assigning different functions to different copies of the form. Most often, this is used when users want PrintBoss to intelligently know when to print a document or e-mail a document based on whether an e-mail address is present. The ProcessPage command can be used instead of the SkipPage command.

Combine documents with the same e-mail address: This option allows PrintBoss to combine documents which have the same e-mail address into one e-mail. See E-mail Setup for more information.


Terminal Server & Citrix

Citrix is a super-set of Terminal Server. For PrintBoss purposes, references to Terminal Server include Terminal Server or Citrix. Their treatment and setup for PrintBoss are the same.

Overview

Desktop Terminal Server Session

Published Application


PrintBoss Faxing Setup

Faxing Setup

PrintBoss is able to fax work files using the computer's local fax modem.

  • The purpose of this fax utility is to fax to a local fax device. A fax server is a completely different situation. Often there is confusion when a fax server is available to a PC. Normally, it appears to Microsoft Windows as a printer driver. It will have its own methods of determining the destination fax number. To use PrintBoss with a fax server, simply identify the fax server as the Destination Printer in one of the copies of a form. Refer to the fax server documentation to determine how to provide a fax number to the server.
  • An alternative to using this utility with your computer's fax equipment is to use the Wellspring Fax Service . This subscription service sends faxes from a local computer with an internet connection and no local fax modem.

Open the PrintBoss Master Application, click Options and select Fax Settings/Local Fax Device to setup the faxing options. Click on a field in the image below to learn more about its function.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Fax Testing

To test the fax, it is helpful to fill in the Fax Test Phone Number with the local fax machine number. Click the Fax Test button to print the .pfx file shown in the Test File window. Click the Cover Test button to print the text file shown in the Cover Page File. A test page file (FaxTest.pfx) and sample cover page file (Cover.txt) should already be in the Fax subdirectory of PrntBoss.

Every page is converted to a .pfx file and saved in the Fax subdirectory during production faxing. One of these files can be renamed and used as the fax test page.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Form Setup for Faxing

The fax feature is enabled on a form-by-form basis within PrintBoss. Follow these steps to setup a form for faxing:

1.) Option the PrintBoss Master Application.

2.) Click on the Edit menu and select Form Files.

3.) Select a form and click the Editor button. The Editing Form dialog will open.

4.) Select the Settings Tab and increase the increment for the Copies field by 1. We will treat this new copy as the fax copy.

5.) Click on the Multi-Parts & Printers tab. Locate the copy to be used for faxing under the Copies column.

6.) Set the Print Time to Batch.*

7.) Click on the Destination Printer/Device field and set it to <PrintBoss Fax>.

8.) Click OK.

* It is best to fax either at the end of the day or after each batch is completed. Faxing can take a while as the modem runs through each document. We generally recommend that the form's Auto-Archiving method is set to either None or Delete Completed Records. When one of these options is selected, PrintBoss will complete the work file as long as each of the documents have successfully printed ALL copies of the form, including the Fax copy.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Manual Faxing

Follow these steps to begin faxing the work file(s):

1.) Printing documents from the accounting software should proceed normally. Typically, the printed original and copies will print immediately.

2.) At anytime after the initial printing, individual or batch documents can be faxed from the work file. For example, faxing batches could be started at the end of the day.

3.) Click on the File menu in PrintBoss and select Open Document Work files.

4.) Select the work file to be faxed and click Browse. This will open the activities of this work file. Highlight the batch to be faxed.

5.) Right click anywhere on the record and choose Edit.

6.) In the Work File Edit window under Misc (Fax Number), type the full phone number. The 1 and the area code need to be included if the number is long distance. If there is a dial out number, it should NOT be included.

NOTE: If there will be multiple reports faxed, each Misc. field for each report should have a correct fax number entered.

7.) The Status Log area contains notes on the success of the fax. If it is not successful, it will indicate why.

8.) Click on OK when you are finished.

9.) Click on the Print button in the File Browse window.

10.) Select Allow Reprints and check the copy with <PrintBoss Fax> in the Print Copies Dialog.

11.) Double check to ensure the correct report will be faxed under Scope in the middle of the screen. If the first report is to be faxed, Start and End should both read 1. If you need the third report, both should read 3, etc. If all are to be printed, click on All to the right of the Scope.

12.) Click on Print Start when you are ready.

13.) The Printed category in the File Browse screen will have a capital F if the fax is sent successfully. If it fails, a lower case f will display.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Automatic Faxing

Faxes can be sent automatically when PrintBoss receives the fax number from the accounting software. There are two ways PrintBoss can receive fax numbers from the accounting software:

1. Assign the fax number to the PrintBossMisc field of the PrintBoss Trigger formula in the accounting software crystal report. This method is used when the Capture Mode for the PrintBoss Driver Settings under the Options menu is set to Flag Trigger. Review the Installation Notes specific for the accounting software setup for more information.

OR

2. Assign the fax number captured from the accounting software data to the DocMisc variable in the form. This method is used when the Capture Mode for the PrintBoss Driver Settings under the Options menu is set to Always Trigger. Review the Installation Notes specific for the accounting software setup.

If the accounting software uses the Always Capture interface, then the fax number must be assigned as DocMisc. See Assignments from work file for more information.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Archiving for Faxing and Printing

Archiving work files is a way to keep track of printed and faxed information. There are two ways to archive.

Manual Archiving:

1.) Click on the Files menu on the PrintBoss Master Application and select Open Document Work Files.

2.) Select a work file and click Archive. A Transfer Records window will open. The Transfer from section will show where the file is coming from and the form being transferred.

3.) Enter the name of the form to be transferred in the Transfer to this file field under the "Delete Records or Transfer to" section. The destination for the file being transferred will show above this field. Typically a date suffix is added to the work file name, such as 2011.

4.) Choose one of the following from the Transfer Records Conditions section:

  • Transfer Only Completed Records - Naturally, only documents where the original and all copies printed successfully will be transferred. For example: If a fax does not successfully transmit and a status of (f) is logged, the document will not be transferred. If the report is re faxed successfully, it will then be transferred to archives
  • Transfer Records Created Between (Start date) and (End date)
  • Transfer ALL Records

5.) Click Start Transfer to archive the selected records.

Automatic Archiving:

1.) Click on the Edit menu on the PrintBoss Master Application and select Form Files.

2.) Select a form and click on Editor. This will open the Form Editor to the Settings tab.

3.) Click on the Auto-Archiving Completed Records drop down menu at the bottom right and select one of the Archive Records options.

4.) Click on OK to save the changes.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


PrintBoss Faxing - Fax Class

This should be set to Auto Detect.


PrintBoss Faxing - Station ID

Enter the fax number for the inbound fax machine in the office.


PrintBoss Faxing - "Busy" Retry Count

Enter the number of times PrintBoss is to retry faxing if there is a busy signal. Normally, the recount try is 3.


PrintBoss Faxing - Dial Prefix

Enter a dial prefix if one is required to dial outside the office (i.e. 9). Otherwise, this is blank.


PrintBoss Faxing - Seconds til Busy Retry

PrintBoss Faxing - Seconds till Busy Retry

Enter the number of seconds PrintBoss is to wait before retrying to fax to a busy fax number. Normally, this is set to 30.


PrintBoss Faxing - Modem Initializaton Sring

PrintBoss Faxing - Modem Initialization String

Normally this is blank.


PrintBoss Faxing - Fax Header

Select a fax header string to print at the top of the fax. There are many items to choose from or one can be created using the different variables listed.


PrintBoss Faxing - Fax Resolution

This field should be set to High or Standard.


PrintBoss Faxing - Selected Device

This field should automatically recognize your TAPI compliant fax/modem.


PrintBoss Faxing - Treatment of Fax Errors

Normally this field is set to Don't Show Errors. This allows PrintBoss to continue faxing the next document even if the previous document failed. However, if testing, the user may select Popup Error Messages.


PrintBoss Faxing - Combine Pages

Combine pages with identical phone #'s when printing batches.

Available in PrintBoss Enterprise only.

When this option is checked, PrintBoss analyzes all documents for matching fax numbers. If more than one document has the same fax number (i.e. a multiple page invoice), PrintBoss will fax all matching documents in one fax call.


PrintBoss Faxing - Print Status Character "S"

Print status character of "S" (Skipped) when fax phone is blank.

The Print Status in the work file will be "S" for skipped if the fax number is blank when this field is checked. This indicates PrintBoss intentionally skipped the document and did not try to fax it.


PrintBoss Faxing - Wait for Dial Tone

Wait for Dial Tone before dialing.

This should be checked. PrintBoss will wait for a dial tone before dialing the fax number.


PrintBoss Faxing - Force Baud Rate

Check this only by the instruction of a Wellspring Software technician.


PrintBoss Faxing - Fax Test

It is helpful to fill in the Fax Test Phone Number with the local fax machine number to test the fax option. Click the Fax Test button to print the .pfx file shown in the Test File field. A test page file (FaxTest.pfx) should already be in the FAX subdirectory.

When production faxing occurs, every page that is faxed is converted to a .pfx file in the Fax subdirectory. One of the pages can be renamed and made into a fax test page.


PrintBoss Faxing - Log File Active

Check this setting to create a log of when documents were faxed or to use diagnostics for trouble shooting. By default, PrintBoss will create the fax log and save it to the PRNTBOSS\FAX folder. If a different location is needed, enter the location in the given field.

The drop down menu allows you to choose between Documents and Diagnostics.

The Clear Log button clears the existing log, deleting any previous entries.

The View button allows you to view all the faxes within the log.


PrintBoss Faxing - Cover Page

A cover page will print before each document page when this option is checked. PrintBoss provides a default cover page. The cover page file is located in the PRNTBOSS\FAX folder. The cover page may be edited by clicking on the Edit Cover button. Click on the font button (A) if a different font is desired. Click on the Cover Test button to test the cover page. PrintBoss will fax a sample of the cover page to the number listed in the Fax Test Phone Number field.


PrintBoss Faxing - Treatment of Landscape Forms

Available in PrintBoss Enterprise only.

This field gives the user the option to have any landscape form print as a compressed portrait or as a full landscape printout. Normally this is set to Print in Compressed Portrait. Click on the drop-down arrow and select Print in Landscape to print a landscape form.


PrintBoss Faxing - Margin & Width

Left Margin

The default setting is 40. Select 50 or 60 if a different left margin is required. Do not change unless instructed by a Wellspring Software technician.

Page Width

The default is 1660. Select one of the other available options if a different page width is required. Do not change unless instructed by a Wellspring Software technician.


PrintBoss Faxing - Connection Wait

Wait time, in seconds, to make a connection.


Wellspring Fax Service

Overview

Wellspring Software, Inc., offers a Fax SERVICE with PrintBoss and workstations that have internet access. Faxing is accomplished by sending the faxes out from PrintBoss through the internet to a faxing data center. The data center then sends the faxes to any number in the United States or Canada. Please note that overseas faxing is not available at this time.

Ordering

The fax service is a PREPAID service. Order prepaid pages on our web site using your own created account and password. This same account and password must be used within the PrintBoss program to allow PrintBoss to communicate with our server. You may choose to have an automatic re-order page quantity so that you always have the pages you need. All users can share one account or you may set up separate individual fax service accounts for each user.

Go to www.WellspringSoftware.com and Sign In. There is a link on the Sign In page to create an account if you do not have one.

After you sign in, select ORDER NOW / PRINTBOSS FAX SERVICE on the web site. Order the quantity of pages you desire for this account. Remember, you may share fax pages with all PrintBoss users, or set them up individually. Note that the price per page will decrease with larger quantities of prepaid pages. You may also setup payment information and set to automatically reorder prepaid pages at a set quantity.

See Also: Fax Service Setup

Form Setup for Faxing

Faxing

Fax Service Operation

Fax Service Log

Fax Service Variables


Fax Service Setup

Click on the Options menu on the PrintBoss Master Application and select Fax Settings /Wellspring Fax Service. The Wellspring Fax Service Options window will open. Click on a field below to learn more about the features.


Form Setup for Fax Service

Enabling the faxing feature is accomplished on a form-by-form basis withing PrintBoss. A few steps need to be taken in order to setup a form for faxing.

1.) Click on the Edit menu on the PrintBoss Master Application and select Form Files.

2.) Highlight the form that will be faxed and click the Editor button.

3.) Increase the value of the Copies field on the Settings tab by 1 if you are going to print and fax this form.

4.) Select the Multi-Parts & Printers tab and set the Destination Printer/Device column for the fax copy to <Fax Service>.

5.) Click OK to save this change.

The Fax Copy will process automatically when printing a batch as long as the Fax Number is provided to PrintBoss. There are two ways to provide the Fax Number to PrintBoss.

1.) When Crystal Reports is used as the forms editor for the Accounting Software, enter the Fax Number in the DocMisc field of the PrintBoss Trigger on the crystal report; OR

2.) Add the Fax Number field anywhere on the Accounting Software form and assign the field to FaxSvcFaxNo on the PrintBoss Form.

NOTE: This utility is not available in PrintBoss Express or PrintBoss Select.


Faxing

Printing documents from the Accounting Software should proceed as normal. Typically, the printed Original and Copy print immediately. Unlike faxing with a local modem, there is no delay in this faxing process. The faxes are sent out immediately through the internet. It may take 1 to 10 minutes for the fax to be sent. Large batches may be paused to print at non peak times.

Manual Fax on Demand

When the Enable Fax Service checkbox is selected in PrintBoss on the Options/Fax Setting/Wellspring Fax Service Options dialog, then all document Views will display a Fax button on the top or the window. Typically, this would be accessed by selecting File/Open Work Files (or Open Document Archive Files when choosing an archived batch).

1.) Click on the File menu in PrintBoss and select Open Document Work Files or Open Document Archives.

2.) Highlight the desired work file and select the Browse button.

3.) Select your document and click the View button. This will preview the document.

4.) Click on the Fax button. There is a short delay while the cover page is created.

5.) The Wellspring Software Fax Service Send dialog will open. The Fax Number field is blank by default. If the form has defined the {DocMisc} or {FaxSvcFaxNo} variables using the #Assign command, then the Fax Number field will contain that value. This assignment can be either a static assignment (same value for all documents using this form) or a dynamic assignment that pulls a different value for each document.

6.) Click the Cover Page check box to include a cover page with this fax (optional). The Company fields are editable when the Cover Page check box is selected

7.) Click the Send Fax button. PrintBoss will display the Fax Sent ID and fax number in the Fax Status field.

Automatic Faxing

A copy of the form needs to have a destination of <Fax Service> to automatically fax batches. (See Form Setup for Faxing .)

1.) Click on the Edit menu in PrintBoss and select Form files.

2.) Highlight your form and click on the Editor button.

3.) Increase the Copies field on the Settings tab by one.

4.) Click on the Multi-Parts & Printers tab and locate the Copy to be faxed.

5.) Click on the Destination Printer/Device field and select <Fax Service>.

The fax number value needs to be communicated to PrintBoss for printing batches. This is accomplished by defining the variable {DocMisc} or {FaxSvcFaxNo}. If your settings in the Wellspring Fax Service Options only specifies one of these variables, be sure that it is the one used in your form. Normally the variable will be dynamically assigned from the data captured.


Static Fax Assignments

Statically assign a value to the {DocMisc} or {FaxSvcFaxNo} variable in order to set a fax number as the destination for ALL faxes. An example would be faxing a copy of all printed invoices to the office manager. In the form, an entry would be similar to:

#Assign FaxSvcFaxNo, "555-555-1212"

These assignments must be made in the RunTime Objects tab of the PrintBoss Form. (EDIT / FORM FILES / <highlight the PrintBoss Form> / EDITOR).


Dynamic Fax Assignments

This is the heart of the automatic faxing. There are 2 ways to make a dynamic assignment. Use one method or the other, not both.

I ncluded in source report:

Modify the {DocMisc} formula in the source report if there is a "PrintBoss Trigger" in the information that will be sent to PrintBoss. It is important that the format for the fax number includes the area code.

Picked off of captured report by PrintBoss:

This method requires the customer's fax number is displayed somewhere on the source report. PrintBoss can capture the fax number and blank it out (if desired). In order to setup the capture, print a document to PrintBoss after editing the field in the accounting system's report writer. Then follow these steps in PrintBoss:

1.) Click on the File menu and choose Open Document Work Files.

2.) Highlight the particular work file and click the Browse button. There may be just one document showing, but that is all that is needed.

3.) Highlight the require document and click on the View button.

4.) Right click anywhere in the view and select View Raw Capture.

5.) Locate the text field containing the fax number on the screen .

6.) Double click on the field to open the Captured Text Command Properties dialog.

7.) Click on the bar near the top right labeled Click to Assign to Variable. The Assign Command Properties dialog will open.

8.) Change the Variable Name from RenameMe to FaxSvcFaxNo. Be SURE the following fields are checked:

  • Add together fields in horizontal range
  • Trim choices applied after segments appended
  • Capture Raw Text Objects Only
  • Left Trim
  • Right Trim

9.) Check the Blank Out After Capture field if you do not want the fax number to display on the printed document.

10.) Click OK when you are finished.

11.) Click Close on the Captured Text Command Properties dialog.

12.) Right click and choose View Raw Capture to return to the formatted View.

Viewing a document from the Work File/Browse/View window in PrintBoss provides a test of the assignments. Click the Fax button at the top of the View window to open the Wellspring Software Fax Service Send dialog to view with the fax number field filled with the proper value.

See Also:

Fax Service Setup

Form Setup for Faxing


Fax Service Operation

Faxes are processed and sent during the same process that prints other copies of a PrintBoss form. Faxes will be sent as the work file entries are being created if Print Time is set to Immediate on the forms' Multi-Parts & Printers tab.

If the Print Time is set to Batch, click on the Printboss File menu and select Open Document Work Files to send the fax batch. Select the work file and click Browse. Click on the Print button to select the range (Scope) and fax copy within the batch file. Notice a table of the work file's documents appears in the Browse window. The Printed column displays the results of the fax attempts. A capital X is displayed when the document is successfully sent to the fax service. A lower case x displays when the document us not successfully sent to the fax service. A slash (/) displays if the fax is still pending at the fax service server.


Fax Service Log

PrintBoss keeps a log of the faxes sent using the Fax Service. Click on the Utilities menu in PrintBoss and select Fax Service Log to access this log.

This log indicates whether a fax is pending, sent, or failed. The Status column will update on a frequency determined by the Log File Poll Period defined in the setup of the fax service. Click on the Update Status button to manually update the log.

PrintBoss will indicate in RED TEXT in the lower left of the Master Application screen if any faxes in the log failed when the 'Show Fax Errors Exist Flag...' is selected. The failed faxes should be dealt with as they are noticed. Right clicking on a Failed fax log entry will provide options to either re-try sending the fax or abandon the record.

The fax service log also displays the date and time the fax was sent. Data fields in the log include the following information:

  • The name of the PrintBoss user who sent the fax
  • The name of the PrintBoss Form used to send the fax
  • Whether a cover page was sent
  • The number of page sent (this number will be deducted from you Fax Service prepaid pages account)
  • The copy number

If defined with a Fax Service Variable, the log will also indicate the Document Number and Recipient of the fax. Right click on a record in the log to view the following options for handling the record:

  • Abandon Failed Record
  • Resend
  • View Cover Sheet
  • View Body Page(s)
  • Delete Record


Fax Service Variables

There are several variables that may be Assigned values specific to a form to define values for the cover page and fax number.

{FaxSvcCvrCompany}

This is the Company Name for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrAds1}

This is the first address line for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrAds2}

This is the second address line for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrAds3}

This is the third address line for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrPhone}

This is the phone number for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrFax}

This is the fax number for the SENDING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrTo}

This is the name of the RECEIVING entity. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen.

{FaxSvcFaxNo}

This is the value of the fax number used to SEND the fax. If the variable {DocMisc} has already been assigned to the correct fax number, you may replace {FaxSvcFaxNo} with {DocMisc}. Be sure that the settings in the Wellspring Fax Service Options screen are set appropriately if you are using the {DocMisc} variable.

{FaxSvcCvrFrom}

This is the name of the company or person SENDING the fax. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{CurrentDate}

This will fill with the date the fax is sent (see Current Date substitute function for options).

{CurrentTime}

This will fill with the time the fax is sent (see Current Time substitute function for options).

{FaxSvcCvrRe}

This is the "regarding" message (subject) used on the fax cover. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.

{FaxSvcCvrMsg}

This is the message body used on the fax cover. By default, the value of this variable is filled with the information pulled from the Wellspring Fax Service Options screen. If this variable is assigned in a specific form file, it will override the settings in the Wellspring Fax Service Options screen. This value will then be global for all users who access this form.


PrintBoss Request List Overview

PrintBoss Request List

Overview

The Request List is used to determine the Bank Account and PrintBoss Form to be used when printing. This is only necessary with accounting software that does not use a trigger or a textcapture file. (A Request List is NOT used with Accpac for Windows).

The following contain Request List tips:

Setup

Request List Editor

Configuration

Implementation

Request List with Auto Selection

Implementing Request List with Auto Selection

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Request List Setup

For standard PrintBoss interfaces that use the request list, entries are automatically setup during the installation of PrintBoss. Editing the Request List should only be necessary for creation of custom interfaces. Review the accounting software View Notes in the PrintBoss Doc folder for additional instructions concerning the Bank field.

1.) Click Options on the PrintBoss Master Application window and select Form/Bank Request List.

2.) Click on the plus (+) button at the top to add a new blank entry.

3.) Check the Active field to use the Request List Editor.

4.) Enter a word or phrase for the Prompt. It should be something the user will understand represents the bank and form combination. (i.e. "Comp1AP" or "Comp1PR" could distinguish between accounts payable and payroll bank accounts for the same company.

5.) Click on the Form field and choose a PrintBoss form from the list (it may be one just created).

6.) Click on the Bank field and choose the appropriate BankCode. You may need to scroll to view this list. This field may be set to None if this document is not a check.

7.) Check the Auto Pick Enabled check box to configure PrintBoss to automatically pick this entry.

8.) Check the Condition check boxes to set conditions to test against this entry for the auto pick process.

9.) Click OK when you are finished with the Request List Editor.

10.) Click Done when you are finished with the Form / Bank Request List Manager.

Repeat as often as necessary to create a list of all required bank account and form combinations.

You may also click the Import button to import an existing Form / Bank Request List entry. These are saved in the PrintBoss ReqList folder.

NOTE: This utility is not available with PrintBoss Express and PrintBoss Select.


Request List Sort

Once several entries are created, the request list may be sorted by clicking on the Sort button.

Click on the sort order you want to use. You may also group all inactive entries at the end by clicking on the check box next to Cancel.


Request List Editor

Once an entry is created, it may be edited by either clicking the Edit button or double click on an entry. The Request List Editor will open. This is also the dialog where conditions are created.

There are several options across the top of the Request List Editor.

  • Select the Active option to make this entry active when using PrintBoss.
  • Select Default if none of the other Auto Pick Matches to use this entry when no other "Auto Pick" entries match. This entry is ignored when no other Auto Picks are selected.
  • Select Priority to make this entry the default pick when more than one "Auto Pick" matches.
  • The data in the Prompt field is displayed when the Request List is set to Request and generates a list of entries when either there are no matches or when more than one entry matches and no Priority is set.
  • The Form field displays the PrintBoss form that is used when this entry is selected. The PrintBoss form is selected from the drop down menu.
  • The Bank field displays the PrintBoss bank record that is used when this entry is selected. The PrintBoss bank record is selected from the drop down menu. This field may also be set to {DocBank} when this variable is assigned in the PrintBoss form or to {Request} when more than one bank record is used with this PrintBoss form and {DocBank} is not assigned. The Bank files is set to {None} when the selected PrintBoss Form is not a check nor a deposit slip.
  • Enter user notes for this entry in the Notes field. Scroll buttons are available at the end of this field to view additional notes or extend the top of the Request List Editor to enlarge the Notes field.

Under the Auto Pick Enabled section there are five different conditions in the current version of PrintBoss to manually enter coordinates for triggers or conditions. Each condition contains fields for a particular trigger. These conditions are only available when Auto Enabled is selected.

Condition checkbox - Check this box if the trigger is to be active for this request list entry. There can be up to 4 different trigger points for PrintBoss to compare and find a match.

Operator - This field determines how PrintBoss will read the trigger. The most common choices are Fld and Text Exactly Equal and Text Within Captured Fld.

Text - Enter the actual character, word, or phrase PrintBoss is to match. This is the actual trigger. This field is not case sensitive.

Comment - Describe the trigger or where it is located in relation to the page; i.e. "date in top stub".

X - Enter the Inches From Left. You can double click a raw data object in the View window to highlight it and then select the X coordinate in the Request List Editor and hold the Control key while clicking once in the X field to enter the coordinate of the raw data.

+/- The horizontal allowance for the Inches from Left. If the data falls within the deviance measurement given, PrintBoss will find it. For example, if X is 3.500 and the +/- is set to .100 and the data falls between 3.400 and 3.600, the trigger will work.

to - Click on the +/- button to change it the to and enter starting and ending coordinates as opposed to a deviation.

Y - Enter the Inches from Top. You can double click a raw data object in the View window to highlight it and then select the Y coordinate in the Request List Editor and hold the Control key while clicking once in the Y field to enter the coordinate of the raw data.

+/- The vertical allowance for the Inches from Top. If the data falls within the deviance measurement given, PrintBoss will find it. For example, if the Y. is 5.000 and the +/- is set to .080 and the data falls between 4.020 and 5.080, the trigger will work.

to - Click +/- button to change it the to and enter starting and ending coordinates as opposed to a deviation.

Trim - Choose to have PrintBoss trim off excess spaced on either side of the data string before it is compared with the content of the Text field. The choices are No Trim (the default), Left Trim Field, Right Trim Field, or All Trim Field (trim both left and right sides).

Occurrence - Choose the item PrintBoss is to consider if more than one item fits within the given coordinates. The choices are 1st occurrence (the default), All occurrences, or Append occurrences.

Substr. Start - Sets the beginning character space where the data starts in the string. This is only used when the trigger data is captured with other data on the same line. The value should be zero (0) to capture the whole field.

Len - Set the number of character spaces the trigger data uses. This is used in conjunction with the Substr. Start field and only if the trigger data is captured with other data on the same line. This field is not available when Substr. Start is set to zero.

In addition to the labeled fields, there are several boxes that provide options for each condition.

  • Click on the large rectangles at either end of a condition to open a single or double parentheses. These are used to group more than one condition together.
  • Click the small rectangle to the left of the condition to add a NOT condition.
  • Click on the rectangle between conditions to create AND or OR statements. Click twice to select OR.

Add additional conditions (up to 4) as needed by selecting the Condition check boxes. Click OK to save changes.

Notice there is a Test Document Being Viewed button at the bottom of the Request List Editor to test whether the conditions match the document while the raw data is visible. Likewise, there is a Test For Matches button at the top of the Form / Bank Request List Manager window when the document View window is open.

It is very important to make each Auto Pick as unique as possible in the event several request list entries have Auto Pick enabled. If two or more entries match, the request list will popup and display only the matching list entries.

Once the Request List entry is finished, it is a good idea to Export the entry to save a copy in the ReqList folder of the PrintBoss Home Directory. Request List entries are normally sorted by folders when PrintBoss is used with more than one accounting system.


Request List Configuration

Use the following settings to configure the request list:

1.) Click the Options menu on the PrintBoss Master Application and select PrintBoss Driver Settings.

2.) Select Always Capture under Capture Mode.

3.) Click OK to save this setting.

4.) Click the Options again on the PrintBoss Master Application and select Configuration.

5.) Select the Request List determines Form/Bank option under the Always Capture Settings section in the bottom left of the screen. This will set Form to {ReqList} and the Bank to {None}. The actual settings in the Form / Bank Request List Manager will be used.

6.) Check the "PB#INFO" flag overrides above option.

7.) Check the Allow Fragmented PB#INFO line option.

8.) Click OK to finish.

NOTE: The Always Capture Settings section is not available in either PrintBoss Express or PrintBoss Select.


Request List Implementation

When a document is printed through PrintBoss, a dialog box will popup. This list contains all of the prompts set in the Form / Bank Request List Manager. Once a choice has been selected, printing will proceed.

The Request List will not pop-up when the PrintBoss Bank Record is automatically selected.

NOTE: The Form / Bank Request List Manager is not available in PrintBoss Express or PrintBoss Select However, PrintBoss Select is designed to automatically select the Bank Record..


Request List with Auto Selection

This method allows PrintBoss to select specific forms and bank accounts automatically. The weakness of this method is that there is more maintenance required of the user to ensure accurate trigger points. For simplest maintenance, we recommend the use of the Request List without Auto Selection.

See Also: Implementing Request List with Auto Selection or Request List Editor

NOTE: This utility is not available in PrintBoss Express.


Implementing Request List with Auto Selection

When there are multiple Request List entries defined and you want PrintBoss to automatically select the correct entry, there is a facility to tell PrintBoss to look for specific traits of a document to determine the appropriate Request entry to use. PrintBoss looks for the Auto Pick entries and, if none are found, the request list will popup. If more than one entry is found that matches the document, PrintBoss will popup the selection list, BUT it will only include entries with matching traits.

To set Auto Pick for a document:

1) Print the document to the Blank01 form in PrintBoss so that the document can be examined. Be sure the Auto Archiving method on the Form Settings for the document is set to None (Manual) or Overwrite Work File at Start of Batch. This will ensure the document can be viewed.

2) Click on the File menu on the PrintBoss Master Application and select Open Document Work Files.

3) Select the work file with the Form name Blank01 and click Browse.

4) Select the document just printed and click View.

5) Right click anywhere on the document and select View Raw Capture. The view will change to show only the data printed from the accounting software with none of the formatting PrintBoss normally provides.

6) Right Click again, and select View Request List Capture Groups. The Form / Bank Request List Manager will open.

7) Stretch and move both the view and the request list manager if necessary to see the most of both windows.

NOTE: Sometimes one must force a refresh of the view by clicking anywhere in the view.

8) Select the matching request record for this form and check Auto Pick. If there is not matching entry, see Request List Editor .

9) Click the Test for Matches button at the top of the Form / Bank Request List Manager. If PrintBoss recognizes the document, appropriate triggers are already assigned. Click OK. PrintBoss will display a message when it does NOT recognize the document, such as No ReqList Entry worked. Manually setting up auto pick will be necessary. (See Request List Editor .)


Custom Interfaces

Overview

PrintBoss can be configured to work with just about any windows package as long as the operation of printing the document is able to select the PrintBoss Printer Driver. If the accounting software only creates text files, see PrintBoss Text Input Files .

NOTE: PrintBoss Express and PrintBoss Select are not designed for custom interfaces. However, a new form can be created and used if needed. See Create a PrintBoss Form File .

The following are steps for Custom Interfaces

1 Printing to Printer Driver

2 Create a PrintBoss Form File

3 Define a Bank to be Used

4 PrintBoss Request List

5 Driver Settings

6 Print a Test Check

7 Edit the PrintBoss Forms

8 Hints


Custom Interfaces-Printing to Printer Driver

Custom Interfaces

Printing to Printer Driver

The first step is to print to the PrintBoss printer driver. To print successfully, you will need to adjust a few PrintBoss settings. This setup is NOT available in PrintBoss Express and PrintBoss Select.

PrintBoss Settings

1. Create a blank or basic PrintBoss Form File .

2. Click on the Options menu on the PrintBoss Master Application window and choose PrintBoss Driver Settings.

3. Set the Capture Mode to Always Capture.

NOTE: If you cannot make changes on the PrintBoss Driver Settings window, close PrintBoss and run as Administrator. (Right click on the application icon and choose Run as administrator).

4. Click OK.

5. Click on the Options menu and choose Configuration.

6. Remove the check mark from Request List determines Form/Bank if it is there.

7. Click on the Form drop down menu under the Always Capture Settings section in the bottom left corner and choose your new Form File.

8. Set the Bank to an existing bank record or choose None for this initial step.

9. Click OK.

Open your accounting software and print a sample document to the PrintBoss driver installed on your computer. The file will be captured by the designated Form in PrintBoss Configurations Dialog. Navigate to the associated work file (File/Open Document Work Files), select the work file, click Browse, select a document and click View, the right click on the View and select View Raw Capture to finish setting up the form and create a Form/Bank Request List entry to match the data.

Document Number

It is best for the accounting software to send check numbers if you are printing checks. If your accounting software does not pass check numbers, the check number can be set in the PrintBoss Bank List.

Next Step


Create a PrintBoss Form File

Custom Interfaces

Create a PrintBoss Form File

Create a new form for the custom interface:

1) Click the Edit menu on the PrintBoss Master Application window and select Form Files.

2) Click the Create button to create a new Form File. See Create a New Form File .

3) Give the new form a name (8 characters or less) and click OK.

4) A new form will be created with all of the appropriate PrintBoss structures, but the design scripts will be empty (they will be blank).

5) Edit the form either by adding commands through the View or through the Editor. See PrintBoss Form Files .

Create the form to work specifically with the data layout sent by the accounting software.

PrintBoss Enterprise users may select to allow the graphics from the accounting software to be included by PrintBoss. Otherwise, all graphic elements (lines, boxes, shading, logos, etc) are automatically stripped out by all other PrintBoss editions. Select the option to capture Text AND Graphics under the Text / Image Capture Mode section of the Form/Editor/ Settings tab .

PRINTBOSS EXPRESS AND PRINTBOSS SELECT USERS:

PrintBoss Express and PrintBoss Select are programmed to use the standard PrintBoss form files that are installed during the run of Setup.exe (i.e. QB_Chk4.pbf). In order for the new form to be used, rename the PrintBoss Express or PrintBoss Select default form (i.e. rename QB_CHK4.pbf to QB_CHK4.old). This must be done either in a DOS window using the Rename command or in a Windows explorer window by highlighting the file, right-clicking, and choosing the Rename option. Once the default form is renamed, rename the new form file to the default form name (i.e. rename QB_New.pbf to QB_Chk4.pbf) so that PrintBoss Express or PrintBoss Select recognizes it.

Next Step

Go Back One Step


Define a Bank to Use (if this is a check)

Custom Interfaces

Define a Bank to Use (if this is a check)

Click the Edit menu on the PrintBoss Master Application and select Bank List. Highlight an unused bank and click the Edit Bank button. Add your bank information in the available fields. (See Create a Bank Account ).

MICR Tab

If the check number will be passed from the accounting software, set the initial Check Number field to {CChkNo}. Otherwise, leave the check number variable as {BChkNo}. Fill in the other important information. This bank account information will only appear on the printed document if you reference these fields (usually #Text commands ) in the PrintBoss form.

Next Step

Go Back One Step


PrintBoss Request List

Custom Interfaces

PrintBoss Request List

Click on the Options menu on PrintBoss Master Application and select Form/Bank Request List.

Add an entry by clicking on the plus (+) symbol. Check the Active field to designate this account is an active request list entry. Enter a word or phrase into the Prompt field to identify this account (i.e. AP Check). Select the name of the form just created from the Form field drop down menu. Select the appropriate bank name (or {NONE} if this is not a check) in the Bank field from the drop down menu.

Repeat as often as necessary to create a list of all your required bank account and form combinations.

PRINTBOSS EXPRESS AND PRINTBOSS SELECT USERS:

The Options/Form / Bank Request List menu is not available in PrintBoss Express and PrintBoss Select. To use the new form file, see Create a PrintBoss Form File .

Next Step

Go Back One Step


Custom Interface Driver Settings

Custom Interfaces

Driver Settings

Click on the Options menu on the PrintBoss Master Application and select PrintBoss Driver Settings. Set the Capture Mode to Always Capture. If you cannot make changes on the PrintBoss Driver Settings window, close PrintBoss and run as Administrator (right click on the application icon and choose Run as administrator).

Next Step

Go Back One Step


Print a Test Check

Custom Interfaces

Print a Test Check

Return to the accounting software and print a check (or other document) to PrintBoss. Make sure the accounting software selects the PrintBoss Printer Driver. The Request List will pop up if PrintBoss does not recognize the data. Choose the appropriate entry. Choose the appropriate Bank Record if prompted.

PRINTBOSS EXPRESS AND PRINTBOSS SELECT USERS:

PrintBoss Express and PrintBoss Select are programmed to use the standard PrintBoss Form files that are installed with the program. No request list will be available for PrintBoss Express and PrintBoss Select users to pick a form. See Create a PrintBoss Form File for instructions on how to make PrintBoss Express or PrintBoss Select use the custom form.

Next Step

Go Back One Step


Edit the PrintBoss Form

Custom Interfaces

Edit the PrintBoss Form

Switch back to PrintBoss. Start editing the new form.

1) Click on the File menu and select Open Document Work Files.

2) Highlight the form you are using (i.e. MY_AP) and click the Browse button.

3) Select View. Double click any object to see its coordinates in the properties dialog.

4) Edit the form to make any necessary adjustments. See PrintBoss Form Files for more information.

5) Assign any text objects that needs to be moved or reformatted. The following assignments should be made:

  • DocAmnt
  • DocNo
  • DocRecip
  • DocDate

NOTE: The assignments should be made before all region moves (see #Assign and #RegionMove ). Define and verify the assignments prior to final region moves. (See Editing Forms ).

OTHER HINTS

Go Back One Step


Hints

Custom Interfaces

Hints

It is usually easier to blank out a second advice that may appear since PrintBoss can create its own using the Block Mirrors feature on the Form Editor.

Normally, RegionMove commands are used to align the advice and check sections appropriately on the PrintBoss check stock. For this reason, it does not matter what order the source check is (Advice-Check, Check-Advice, Advice-Check-Advice), it can always be adjusted to fit PrintBoss' standard check stock. It is best to use a separate Region Move command for each of the two sections.

Usually it is easier to capture the fields on the check and assign them to variables, then place each field individually with #Text commands. A common exception to this is the advice detail that can be placed accurately with the RegionMove command. (See PrintBoss Form Files ).


Importing Custom Files

Custom files provided by Wellspring Software should be installed into the PrintBoss Home Directory. Typically, a different location is required for each file type. Files are installed automatically to the correct location when they are copied and pasted on top of the PrintBoss Master Application. There is also a utility within PrintBoss that allows copying many of these files to the appropriate location.

  • Open the PrintBoss Master Application and select Utilities/Install Modules.
  • Select the Import Files tab. This tab supports the following file types:

Type Location File Extension

Documentation ...\PrntBoss\Doc *.wri, *.txt, *.rtf

Forms ...\PrntBoss\Forms *.pbf

Graphics ...\PrntBoss\Logos *.bmp

Hand Checks ...\PrntBoss\Handcheck *.pbh

Positive Pay Specs ...\PrntBoss\PosPay *.ppp

Registration ...\PrntBoss *.reg or *.lic

Samples ...\PrntBoss\Samples *.pbf, *.smt, *.dbf

Signatures ...\PrntBoss\Logos *.sig, *.bmp

Specs ...\PrntBoss\Specs *.spc, *.rpt, *.pak

Text Capture Specs ...\PrntBoss\Textcapt *.pbt

Text File Samples ...\PrntBoss\Sam_Data *.txt

(the "Sam_Data" directory can be created by the user)

  • Click on the browse button ( ... or folder icon) to the right of the File to Import field.
  • Select the file provided by Wellspring Software and choose Open.
  • The File Type and Destination Folder will be selected automatically for standard file types. Select the appropriate Destination Folder when the file type is not standard.
  • Click the Copy File button once the appropriate File to Import and File Type are displayed. This will copy the file from its current location (floppy disk or e-mail) and put it into the appropriate PrintBoss directory.

NOTE: Wellspring Software does not create any custom PrintBoss form files for PrintBoss Express or PrintBoss Select. PrintBoss Standard or Enterprise needs to be installed if custom forms are needed.


PrintBoss Text Input Files

Overview

Some accounting software systems are not able to select specific Windows printer drivers for their printing functions. Occasionally, the accounting software can easily generate a text file of the print job instead. Normally this file is an ASCII text file. PrintBoss uses a Text Input File Specification to define a location to search for and input this file as well as how to process it. The Text Capture Specification File also tells PrintBoss the PrintBoss Form file to use and whether to use a bank record.

All of the PrintBoss standard interfaces use the printer driver method. Older standard text capture interfaces do not work with the current version of PrintBoss. This method is only made available for custom interfaces and will most likely be phased out. If there are any questions, please contact Technical Support .

This text capture method is recommended when printing to the PrintBoss printer driver is not available. Otherwise, see Custom Interfaces .

The following are topics on Text Input Files:

What Starts the Process

Input Files after Processing

Form and Bank Selection

Text Capture Files Required

Text Input Files Setup

Using PrintBoss with Text Input Files

NOTE:

Print Driver vs. Text Input File Capture Method

The Print Driver method sends data from the accounting software to the PrintBoss driver and launches the PrintBoss application. The program combines the data with the selected electronic form. The combined data is then sent to the selected laserjet printer.

The Text Input File Capture method sends data to a file which is then read by PrintBoss. This information is combined with an electronic form and is then printed to the selected laserjet printer. PrintBoss may actively search for these files and print them immediately, or it can be configured to require a prompt before printing begins.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture - What Starts the Process

What Starts the Text Capture Process

An operator may manually switch to the PrintBoss application and select File / Process Text Input Files. When Auto Scan is turned on, PrintBoss will watch for the existence of the input file at the specified location and process it as soon as the accounting software is finished appending data to the file. The Auto Scan mode is very convenient, though it is best to turn it off until testing is complete. The PrintBoss Master Application must be open for Auto Scan to work.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Text Capture - Input File after Processing

Typically, input files should be erased after they are processed. PrintBoss provides options to erase automatically, prompt the operator to erase, or do nothing at all.

NOTE: When PrintBoss is in Auto Scan mode, there is no option. The input file erased automatically. Otherwise, PrintBoss would end up in a processing loop.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture - Form and Bank Selection

Text Input File - Form and Bank Selection

The most straightforward choice is to have the bank and form explicitly set in the Text Input File Specification Edit Settings Tab . There are a number of alternatives. Fields in the text file may dynamically choose the form and/or bank. Alternatively, you may have the Form and/or Bank selected in a Popup Menu at the start of each run.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Files Required

Text Capture Files Required (3 Files Required)

<CaptFile>.PBT

This is the Text Input File Specification. It is located or created in the PrntBoss\TEXTCAPT directory.

This is the file that identifies to PrintBoss the form and/or bank to use, where and what text file(s) to look for, how the text file is structured, how to manage the text file before and after it is processed, and what assignments are used (if any).

<Captfile>.TXT

A sample input file is helpful for testing. Copy it to the PRNTBOSS\SAM_DATA directory. The .PBT file will usually have a reference to the file in this location as a way to test the files. In production, a similarly structured input file will be processed, but it will probably be somewhere else on the computer or shared network drive.

NOTE: The file does not need to have the extension .TXT, though this is a common choice.

<CaptFile>.PBF

This is the PrintBoss Form File and is located in the PRNTBOSS\FORMS directory.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Files Setup

Text Input Files Setup

It is recommended that a sample input file be created before any setup is done in PrintBoss. This sample input file can be placed in the PrntBoss\Sam_Data\ directory for reference and testing purposes.

1) Setup the proper Bank

Unless printing documents that will not use banks, such as an invoice, select Edit/Bank List and fill in any bank records that will be used. The MICR line is of special concern. If the check number is being passed (and then captured) in the text file, the beginning of the MICR line should reference the internal variable {CChkNo}.

2) Create a Form

Create a new form for each new interface (See PrintBoss Form Files ). An existing form can be modified or copied to a new name, preserving the original form, and then modified.

3) Create the Text Input File Specification

Click on the Edit menu on the PrintBoss Master Application and select Text Input File Specs . Click the Create button to create a new file and enter the filename. Click OK save this file. Then select the Text Input File Spec you just created and click the Editor button.

The following tabs are displayed on the Text Input File Specification Edit window. Click on the links for more information on each tab.

Settings

Capture Files

Assignments

Pre/Post Opr.

Notes

4) Setup for testing

  • Usually it is helpful to start by printing sample text files. Save the text file to a directory on the local computer or network drive. We recommend saving the files in the PrntBoss\Sam_Data\ directory.
  • Open the PrintBoss Master Application and click on the Edit menu.
  • Select Text Input File Specs .
  • Select the appropriate file and click the Editor button.
  • Check the Specification Active checkbox.
  • DO NOT check Auto Scan at this point. Otherwise, PrintBoss will erase the sample file the first time it is printed.
  • Select the appropriate Page Method to accurately process the input file.
  • Set Text File Before Processing to Prompt for process if exists.
  • Set Text File After Processing to Prompt for Erase.
  • Select a Default Form, such as Blank01, from the drop down menu.
  • Select a Default Bank, if applicable, from the drop down menu or set the default to {Request}.
  • Select the Capture Files tab and set the path to the sample text file.
  • Click OK to save these changes.
  • Click Close to close the Text File Capture Spec Selection window.
  • Now click on the Files menu on the PrintBoss Master Application and choose Process Text Input Files.
  • Click Yes to process your sample when prompted.
  • Do Not erase the sample file (click No).

5) Miscellaneous Settings

Be sure to click the Options menu on the PrintBoss Master Application and select Form / Bank Request List to define the conditions that will be used if you are using the Request List {ReqList} to select the Form and Bank.

Change the following settings in the form file to reflect any additional needs:

Number of copies ( Settings )

Set the order and type of copies ( Multi-Part Settings )

Printing immediately or later in a batch ( Multi-Part Settings )

Change the following settings in the bank record to reflect additional needs. The associated commands should be placed in the Footer Objects tab of the form file:

Add signatures or logos ( Bank Account - Signatures & Logos Tab )

Add a second signature line, etc. ( Bank Account - Miscellaneous Tab )

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Edit - Settings Tab

Text Input File Edit - Settings Tab

This tab has management settings for the text input file and text capture interface. Select the appropriate settings for this interface. The Specification Active check box should be selected. Do no select the Auto Scan check box until all testing is complete. Be sure to select the correct Form and Bank settings at the bottom of this tab. Custom dll files are only used with Wellspring Software created interfaces. Click on a field below for more information about that field.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select..


Textcapture Edit - Capture Files Tab

Text Input File Edit - Capture Files Tab

This tab lists all the locations and file names that PrintBoss should search for input files. Multiple locations and file names may be included. Enter each path on a separate line.

An asterisk ( * ) may be used as a wild card. For example:

C:\Checkfiles\ *.txt will process any files with the TXT extension in the C:\Checkfiles directory

C:\Checkfiles\ap*.* will process any files starting with the letters ap that appear in the C:\Checkfiles directory

A network drive may also be used for input files. The user must have read and write access to this drive location for PrintBoss to process the file. It is best to only have PrintBoss process files from a local directory when using the Auto Scan mode.

Prior to using the Auto Scan mode, it is important to comment the path to the sample files. If they are automatically printed, the sample text capture files will be automatically deleted. It is better to keep them for testing purposes. You can comment the sample files by putting the pipe | symbol in front of the path. On the keyboard, the pipe symbol looks like two vertical lines and is typed by pressing the Shift + back slash keys.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Edit - Assignments Tab

Text Input File Edit - Assignments Tab

This tab defines the structure of the text file for PrintBoss. Occasionally, no assignments are made by the text input file specification. If the text is set to pass through to the form, all assignments may be made by the PrintBoss Form file. Even if all assignments are made by the form, the Text Input File Specification is necessary to determine the location of the file and the structure of the file for objects like page breaks.

The syntax of the samples in the image below is as follows:

<Variable Name>, '<trim and character count>', <tab number>, <line number>

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Edit - Pre/Post Opr. Tab

Text Input File Edit - Pre/Post Opr. Tab

This tab allows PrintBoss to evaluate the text file before and after the processing. Most often this tab is used to copy the text file to a different directory for archiving purposes.

This tab is only used by specialized interfaces created by Wellspring Software.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Textcapture Edit - Notes Tab

Text Input File Edit - Notes Tab

This tab allows you to add comments for this text input file.

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


Using PrintBoss with Text Input Files

Once the Text Capture Setup is complete, PrintBoss needs to be open to process or scan the transfer files. PrintBoss may be loaded automatically from the Startup folder in Windows or it may be loaded as minimized. To start minimized, edit the properties of the icon that starts PrintBoss (in the Startup folder if automatic startup) and change "Run: Normal window" to "Minimized" from the drop down menu. Also, add " /MIN"on the command line containing the path to the program.

If the Auto Scan mode is not turned on, switch to PrintBoss after the transfer file is created and select Files/ Process Text Input Files to print documents. A prompt may appear or it will run automatically depending on the setup in the Text Input File Specification .

NOTE: This utility is not available in PrintBoss Express and PrintBoss Select.


PrintBoss FAQs

Here are some of the most frequently asked questions our customers ask us. We included these FAQs with our manual and to save you time and money. Please take a moment to browse through these to see if your questions are here. Click on a question to be linked to the answer.

1) Can PrintBoss print Canadian cheques?

2) Can PrintBoss print other documents besides checks?

3) What kind of printer is needed to print documents with PrintBoss?

4) How should the PrintBoss printer driver be configured?

5) Should PrintBoss be the default printer?

6) Can different copies be printed to different trays on the same printer?

7) Can different copies be printed to different printers?

8) Can PrintBoss print a signature on a check?

9) Can custom designed forms be used?

10 How can I add a second signature line to a check?

11) How can I print a signature only for certain dollar amounts?

12) How can I adjust the MICR Line?

13) What logo formats can PrintBoss read?

14) How can I add a logo to a form?

15) What if there is a logo for only some companies?

If you still have questions after reading the manual, searching the help files, or checking the technical notes posted on our web site, please do not hesitate to call us. We are also open to suggestions on how we can make our product more convenient to use.

In addition to Technical Support Contracts, Wellspring Software supplies customers with High Security Check Stock in different colors, envelopes, MICR Toner Cartridges, custom forms, and signature disks.

Please check out our web site at www.wellspringsoftware.com for further information about our products and services. Thank you.


FAQ - Can PrintBoss print Canadian checques?

Can PrintBoss print Canadian cheques?

Yes! PrintBoss is distributed with standard forms that allow checks to be printed in both the standard American format and Canadian format as desired. In most cases, the only modification necessary is to check the Canadian Style Date/Amount box in the Special Items area of the Miscellaneous tab on the Bank Edit window for the selected bank record. Please consult the Canadian Customer section of the Support Documents page of our web site for more information on compliance with the Canadian standard.

See Also: #Canadian Date Command


FAQ - Can PrintBoss print anything besides checks?

Can PrintBoss print other documents besides checks?

Yes! PrintBoss can be made to print a variety of accounting forms such as invoices or statements. These forms are printed on blank paper. PrintBoss specializes in printing multiple part forms. Each copy of a form is printed on plain copy paper saving money over carbon-less forms and making it easier to segregate the form copies. In addition, each copy of a form can be printed in a different order to make it easier to file different copies.

NOTE: PrintBoss Express and PrintBoss Select are for check printing only!


FAQ - What kind of printer is needed to print documents with PrintBoss?

What kind of printer is needed to print documents with PrintBoss?

PrintBoss requires a PCL5e or PCL 6 compatible LaserJet printer (100% HP compatible). PrintBoss can access any font that is available to the printer. Both internal fonts or cartridge fonts can be used to make your form look great. The availability of MICR toner is also important so that PrintBoss can produce a MICR line on the check that is readable by magnetic scanners. Check with your bank to determine if they require MICR Toner and be sure to investigate whether MICR Toner is available for your printer.

Be sure to use the PCL5 or PCL 6 driver for whatever printer is selected.


FAQ - How should the PrintBoss printer driver be configured?

How should the PrintBoss printer driver be configured?

Install the PrintBoss printer driver through the PrintBoss setup program. This process will configure the driver properly for all systems. DO NOT change the properties of the PrintBoss printer driver.

Do not alter the Laser Jet driver to use the PrintBoss driver.


FAQ - Should PrintBoss be the default printer?

Should PrintBoss be the default printer?

NO. The only time PrintBoss should be selected for printing is to print specific documents required to pass through PrintBoss.

The PrintBoss printer driver SHOULD NOT be designated as the Windows system default printer nor should it be set as the accounting software's default printer unless specifically indicated in the View Notes for the accounting software. The PrintBoss printer driver should also never be selected as the PrintBoss default printer since PrintBoss needs to print to an actual physical printer.


FAQ - Can different copies be printed to different trays on the same printer?

Can different copies be printed to different trays on the same printer?

Yes. This selection is made within the PrintBoss form. Edit the Form file and select the Multi-Parts & Printers tab. For each copy, including the original, there is a setting for the Source Tray. Click on the drop down menu to select the desired tray. Since these tray names are defined by the printer, the names may change depending on the printer model selected within the PrintBoss application.


FAQ - Can different copies be printed to different printers?

Can different copies be printed to different printers?

Yes. This selection is made within the PrintBoss form. Edit the Form file and select the Multi-Parts & Printers tab. For each copy, including the original, there is a setting for the Destination Printer/Device. Click on the drop down menu to select a printer. If the copy is to go to the standard PrintBoss printer, select <Default PrintBoss Printer> in the Destination Printer/Device column. Change the Printer & Tray Selections Saved In.. setting below the printer list to <Form> Settings Effect All Users to save this change in the form for all PrintBoss users.


FAQ - Can PrintBoss print a signature on a check?

Can PrintBoss print a signature on a check?

Yes. PrintBoss can add a .BMP, .JPG, or .PCX file as a signature on a check. PrintBoss can also print a secure signature file on checks. The secure signature requires a special disk (CD or USB key) to be inserted into the computer to verify authorization to print the signature and has an extension of SIG. PrintBoss can print multiple signatures on a check if required. Contact Wellspring Software for more information on secure signature files.


FAQ - Can custom designed forms be used?

Can custom designed forms be used?

Wellspring Software can create a custom form according to your specifications. Submit a sample or a description for a quote. For additional information, contact Wellspring Software.

See Also: Custom Interfaces

NOTE: Wellspring Software does not make custom forms for PrintBoss Express and PrintBoss Select.


FAQ - How can I add a second signature line to a check?

How can I add a second signature line to a check?

PrintBoss can include a second signature line on a form based on the associated bank account. Click on the Edit menu and select Bank List. Highlight the bank record that requires a second signature line and click the Edit Bank button. Click on the Miscellaneous tab and check the first Miscellaneous Flags check box. The description should read 2nd Signature Line. Click OK. Repeat for any additional accounts requiring a second signature line. The second signature line is immediately available to view in the Form Editor or will appear the next time checks are printed from the selected bank record.


FAQ - How can I print a signature only for certain dollar amounts?

How can I print a signature only for certain dollar amounts?

A condition can be added to the command that prints the signature or signature line to print for a certain dollar amount or range. See #AmntRange . Often a suggested amount range is added to both the signature command and the second signature line in the standard PrintBoss forms. A quick way to add an amount range to a signature is through the bank record. Click on the Edit menu and select Bank List. Highlight the bank record that requires a dollar limit and click the Edit Bank button. Click on the Signature & Logos tab and enter Hi and Lo values for the signature. The Lo sets the value when the signature will display or print while the Hi sets the value when the signature will NOT display or print. Click OK to save changes. Repeat for any additional accounts requiring a signature amount range.

See the Footer Objects tab of the form to view or change the code for the signature line. The signature Line commands are often located near the bottom of the Footer Objects tab.


FAQ - How can I adjust the position of the MICR line?

How can I adjust the position of the MICR line?

Click on the Options menu in PrintBoss and select Configuration. The MICR Offset Adjustment on the Settings tab has two fields: Left/Right and Top/Bottom. The defaults are set to zero. Use the MICR Adjust Wizard to properly adjust the MICR line. The setting is workstation and printer specific.

See Adjustment of MICR Placement for more information.


FAQ - What logo formats can PrintBoss read?

What logo formats can PrintBoss read?

PrintBoss can read logos that are formatted as .PCX , .JPG , or .BMP files. PrintBoss can only print in black and white (shades of gray) with .PCX files, so it is best to start with a logo saved in a monochrome format. BMP and .JPG files can be in color.


FAQ - How can I add a logo to a form?

How can I add a logo to a form?

Use a #PIC command in the form file. If the same logo will appear on all documents regardless of the Company, then reference the file name in the command. Otherwise, reference the variable {BLogoFile} and select the file name of the logo in the respective field in each bank account that will use a logo. The logo file should reside in the PRNTBOSS\LOGOS directory.

Below is a sample of a #PIC file with a logo from a bank record followed by a sample of a logo added directly to the form:

#[!E, {BLogoFile}]Pic {BLOGOX}, {BLOGOY}, '{BLogoFile}', '/Size:{BLogoSize} /HideErr /MIR',,DEFGA

#Pic 0.3, 7.8, wellspringLogo.bmp, ,,DEFGA

The Logo files are often added to the RunTime Objects tab of the PrintBoss form in the 'Company Name and Address on check' section.


FAQ - What if there is a logo for only some companies?

What if there is a logo for only some companies?

If a logo will print to the left of the Company Information on a check, the Company Information should be shifted to the right. If several companies are using the same PrintBoss form and not all use a logo, this can still be accomplished with several conditions on the commands to print the information and logo. Most standard PrintBoss forms can handle these situations automatically.

If using our standard form files, simply select the logo file name in the appropriate bank account record. Click on the Edit menu in PrintBoss and select Bank List. Highlight the account and click the Edit Bank button. Select the Signatures & Logos tab and enter the correct File Name in the Logo Properties field. The form will automatically add this logo when printing checks from this account and shift the company information accordingly. If there is no logo file name in the bank record, the company information will be left justified and no logo will print.

Logos can also be added using the Signatures & Logos Wizard beginning with PrintBoss version 5.71.2 and above.


About Screen

About PrintBoss

Click the Help menu and choose About to get system information on the PrintBoss program.

Check for PrintBoss Updates Online - This button allows a workstation that is connected to the internet to poll our website to check for a newer posted version of PrintBoss. Options for updating will be provided if a newer version exists. A current service contract is required to update your software.

This option may be restricted by the security settings within PrintBoss. See PrintBoss Security .

The List Current Users button at the bottom of the About PrintBoss window lists all users who currently have PrintBoss open. All users must close out of PrintBoss before updating. PrintBoss will close automatically for the user who selects the Check for PrintBoss Updates Online button.

Version Info - This section lists the version of the executable that is currently open. It also lists the version information for the PrintBoss printer driver installed on the workstation.

License - This section lists license information including the serial number and site location. Please see your license agreement for more detail.

Directories - This section lists the directories for the PrintBoss program executable that is currently open and the Home directory indicated by the settings. Please see PrintBoss Home Directory and Driver Settings .


Miscellaneous Utilites Tab

Utilities / Install Modules - Misc Liscence Codes Tab

The Misc. License Codes Tab on the Module Installation Utility window is for use as directed by Wellspring Software Technical Support. This tab allows activation of evaluation copies (limited time only) and activation of updates.

Click on the Utilities menu on the PrintBoss Master Application window and choose Install Modules to find the Misc. License Codes tab.


Info Panel

On the right hand side of the Master Application screen of PrintBoss is an Information Panel with 4 fields of information.

Site: Displays the registered location of your copy of PrintBoss. Usually, this is a city and state.

Company: Displays the Company Name who purchased and registered PrintBoss. Demonstration will display if this is a demonstration copy (demonstration copy will print on all documents). Evaluation will display if this is an evaluation copy (fully functioning for a limited time period, usually 30 days, and then demonstration copy will print on all documents).

Serial No.: Displays the 6 digit serial number of the registered product or the 5 digit serial number of Demonstration and Evaluation copies. Serial numbers beginning with 7 or 1 indicate a standard PrintBoss, Select PrintBoss, or Enterprise edition. Serial numbers beginning with 8 or 2 indicate a PrintBoss Express edition. The letters Ent after the serial number indicate the PrintBoss Enterprise edition and the letters Sel indicates the PrintBoss Select edition.

Operator: Displays the user name of the person logged into the PrintBoss security. Otherwise, it displays the name of the person logged into Windows.


Capturing Status Panel

The Capturing Status panel displays information on the most recent batch passed through to PrintBoss. This area automatically clears when the PrintBoss application is closed.

Batch Date - the date the current batch was processed through PrintBoss

Time - the time the current batch was processed through PrintBoss

Count - the number of documents counted in the recent batch followed by counting status (in process or complete)

Trigger Name - depending on the trigger method used, this field will display capture, flag, or text

Form - displays the name of the PrintBoss Form selected with this batch

Bank - displays the Bank Code for the account selected with this batch

Message - errors are reported here; usually, these fields are blank when processing is successful

The Capturing Status panel may be suppressed/unsuppressed on the Menus tab of the Configuration Dialog. Click on the Options menu in PrintBoss and select Configuration. Click on the Menus tab and select the Enable Master Menu Status Panel check box. The Capturing Status panel will be visible on the Master Application window when this is checked. When this is not checked, the Capturing Status panel will be cropped from the Master Application window.


File Capture Status Window

(Rotating Dash)

The Rotating Dash appears just above the Capturing Status panel on PrintBoss Master Application if the Use NT/2000 driver is checked on the Configuration Settings tab in older versions of PrintBoss, or if Enable PrintBoss Windows Printer Driver Processing is checked on the Configuration/ Settings tab in newer versions of PrintBoss. This includes actively searching for a file ( Text File Processing ) in Auto Scan mode. If the Capturing Status Panel has been suppressed, then the rotating dash will appear in the lower left corner of the Master Application window.

Click on the rotating dash to open a list of the files PrntBoss is searching for and the time interval of the search.

A sample of a list of files PrintBoss is searching for (Auto Scan File Capture & NT Driver) is shown below:


10 Things to Know Before Calling Technical Support

Have the answers to the following 10 questions before contacting Technical Support:

1) PrintBoss serial number (on the Master Application window)

2) PrintBoss version (on the About window)

3) The printer model you are using

4) The operating system on the computer(s) running PrintBoss

5) Does the problem occur on all computers that use PrintBoss?

6) Can the accounting software print to the correct printer hardware?

7) Can PrintBoss print to the correct printer hardware?

8) What are the PrintBoss HOME & EXE values?

9) Is the problem consistent? Exactly when does it occur?

10) When was the last time PrintBoss worked successfully? What has changed in your system since then? (Nothing is too insignificant).


Troubleshooting

Be sure to review the special instructions (View Notes) for the accounting system you are using. Go to the PrntBoss\Doc\directory to find the appropriate file and print it. If the problem is related to the accounting software, please search the accounting software manual for the solution.

See Also:

  • Find your PrintBoss version
  • Accpac for Windows
  • Dynamics
  • QuickBooks
  • NT/W2000 Workstations
  • Vista
  • Window 7
  • General questions

Please visit our Troubleshooting Help pages at www.Wellspring Software .com for additional information.


TS - Accpac for Windows

Sage 300 ERP

Error message: The batch of documents sent to PrintBoss does not have a flag appearing anywhere in the document.

There are two possible causes when this message is encountered. First, the Crystal Report sent to the PrintBoss printer driver must contain a trigger line. If it does not, PrintBoss cannot recognize the capture file. Second, if the report sent to PrintBoss does contain a valid trigger line, then it is likely that the Allow Fragmented PB#INFO line check box is not selected in the Settings tab of the Options/Configuration window. This option must be checked for PrintBoss to recognize certain reports sent from Accpac.

The Allow Fragmented PB#INFO line option was moved to the Configuration/Legacy tab in PrintBoss version 5.70.3. It is selected by default.

When printing a document to PrintBoss, there is a paragraph of information on the page.

The PrintBoss/HP Compatible printer needs to be selected within Accpac just before printing. Usually, you will need to click on the current Accpac window's File menu and select Printer Setup. Then choose the PrintBoss printer driver (either PrintBoss/HP Compatible, PrintBoss NT40, or PrintBoss 50, depending on your version of the software). This is an old issue and no applicable to Accpac 5.5 and above.

If you are printing to Preview, Accpac may default back to the system's default printer. The PrintBoss printer driver will need to be reselected after each Preview.

The check number is skipping when printing checks.

There is a setting to change within Accpac to fix this error.

Accpac won't hold the PrintBoss printer in memory.

Accpac will automatically use the system's default printer when printing to Preview unless a different printer is reselected each time. We recommend manually setting the printer destination.

Select the Printer setup within the current Accpac window just before printing a Preview of the document. Accpac should remember this printer the next time this type of document is printed for this company.

Checks printed through PrintBoss are not formatted properly.

Click on the File menu within Accpac and select Print Destination. The Report Orientation and Report Paper Size must both be checked. The Use A4 instead of Letter must NOT be checked. If there is a choice between letter and legal as the default paper size, choose letter.

Single checks are incorrectly formatted and multiple pages are printing.

Click on the File menu within Accpac and select Print Destination. The options for Report Paper Size and Report Orientation must be selected. the option to use A4 paper instead of letter should NOT be selected. If there is a choice for the default paper size, choose letter.

Accpac is printing to the physical printer when the PrintBoss 50 driver is selected

Verify the PrintBoss 50 driver is set as the default printer in the crystal report. The PrintBoss delivered crystal reports already have this set beginning with Accpac version 5.5. You may also need to updated your crystal report to be compatible with the crystal report engine in Sage 300 ERP if you have recently updated this application.


TS - Dynamics

Microsoft Dynamics GP

The checks are still printing as if using pre-printed stock.

Make sure the security has been turned on for this user /company/workstation combination. See the specific installation notes for Dynamics for details.

Review the settings within Named Printers to verify only documents intended for PrintBoss are sent to the PrintBoss printer driver.

A pop up list is constantly appearing when printing checks.

Make sure the security has been turned on for this user /company/workstation combination. See the specific installation notes for Dynamics for details.


TS - Quickbooks

QuickBooks

No Company Information is appearing on the checks

Make sure to select the option to print the Company Address within the QuickBooks printer setup.

Neither the MICR Line nor the Bank Information print on the checks.

Verify the PrintBoss driver is selected as the check printer in QuickBooks.

Error message: You have printed a document to PrintBoss that is NOT recognized by PrintBoss. Specifically, no entry in the "Form/Bank Request List" matches this format.

Make sure the check style selected within QuickBooks is voucher style. Also, make sure the amount of the check is at least $0.01. Zero dollar checks are not recognized by PrintBoss.


TS - W2003 Server

W2003 Server

I am unable to install the PrintBoss Printer Driver when installing Printboss on a W2003 Server for use with terminal services.

The newest version of PrintBoss will automatically install the PrintBoss 50 printer driver. If the PrintBoss NT40 printer driver is necessary, a group policy will need to be changed.

See Also: PrintBoss Printer Driver


TS - NT/W2000 Workstations

NT / W2000 Workstations

When installing PrintBoss on an NT/W2000/WXP workstation, I am unable to install the PrintBoss Printer Driver.

Log in as Administrator before installing PrintBoss. Reboot the workstation after installing the printer driver.

When running PrintBoss on an NT/W2000/WXP workstation, PrintBoss does not launch automatically.

Log in as Administrator, rerun the workstation install, and restart the workstation. The PB32stub.exe file should save into the Windows/System32 directory. This process should run in the background to allow PrintBoss to automatically load. The Window's Task Manager will list this process when it is running.


TS - Vista Operating System

Vista Operating System

I cannot access the PrintBoss printer driver settings on a Vista workstation.

Vista requires the person logged in to be an administrator to change the printer driver settings. Close PrintBoss, right-click on your PrintBoss application icon, and choose Run as administrator. Click Continue on the User Account Control window. The settings on the PrintBoss Driver Settings window will now be available.


TS - Windows 7 Operating System

Windows 7 Operating System

PrintBoss opens, but nothing prints.

Windows 7 runs applications as User, even when the person logged into the computer has Administrative rights. As a result, the User Account in Windows 7 needs Full Control of the C:\Program Data\Wellspring folder. The Wellspring folder is the location where the Transfer and Spool temporary files are saved. The Program Data folder is hidden by default, so remember to adjust folder options to 'Show Hidden Files...' in order to locate the Program Data folder.

I cannot access the PrintBoss Driver Settings on a Windows 7 workstation.

Similar to Vista, Windows 7 requires the person logged in to be an administrator to change the printer driver settings. Close PrintBoss, right-click on the PrintBoss application icon in the Start menu, and choose Run as administrator. Click Continue on the User Account Control window. The settings on the PrintBoss Driver Settings window will now be available.


TS-General

General

The documents are printing from the wrong printer.

  • Verify the accounting software is printing to the PrintBoss printer driver.
  • Click on the File menu in PrintBoss and select Printer Setup. Choose the correct printer.
  • Edit the PrintBoss Form file and select the Multi-Parts & Printers tab. The Destination Printer/Device should reflect the correct printer for each copy. The Form Printer/Device area of this same tab should display <Default PrintBoss Printer> as the Form printer.

The documents are printing from the wrong tray.

  • Leave the printers set to their auto select / default tray choice.
  • Edit the PrintBoss Form file and select the Multi-Parts & Printers tab. Select the correct Source Tray for each copy. The tray choices listed are from the current printer selected in the PrintBoss program under File/Printer Setup or the Destination Printer/Device if something other than Default PrintBoss Printer is selected. It may be necessary to test the different choices to find the correct tray name.

The printer requires a manual prompt on the form feed button between each page.

  • Make sure to choose the correct tray from within the PrintBoss form (Multi-Parts & Printers) instead of the printer settings.
  • If the tray is chosen within the PrintBoss form, Manual tray was selected. Choose a different setting for the tray you want.

The signature does not print.

  • Verify the signature disk is in the correct drive (if required).
  • Verify a copy of the *.sig file from the disk is placed into the PRNTBOSS\LOGOS directory.
  • Verify the there is a valid path and file name in the PrintBoss Bank record.
  • Verify the PrintBoss Form references the signature file correctly (often the syntax is incorrect) when the signature is added directly in the form instead of the bank record.

The signature prints on void pages of multiple page checks.

  • Add the following condition to the signature command in your PrintBoss Form:

[ AmntRange , 0.01]

  • An example command would look like this:

# [AmntRange, 0.01]PIC 5.2, 9.85, "Your_Sig.Sig" OR

#[FileExists,÷{BSigFile}÷][AmntRange,{BSigLo},{BSigHi}]Pic {BSIGX}, {BSigY}+.1, '{BSigFile}', '/Size:{BSigSize} ',,DEFGA | where .01 is added in the Lo field on the bank record.

The logo is the wrong size.

  • Click on the Edit menu and select Form Files if the logo should be printed on all documents that use the form. Highlight your form and select the View button. A rough view of the form will appear (no data). Double click on the logo. Select the Percent option to adjust the horizontal and vertical size proportionately in the Properties dialog box that opens. Click OK when you are finished and the adjusted logo will appear.
  • If the logo is printed according to the bank account, edit the bank list. There are 4 fields that reference the Logo for this account. The first is the file name. The last one is where you can enter the Option: /Size:xx where xx = the adjustment percentage (both vertical and horizontal). This replaces the {BLogoSize} variable in #PIC command for the logo.
  • Any changes will take affect the next time the logo is printed from this account.

My signature prints on only some of the documents in the batch.

  • Check to see if there are any conditions on the signature command. This may be why it is not printing on some documents (i.e. signature with an amount range).
  • If there are no conditions on the graphic signature command, you may need to update the printer driver or install more memory in the printer. (See also Conditional Commands ).
  • Be sure to download the latest PCL5 driver for the printer and operating system if you are upgrading the printer driver.

The MICR Line is cut in half.

  • First, download the latest driver for the LaserJet printer. Verify it is a PCL5 or PCL6 driver.
  • If that does not work, adjust the MICR line by running the MICR Adjust Wizard in the Options/Configuration/ Settings window. See Also MICR Adjust Wizard.

The Company Name and Address lines do not fit within my envelope window.

  • Edit the respective PrintBoss Form. Click on the Edit menu on the PrintBoss Master Application and select Form Files.
  • Highlight the appropriate form and select the View button.
  • Click on the Company Name and drag it to the desired location. The Company Address will usually adjust proportionately if you are using a standard PrintBoss form.
  • Close the View and save the changes. These changes will apply to all companies using this form.


Form Settings Tab - Collapsed When Opened

Select this option to minimize the bottom portion of the Print Copies Dialog from the Scope down when it is opened by PrintBoss.


Form Settings Tab - Printer Paper Size

Printer Paper Size

The standard paper size setting is Default, or 8.5" x 11" letter size. Default does not tell the printer what paper size to select. Use the drop down list to select a different paper size. The other options tell the printer to use the specified paper size.


Form Settings Tab - Size/Orientation Alerts

PrintBoss can generate an alert when the orientation or size of the selected form does not match the Form Width and Length settings on this window. The choices are:

Suppress Alerts - No alert will be generated.

Orientation Mis-Match - Generate an alert when the orientation of the data from the accounting software does not match the orientation selected for this form.

Orientation or Size Mis-Match - Generate an alert when the orientation or size (width and length) of the data from the accounting software does not match the orientation selected for this form.

The default is Orientation or Size Mis-Match.


Form Settings Tab - Text / Image Capture Mode

NOTE: This option is only available in the Enterprise edition of PrintBoss.

Typically, this field is set to Text Only is captured. The alternate method is Text AND Graphics are captured and should only be selected if your accounting software is printing graphics to PrintBoss. See the View Notes for your accounting software. The following options apply to the latter method.

Graphic Image

This option is only available for the PrintBoss Enterprise edition. It allows graphic images to print to PrintBoss from the accounting software when using the PrintBoss50 printer driver. Graphics are stripped out by the NT40 driver or when Graphic Image is not selected.

Graphic Text

This option allows graphic text to print to PrintBoss from the accounting software and is only available for the PrintBoss Enterprise edition when using the PrintBoss50 printer driver. This is often necessary for printing from PDF file formats when the PDF is saved as an Image. This option can be checked when Graphic Image is checked.

Captured Text

PrintBoss typically captures text. Checking this box by itself is the same as selecting the Text Only is captured option.

The Default for the Text AND Graphics are captured option is to capture Graphic Image and Captured Text.


Form Settings Tab - Orientation

When this option is set to Default, no orientation request is sent to the printer during printing. When portrait or landscape are selected, the associated command will be sent to the printer. This command overrides the default of the printer at time of printing.

NOTE: If the Landscape option is selected, the Form Width, Length fields need to be set accordingly. They do not adjust automatically.


Form Settings Tab - Description / Form Date

Description

The description field is used to give a very brief description of the purpose of the form. The description generally contains the form name, an abbreviated document type (i.e. PR, AP, Inv), and version. It may also contain information about the accounting package that uses this form.

Form Date

This field provides the date and time the original form was created. This information is carried through if a new form is copied from an older one.


Form Settings Tab - Interform Delay

This field will insert a pause between each page processed with this form. The pause is measured in seconds. If a 3 is entered in this field, PrintBoss will print one record, wait three seconds, print the second record, etc. This field is set in the form and therefore if more than one person is using this form, each person will have the same results.

If there is a need for pausing based on the computer or machine, see Internal Tab for the Configuration Settings.


Form Settings Tab - Form Next Number

This field is used when independent numbering is desired for the form. This is NOT recommended for checks. Often this field is used to add a control number to checks or to determine whether the form has been printed by unauthorized personnel. A Next Number value can be entered after the activation check box is selected. Each time a document is created with this form, PrintBoss will increment the number by one. There is no confirmation dialog for this number.

This number can be used in the form by referencing the variable {FormNextNumber} in a command.

See Form File Commands for more information about variables.


Form Settings Tab - Captured Text Treatment

This section allows PrintBoss to format the font of the text data printed from the accounting software, thereby changing the original font determined by the accounting software. These settings are global for all of the data from the accounting software, but do not override #TEXT commands.

X, Y Text Offset

These fields are used to adjust the captured data horizontally and vertically and is typically used to center data on the page. If PrintBoss is on a network, these settings will affect all users using the form. Generally, these settings are predefined in the form or used by Wellspring technicians during troubleshooting.

Font Override

This field is used to apply specific font, pitch, and font size to captured data. This is most commonly used when the captured data prints off the page. PrintBoss can shrink or condense the data to fit on the page by using a fixed pitch font override. The PrintBoss forms for the Great Plains interface use this field.

This field does not override #TEXT commands.

Point Adjust

This field can increase or decrease the original font size by the number indicated; 0 = original size. 2 = increase the original size by 2 points. A negative number would decrease the original size. If there is a font description in the Font Override field, the Point Adjust field will be ignored.

Ignore Text Between

This option will direct PrintBoss to remove incoming data on the page within these coordinates. The coordinates measure in inches from the top edge of the page. PrintBoss assumes the stated coordinates apply to the full width of the page.


Form Settings Tab - Immediate Print Dialog Method

The default setting for this option is Start printing w/out prompt. If a prompt is preferable, possibly to confirm printer availability, select Prompt to start printing. PrintBoss will pop up the Print Copies Dialog and wait for the user to click the Print Start button before the print job is sent to the printer.


PrintBoss Glossary

The following are some common words used throughout the help desk and manual. Click on the word to view the definition to help clarify its importance.

ABA

ACH

AMOUNT CHARACTER

ASCII

BACK SLASH

BRACES

BRACKETS

CAPTURED TEXT

COMMENT

CPA

CRYSTAL REPORT

DIVISION

DUPLEX PRINTER

DYNAMIC

FORM FILE

FORWARD SLASH

HAS

HOME

MICR / MICR LINE

MICR TONER

MODULUS 9

NAMED PRINTERS

ON US CHARACTER

PCL5

PCL6

PDF

PIPE ( | )

POUND ( # )

PS - POST SCRIPT

RAW DATA

REPORT

STATIC

TEXT INPUT FILE

TEXT INPUT FILE SPECIFICATION

TILDE

TRANSIT CHARACTER

UNCOMMENT

VIEW NOTES

WORKFILE


ABA

American Banking Association


ACH

Automated Clearing House. These rules and regulations are established by NACHA, the National Automated Clearing House Association.


AMOUNT CHARACTER

A special character that appears in the MICR line:


ASCII

American Standard C ode for I nformation I nterchange. Often refers to a plain text file.


BACK SLASH

\

The slash that is NOT under the question mark on a standard keyboard.


BRACES

{ }

The SHIFT plus brackets on a standard keyboard.


BRACKETS

[ ]


Captured Text

This is the text received from the accounting software.


COMMENT

Enter a pipe symbol ( | ) in front of a command line to cause PrintBoss skip that line.


CPA

Canadian Payments Association; L'Association Canadienne des Paiements (L'ACP)


CRYSTAL REPORT

A report used by several Accounting packages (including Accpac for Windows) to determine the data and layout sent to the printer.

These reports are files with the .RPT extension.


DIVISION

÷

This special character is often used when other delimiters may appear within a string used in a variable. Hold the CTRL key and press the apostrophe ( ' ) to generate this symbol within the PrintBoss Form Editor.


DUPLEX PRINTER

This is a printer that has the ability to print on both sides of the page without manual input.

PrintBoss has a duplexing option that can be enabled on the Special Controls tab of the form.


DYNAMIC

Value changes based on each document. A variable can be assigned in the PrintBoss form to use a dynamic value.


FORM FILE

The file used by PrintBoss to format data provided by the Host Accounting Software. This include the boxes, shading, graphics, placement of the data, signature files, etc.

The form files have a .PBF extension.


FORWARD SLASH

/

This is the symbol under the question mark on a standard keyboard.


HAS

Host Accounting Software

Host A ccounting S oftware or HAS is the accounting software that is to be used with PrintBoss.


HOME

This is the path to the PRNTBOSS folder. For example, if the PRNTBOSS folder is on the C:\ drive the HOME directory would be C:\Prntboss.


MICR / MICR LINE

Magnetic Ink C haracter Recognition. This refers to the ABA characters at the bottom of a check.


MICR TONER

The toner required by some banks to read the MICR line at the bottom of checks if using magnetic scanning equipment. To determine whether MICR is required, check with your bank.


MODULUS 9

An asterisk placed at the end of a series of numbers (usually the check number) will be replaced with Modulus 9 check sum.


NAMED PRINTERS

Named Printers are a Microsoft Great Plains module for use with Dynamics and eEnterprise Accounting software packages. It is used to determine the output printer for each printing function. Setting the PrintBoss printer driver as a Named Printers is necessary for Dynamics (version 6.0 and higher) to work with PrintBoss.


ON US CHARACTER

A special Character that appears in the MICR line:


PCL5

Printer C ontrol L anguage 5. PrintBoss uses this printer language to communicate with the printer hardware. PCL is a printer driver that translates the data and sends it in binary form to the printer.


PCL6

Printer Control Language 6

Some of the newer Hewlett-Packard LaserJet printers are distributed with this printer driver. Be sure to download the newest version of the driver from the HP web site ( www.hp.com ). PCL is a printer driver that translates the data and sends it in binary form to the printer.


PDF

Portable Document Format. The Adobe Reader software is available as a free download from Adobe.


PIPE

The pipe ( | ) comments or remarks any information that follows it. Comments are not active commands.


POUND ( # )

The symbol at the beginning of all active PrintBoss commands in the Form Editor: #


PS - POSTSCRIPT

Postscript printer drivers basically send a page description to the printers where it is translated by the printer. Wellspring Software does NOT recommend using PostScript drivers with PrintBoss. See PCL5 or PCL6 for recommended print drivers.


RAW DATA

Data from the Host Accounting Software before it has been formatted by PrintBoss in any fashion including font, placement, or size. Raw Data is used for comparison in troubleshooting and in customization of forms.


REPORT

A file used by the Host Accounting Software to generate documents to be printed. The report includes the data and layout sent to the printer.


STATIC

A constant value for each document.


TEXT INPUT FILE

A text file generated by a Host Accounting Software system that includes all of the document data. PrintBoss takes the data from this file, formats it, and places it on a form.


TEXT INPUT FILE SPECIFICATION

A file within PrintBoss that defines the structure of the Text Input File, including the location(s) and name(s) of the file(s) to be processed. Other options that are defined include:

  • Page method (when to start a new page)
  • Line length
  • Font
  • PrintBoss Form
  • Bank
  • Field locations and variable names


TILDE

~

This symbol is found on the graves key above the Tab on the left side of a standard keyboard. Hold the Shift key to type a tilde.


TRANSIT CHARACTER

A special character found in the MICR line:


UNCOMMENT

Remove the pipe symbol ( | ) from the beginning of the command line to make that command active.

NOTE: The command line must begin with a # sign to be active.


View Notes

Installation Notes

(aka View Notes)

During installation, these instructional notes can be printed. The notes detail how to setup PrintBoss and the selected accounting software to work together. The installation notes are also available in the Doc folder in the PrintBoss Home Directory after installation.


WORK FILE

A database of documents printed through PrintBoss. The work file has the same name as the PrintBoss form used at the time of printing and may include a suffix.


COLOR SELECT

The Color Select window allows you to choose a color for the selected object in a form. The options listed on the buttons can be used directly in the RunTime, Footer, or Page Back Objects windows code in place of using the Color Select window. Your choices include:

W - White

S - Shade (light gray)

B - Black

G/ - Gray Scale value

G0 - G9 Gray Scale values (larger numbers represent darker shades)

There is also a Color Select button that allows you to choose from a palette of basic colors. You can also click on the Define Custom Colors button to define a color and add it to the Custom Colors palette. Click OK to exit the Color Select window. Click OK on the Command Properties dialog to apply the selected color to the object in the form.


Wellspring Software, Inc.

445 Sovereign Court

Manchester, MO 63011

www.wellspringsoftware.com

For Orders: 1-800-600-6861

For Technical Support: 636-527-6100